<?php
/**
 * Plugin Name: 	Praise-Church Shortcodes
 * Plugin URI:      #
 * Github URI:      #
 * Description: 	Extra shortcodes for Praise-Church theme.
 * Version:     	1.0.4
 * Author:          hiteshmahavar
 * Author URI:      http://www.hiteshmahavar.com
 * Version:         1.0.4
 * Text Domain:     church
 * License:         #   
 * License URI:     #
 * Domain Path:     www.hiteshmahavar.com/
 *
 * @package         Church
 * @author          www.hiteshmahavar.com
 * @license         #
 * @copyright       #
 *
 */
 
// Set custom error reporting level
error_reporting( E_ALL ^ E_NOTICE );

// Define path to this plugin file
define('CHURCH_SHORTCODE_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define('CHURCH_SHORTCODE_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );

/**
 * Include shortcodes file.
 *
 * @package  Church
 * @since    1.0
 */

$shortcodes = 'icon-array, init, fu_shortcode, shortcode_script';
$shortcodes = explode( ',', $shortcodes );
$shortcodes = array_map( 'trim', $shortcodes );

foreach ( $shortcodes as $shortcode ) {
	if( file_exists( CHURCH_SHORTCODE_PLUGIN_DIR . '/shortcode/' . $shortcode . '.php' ) ) {
	    include_once CHURCH_SHORTCODE_PLUGIN_DIR . '/shortcode/' . $shortcode . '.php';
	} else {
		include_once CHURCH_SHORTCODE_PLUGIN_DIR . '/shortcode-script/' . $shortcode . '.php';
	}
}	

/**
 * Enqueue scripts.
 *
 * @package  Church
 * @since    1.0
 */
if ( ! function_exists( 'fn_church_shortcodes_styles' ) ) {
	function fn_church_shortcodes_styles() {
		wp_enqueue_style( 'wp-color-picker' );
		wp_enqueue_style( 'fn_church_sh_css', 		CHURCH_SHORTCODE_PLUGIN_URL . 'css/grid.css');
		wp_enqueue_style( 'fn_church_font_awesome', CHURCH_SHORTCODE_PLUGIN_URL . 'css/font-awesome.css' );
		wp_enqueue_style( 'fn_church_panel', 	  	CHURCH_SHORTCODE_PLUGIN_URL . 'css/panel.css' );
		wp_enqueue_style( 'fn_church_custom', 		CHURCH_SHORTCODE_PLUGIN_URL . 'css/custom.css');
	}
	add_action( 'admin_print_styles-post-new.php', 'fn_church_shortcodes_styles' );
	add_action( 'admin_print_styles-post.php',     'fn_church_shortcodes_styles' );
}

if ( ! function_exists( 'fn_church_shortcodes_scripts' ) ) {
	function fn_church_shortcodes_scripts() {
		wp_enqueue_script( 'jquery' );		
		wp_enqueue_script( 'fn_church_cp_js', CHURCH_SHORTCODE_PLUGIN_URL.'/js/color.js', array( 'wp-color-picker' ), '', true );
		wp_enqueue_script( 'fn_church_bt_js', CHURCH_SHORTCODE_PLUGIN_URL . '/js/bootstrap.js', true, '1.0.0' );
	}
	add_action( 'admin_print_scripts-post-new.php', 'fn_church_shortcodes_scripts' );
	add_action( 'admin_print_scripts-post.php',     'fn_church_shortcodes_scripts' );
}

if( ! function_exists( 'fn_church_shortcode_enqueue_style' ) ){
	function fn_church_shortcode_enqueue_style() {
		
		wp_enqueue_style( 'fn_church_custom', CHURCH_SHORTCODE_PLUGIN_URL . 'css/custom.css');		
		
	}
	add_action('wp_enqueue_scripts','fn_church_shortcode_enqueue_style');		
}
?>