<?php
/**
 * @version    1.3
 * @package    Church
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.hiteshmahavar.com
 */


/**
 *  Column
 *  ========
 */
add_shortcode('container','fn_church_container');
function fn_church_container( $atts, $content ){	
    return sprintf( 
      '<div class="%s"> %s </div>',
       'container',
      do_shortcode( str_replace("<br />", "", $content) )
    );
}
add_shortcode('container-fluid','fn_church_container_fluid');
function fn_church_container_fluid( $atts, $content ){	
    return sprintf( 
      '<div class="%s"> %s </div>',
       'container-fluid',
      do_shortcode( str_replace("<br />", "", $content) )
    );
}
add_shortcode('row','fn_church_row');
function fn_church_row( $atts, $content ){	
    return sprintf( 
      '<div class="%s"> %s </div>',
       'row',
      do_shortcode( str_replace("<br />", "", $content) )
    );
}
add_shortcode('column','fn_church_column');
function fn_church_column( $atts, $content ){	
	$atts = shortcode_atts( array(
      "md" => false,
	), $atts );
	$class  = ( $atts['md'] ) ? $atts['md'] : '';	
    return sprintf( 
      '<div class="col-md-%s" > %s </div>',
       esc_attr($class),
      do_shortcode( balanceTags($content,true) )
    );
}

/*
 *  Accordion
 *  ===========
 */
add_shortcode('accordion','fn_church_accordion');
function fn_church_accordion( $atts, $content ){ 
	
	if(isset( $GLOBALS['collapsibles_count'] )) {
		$GLOBALS['collapsibles_count']++;
	}else {
		$GLOBALS['collapsibles_count'] = 0;	
	}
	$id  = "collapse-id-".$GLOBALS['collapsibles_count'];
	return  do_shortcode(sprintf('<div class="belief-points"><div class="panel-group" id="%s"> %s </div></div> ', esc_attr($id), $content));
}
add_shortcode('section','fn_church_section');
function fn_church_section( $atts, $content ){
	 extract(shortcode_atts(array(
		'title' => 'Collapse',
		'id'	=> false,
		'class' => false,
	), $atts));
	 
	$GLOBALS['section'][] = array( 
		'title'   =>  esc_attr($title) ,
		'id'	  =>  esc_attr($id),
		'class'   =>  esc_attr($class) ,
		'content' =>  $content ,
	);
	
	$id  = "collapse-id-".$GLOBALS['collapsibles_count'];	
	foreach( $GLOBALS['section'] as $tab ){			
		$class = ( !empty($tab['class']) && $tab['class']=="active" ) ? "panel-collapse collapse in"  : "panel-collapse collapse";				
		$length = 10;
		$__title   = substr( str_shuffle( "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ" ), 0, $length );
		$return = sprintf( "\n".'		 
		 <div class="panel panel-default">
			<div class="panel-heading">
				  <h4 class="panel-title">		
						<a data-toggle="collapse" data-parent="#%s" href="#%s"> %s </a>
				  </h4>
			</div>			

			<div id="%s" class="%s">
				  <div class="panel-body">					   
					%s
				  </div>
			</div>			
		</div>'."\n" , 
			$id, $__title, $tab['title'], $__title, $class, $tab['content']
		);		
	} // foreach		
	return do_shortcode($return);	
 }// function ending

/**
 *  Tabs
 *  ======
 */
add_shortcode('tab','fn_church_tab');
function fn_church_tab( $atts, $content ){
	extract(shortcode_atts(array(
		'title' => 'Tab',
		'class' => false,
	), $atts));
		
 	 $x = isset($GLOBALS['tab_count'])?$GLOBALS['tab_count']:0;	
	 $GLOBALS['tab_count'] = isset($GLOBALS['tab_count'])?$GLOBALS['tab_count']:0;			

	 $GLOBALS['tabs'][$GLOBALS['tabs_count']][$x] = array( 
			'title' 	=> esc_attr($title),
			'class' 	=> esc_attr($class),
			'content' 	=> $content,
	 );
     
	 $GLOBALS['tab_count']++;
 } 
add_shortcode('tabgroup','fn_church_tabgroup');
function fn_church_tabgroup( $atts, $content ){
	
    if( isset( $GLOBALS['tabs_count'] ) )
      $GLOBALS['tabs_count']++;
    else
      $GLOBALS['tabs_count'] = 0;

	do_shortcode( $content ); 

	if( is_array( $GLOBALS['tabs'][$GLOBALS['tabs_count']] ) ){
		
		$tabs=array();
		$panes=array();
		
		foreach( $GLOBALS['tabs'][$GLOBALS['tabs_count']] as $tab ){

		$panes_class  = ( !empty($tab["class"]) &&  $tab['class'] == "active" ) ? 'tab-pane active' : 'tab-pane';
		
		$length = 10;
		$__title   = substr( str_shuffle( "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ" ), 0, $length );
		
		$tabs[] = '<li  role="presentation" class="'.$tab['class'].'" >
						<a href="#'.esc_attr($__title).'" data-toggle="tab">'.$tab['title'].'</a>
				  </li>';
		$panes[] = sprintf( '<div class="%s" id="%s"> %s </div>',esc_attr($panes_class),esc_attr($__title), $tab['content']  );
		}

		$return = "\n".'<div role="tabpanel">
							<ul role="tablist" class="nav nav-tabs">'
								.implode( "\n", $tabs ).
							'</ul>'."\n".
							'<div class="tab-content">'
									.implode( "\n", $panes ).
							'</div>
						</div>'."\n";		
	}	
	return do_shortcode( sprintf('<div class="tp-tabs"> %s </div>',  $return));
}

/*
 *   Alert
 *   =======
 */
add_shortcode('church_alert','fn_church_alert');
function fn_church_alert( $atts, $content ) {	  
    extract(shortcode_atts( array(
		      "class"     => false,	  
			  "dismiss"   => false,
	), $atts ));
    $class = ( $atts['class'] ) ?  $atts['class'] : ' alert-success';
    $dismiss = ( $atts['dismiss'] ) ?  $atts['dismiss'] : ' false';		
	$close = ( $dismiss=='false' ) ? '' : '<button type="button" class="close" data-dismiss="alert" aria-label="Close">
											  <span aria-hidden="true">&times;</span>
										   </button>';	
	return sprintf( '<div class="%s"> %s %s  </div>' , esc_attr($class), $close , $content );
}

/**
 *  Iconbox
 *  =========
 */
add_shortcode('iconbox','fn_church_iconbox');
function fn_church_iconbox( $atts, $content ){
	extract(shortcode_atts(array(
		'icon'   => false,								 
		'title'  => '',
		'img'    => '',
	), $atts));

	$icon = !empty($atts['icon'])? $atts['icon'] : '';
	$title = !empty($atts['title'])? $atts['title'] : 'Title';
	$icon_img = !empty($atts['img'])? $atts['img'] : '';

	if( $icon !=  '' ){
		$output_icon_img = '<i class="fa '.$icon.' icon-size"></i>';
	}elseif( $icon_img != '' ){
		$output_icon_img = '<img class="img-responsive front_sh_img" src="'.$icon_img.'" alt="" />';
	}else {}

    if($atts['layout']=="icon-box-main"){
      return sprintf( 
        '<div class="st-block-left"><h2 class="item-title">%s %s</h2><p>%s</p></div>',
         $output_icon_img,
         $title,      
        do_shortcode( $content )
      );
    }
    else if($atts['layout']=="icon-box-top"){
      return sprintf( 
        '<div class="st-block-center"> %s <h2 class="heading">%s</h2><p>%s</p></div>',
		 $output_icon_img,
         $title,          
		 do_shortcode( $content ) 
      );
    }    
}  

/**
 *  Divider
 *  ========
 */
add_shortcode('divider-dotted','fn_church_divider_dotted');
function fn_church_divider_dotted(){
    return sprintf('<div class="mt50 divider-dotted"> %s </div>',do_shortcode( $content ));
}
add_shortcode('divider-dashed','fn_church_divider_dashed');
function fn_church_divider_dashed(){
    return sprintf('<div class="mt50 divider-dashed"> %s </div>',do_shortcode( $content ));
}
add_shortcode('divider-double','fn_church_divider_double');
function fn_church_divider_double(){
    return sprintf('<div class="mt50 divider-double"> %s </div>',do_shortcode( $content ));
}
add_shortcode('divider-solid','fn_church_divider_solid');
function fn_church_divider_solid(){
    return sprintf('<div class="mt50 divider-solid"> %s </div>',do_shortcode( $content ));	
}
add_shortcode('divider-groove','fn_church_divider_groove');
function fn_church_divider_groove(){
    return sprintf('<div class="mt50 divider-groove"> %s </div>',do_shortcode( $content ));	
}
add_shortcode('divider-ridge','fn_church_divider_ridge');
function fn_church_divider_ridge(){
    return sprintf('<div class="mt50 divider-ridge"> %s </div>',do_shortcode( $content ));	
}
add_shortcode('divider-inset','fn_church_divider_inset');
function fn_church_divider_inset(){
    return sprintf('<div class="mt50 divider-inset"> %s </div>',do_shortcode( $content ));	
}
add_shortcode('divider-outset','fn_church_divider_outset');
function fn_church_divider_outset(){
    return sprintf('<div class="mt50 divider-outset"> %s </div>',do_shortcode( $content ));	
}
add_shortcode('divider-default','fn_church_divider_default');
function fn_church_divider_default(){
	return sprintf('<div class="divider-shape"><div class="container"><div class="row"><div class="col-md-12">
					   <img src="%s/icon/custom-divider.png" class="img-responsive" alt="divider">
					   </div></div></div></div>', CHURCH_SHORTCODE_PLUGIN_URL );
}

/**
 *  Icon
 *  =====
 */
add_shortcode('icon','fn_church_icon');
function fn_church_icon( $atts, $content ){	
    return sprintf( 
      '<div class="%s"><i class="%s" style="color:%s"></i></div>',
       $atts['class'],
       $atts['icon'],
       $atts['color'],      
      do_shortcode( $content )
    );
}

/**
 *  List-style
 *  ===========
 */
add_shortcode('ul','fn_church_ul');
function fn_church_ul( $atts, $content ){	
    return sprintf( 
      '<ul class="list-arrow"> %s </ul>',
      do_shortcode( $content )
    );
}
add_shortcode('ol','fn_church_ol');
function fn_church_ol( $atts, $content ){	
    return sprintf( 
      '<ol class="list-view"> %s </ol>',
      do_shortcode( $content )
    );
}
add_shortcode('li','fn_church_li');
function fn_church_li( $atts, $content ){ 
	extract(shortcode_atts( array(
	  "class"	=> false,
	), $atts ));

	$icon_i="";
	if($atts['class']=='list-circle'){
		$icon_i='<i class="fa fa-circle-o"></i>';
	}
	else if($atts['class']=='list-db-arrow'){
		$icon_i='<i class="fa fa-angle-double-right"></i>';
	}
	else if($atts['class']=='list-arrow'){
		$icon_i='<i class="fa fa-angle-right"></i>';
	}else {
		$icon_i='';
	}
    return sprintf( 
      '<li >'.$icon_i.'%s</li>',
      do_shortcode( $content )
    );
}
/**
 *  Button
 *  ========
 */
add_shortcode('button','fn_church_button'); 
function fn_church_button( $atts, $content ) {	 
    extract(shortcode_atts( array(
	      "layout"     => false,
		  "text"	   => false,
		  "url"		   => false,
		  "new_tab"	   => false,
	), $atts ));
	$layout = $text = $new_tab = $size = '';
	if( $atts['layout'] == 'sh_btn_style_1' ){
		$layout = 'btn outline-btn outline-btn-red';
	}
/*	if( $atts['layout'] == 'sh_btn_style_2' ){
		$layout = 'btn outline-btn sh-outline-btn-yellow';
	}
*/	if( $atts['layout'] == 'sh_btn_style_2' ){
		$layout = 'btn outline-btn outline-btn-grey';
	}	
	
    $text 	= ( $atts['text'] ) ? $atts['text'] : 'Button Text';
	if( $atts['new_tab'] == 'true' ){
		$new_tab = '_blank';
	}
	if( $atts['new_tab'] == 'false' ){
		$new_tab = '_self';
	}
    $url = ( $atts['url'] ) ? $atts['url'] : '#';    
	return sprintf( '<a class="%s %s"  href="%s" target="%s"> %s <i class="fa fa-angle-right"></i></a>',
				   esc_attr($size), esc_attr($layout) , esc_url($url), esc_attr($new_tab), esc_attr($text) );
}

/**
 *  Church Posts
 *  ==============
 */
add_shortcode('church_blog','fn_church_church_blog'); 
function fn_church_church_blog( $atts, $content ){
    extract(shortcode_atts( array(
	  "pagination" 		=> false,
	  "post_per_page"	=> false,
	  "layout"		    => false,
	), $atts ));
	
	$posts_per_page = ( $atts['post_per_page'] ) ? $atts['post_per_page'] : '10';
	$layout        =   $atts['layout'];
	$pagination    =   $atts['pagination'];
	ob_start(); ?>
	
	<div class="row">
	
	 <?php 

		if($layout == 'std-blog-sidebar'){
			echo '<div class="col-md-8">';
		}
		if($layout == 'std-blog-fullwidth'){
			echo '<div class="col-md-12">';
		}
		if($layout == 'masonry-blog-two-column'){
			echo '<div class="col-md-12">';
			echo '<div id="isotope" class="grid row">';			
		}
		if($layout == 'masonry-blog-three-column'){
			echo '<div class="col-md-12">';
			echo '<div id="isotope" class="grid row">';			
		}		
			
		if ( get_query_var('paged') ) {
			  $paged = get_query_var('paged');
		} elseif ( get_query_var('page') ) {
			  $paged = get_query_var('page');
		} else {
			  $paged = 1;
		}
		$blog_arr = array(
			'posts_per_page' => $posts_per_page,
			'post_type' => 'post',
			'paged'=> $paged
		);
	
		query_posts($blog_arr);
		
		if(have_posts()) : while(have_posts()) : the_post(); 				
		
		if( $layout == 'std-blog-sidebar' || $layout == 'std-blog-fullwidth' ){
			 get_template_part( 'template-parts/content', get_post_format() );	
		}
		if($layout == 'masonry-blog-two-column' ) {
			echo '<div class="grid-item col-md-6 blog-post">';
			get_template_part( 'template-parts/content-grid', get_post_format() );
			echo '</div>';			
		}
		if($layout == 'masonry-blog-three-column' ) {
			echo '<div class="grid-item col-md-4 blog-post">';
			get_template_part( 'template-parts/content-grid', get_post_format() );
			echo '</div>';
		}
			 
		endwhile; endif;		
		
		
		if( $layout == 'std-blog-sidebar' || $layout == 'std-blog-fullwidth' ){
			echo '</div>';
		}
		if($layout == 'masonry-blog-two-column' || $layout == 'masonry-blog-three-column' ){
			echo '</div></div>';
		}
		?>
		
		<?php  if($layout == 'std-blog-sidebar') { ?>
			<div id="sidebar" class="col-md-4">
				<?php get_sidebar(); ?>
			</div><!-- col-md-4 -->
	   <?php } ?>


	<?php	church_pagination();       ?>
    
    
	</div>
    <!-- /row -->
	<?php 
	wp_reset_query();
	$blog_markup = ob_get_contents();
	ob_end_clean();
	return $blog_markup;
}

function sermon_post_template_part(){
	?>
    <div class="sermons-series"><!-- sermon series pic -->
      <div class="series-pic"> 
       <div class="sermon_img">
        <a href="<?php the_permalink(); ?>">
        <?php 
        if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class' => 'img-responsive' ));
        endif;
        ?>
        </a>
       </div>
      </div>
      <div class="series-description">
        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
        <div class="sermon-meta">
          <!-- sermon-list meta using meta -->
          <?php
          $speaker_name = get_post_meta( $post->ID, 'speaker_name', true );
          if($speaker_name != '') :
          ?>
          <span class="speaker-meta">Speaker:
          <a href="<?php the_permalink(); ?>">
              <?php echo esc_html($speaker_name) ?>
          </a>
         </span>
          <?php
          endif;
          $series_name = get_post_meta( $post->ID, 'sermon_series', true );
          if($series_name != ''):
             echo '<span class="series-name">Series: '.esc_html($series_name).'</span>';
          endif;
          ?>
        </div>
        <p>
        <?php
        if(get_the_excerpt()) :
            $mycontent = get_the_excerpt();
            echo church_getCharCut($mycontent, 174);
        endif;
        ?>
        </p>
        <a href="<?php the_permalink(); ?>" class="btn outline-btn outline-btn-red">
        <?php esc_html_e(' View Series', 'church');?>
           <i class="fa fa-angle-right"></i> 
        </a>     
  </div>
</div>
<?php
}

add_shortcode('church_sermon','fn_church_church_sermon'); 
function fn_church_church_sermon( $atts, $content ){
    extract(shortcode_atts( array(
	  "pagination" 		=> false,
	  "post_per_page"	=> false,
	  "layout"		    => false,
	), $atts ));
	
	$posts_per_page = ( $atts['post_per_page'] ) ? $atts['post_per_page'] : '10';
	$layout        =   $atts['layout'];
	$pagination    =   $atts['pagination'];
	ob_start(); ?>
	
	<div class="row">
	
	 <?php 

		if($layout == 'std-blog-sidebar'){
			echo '<div class="col-md-8">';
		}
		if($layout == 'std-blog-fullwidth'){
			echo '<div class="col-md-12">';
		}
		if($layout == 'masonry-blog-two-column'){
			echo '<div class="col-md-12">';
			echo '<div id="isotope" class="grid row">';			
		}
		if($layout == 'masonry-blog-three-column'){
			echo '<div class="col-md-12">';
			echo '<div id="isotope" class="grid row">';			
		}		
			
		if ( get_query_var('paged') ) {
			  $paged = get_query_var('paged');
		} elseif ( get_query_var('page') ) {
			  $paged = get_query_var('page');
		} else {
			  $paged = 1;
		}
		$blog_arr = array(
			'posts_per_page' => $posts_per_page,
			'post_type' => 'sermon',
			'post_status'=> 'publish',
		);
	
		query_posts($blog_arr);
		
		if(have_posts()) : while(have_posts()) : the_post(); 				
		
		if( $layout == 'std-blog-sidebar' || $layout == 'std-blog-fullwidth' ){
			sermon_post_template_part();
		}
		if($layout == 'masonry-blog-two-column' ) { 
			echo '<div class="grid-item col-md-6 blog-post">';
			sermon_post_template_part();
			echo '</div>';			
		}
		if($layout == 'masonry-blog-three-column' ) {
			echo '<div class="grid-item col-md-4 blog-post">';
			sermon_post_template_part();
			echo '</div>';
		}
		endwhile; endif;		
		if( $layout == 'std-blog-sidebar' || $layout == 'std-blog-fullwidth' ){
			echo '</div>';
		}
		if($layout == 'masonry-blog-two-column' || $layout == 'masonry-blog-three-column' ){
			echo '</div></div>';
		}
		?>
		<?php  if($layout == 'std-blog-sidebar') { ?>
			<div id="sidebar" class="col-md-4">
				<?php get_sidebar(); ?>
			</div><!-- col-md-4 -->
	   <?php } ?>
	<?php	church_pagination();       ?>
	</div>
    <!-- /row -->
	<?php 
	wp_reset_query();
	$blog_markup = ob_get_contents();
	ob_end_clean();
	return $blog_markup;
}


function ministry_template_part(){
	?>
    <div class="ministry-block">
        <div class="ministry-image">
           <a href="<?php the_permalink(); ?>">
            <?php 
                if ( has_post_thumbnail() ) : the_post_thumbnail('ministry', array('class' => 'img-responsive')); 
                endif;
            ?>
           </a> 
        </div>
        
        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>            
        <?php
          if(get_the_excerpt()) :
            $mycontent = get_the_excerpt();
            echo '<p>'.church_getCharCut($mycontent, 105).'</p>';
          endif;
            
          $meta_ministry = get_post_meta( $post->ID, 'pastor_name', true );
          if($meta_ministry != '') : ?>
             <p> Lead Pastor : <span><a href="<?php the_permalink(); ?>"><?php echo esc_html($meta_ministry) ?></a></span> </p>
          <?php
          endif;
          ?>
          <a href="<?php the_permalink();?>" class="btn outline-btn outline-btn-red">
            <?php esc_html_e('Read More', 'church');?>
            <i class="fa fa-angle-right"></i> 
          </a>     
          
    </div>
	<?php
}

add_shortcode('church_ministry','fn_church_church_ministry'); 
function fn_church_church_ministry( $atts, $content ){
    extract(shortcode_atts( array(
	  "pagination" 		=> false,
	  "post_per_page"	=> false,
	  "layout"		    => false,
	), $atts ));
	
	$posts_per_page = ( $atts['post_per_page'] ) ? $atts['post_per_page'] : '10';
	$layout        =   $atts['layout'];
	$pagination    =   $atts['pagination'];
	ob_start(); ?>
	
	<div class="row">
	
	 <?php 

		if($layout == 'std-blog-sidebar'){
			echo '<div class="col-md-8">';
		}
		if($layout == 'std-blog-fullwidth'){
			echo '<div class="col-md-12">';
		}
		if($layout == 'masonry-blog-two-column'){
			echo '<div class="col-md-12">';
			echo '<div id="isotope" class="grid row">';			
		}
		if($layout == 'masonry-blog-three-column'){
			echo '<div class="col-md-12">';
			echo '<div id="isotope" class="grid row">';			
		}		
			
		if ( get_query_var('paged') ) {
			  $paged = get_query_var('paged');
		} elseif ( get_query_var('page') ) {
			  $paged = get_query_var('page');
		} else {
			  $paged = 1;
		}
		$blog_arr = array(
			'posts_per_page' => $posts_per_page,
			'post_type' => 'ministry',
			'post_status'=> 'publish',
		);
	
		query_posts($blog_arr);
		
		if(have_posts()) : while(have_posts()) : the_post(); 				
		
		if( $layout == 'std-blog-sidebar' || $layout == 'std-blog-fullwidth' ){
			ministry_template_part();
		}
		if($layout == 'masonry-blog-two-column' ) { 
			echo '<div class="grid-item col-md-6 blog-post">';
			ministry_template_part();
			echo '</div>';			
		}
		if($layout == 'masonry-blog-three-column' ) {
			echo '<div class="grid-item col-md-4 blog-post">';
			ministry_template_part();
			echo '</div>';
		}
		endwhile; endif;		
		if( $layout == 'std-blog-sidebar' || $layout == 'std-blog-fullwidth' ){
			echo '</div>';
		}
		if($layout == 'masonry-blog-two-column' || $layout == 'masonry-blog-three-column' ){
			echo '</div></div>';
		}
		?>
		<?php  if($layout == 'std-blog-sidebar') { ?>
			<div id="sidebar" class="col-md-4">
				<?php get_sidebar(); ?>
			</div><!-- col-md-4 -->
	   <?php } ?>
	<?php	church_pagination();       ?>
	</div>
    <!-- /row -->
	<?php 
	wp_reset_query();
	$blog_markup = ob_get_contents();
	ob_end_clean();
	return $blog_markup;
}

function event_template_part(){
  ?>
    <div class="col-md-1"><!-- event date -->
      <div class="date-box-red">
        <div class="box-white">
        <?php
         $date_2 = get_post_meta( $post->ID, 'MyDate2', true );
         $k = explode(" ",$date_2 );
         echo '<h3>'.substr($k[2], 0, 2).'</h3>'.substr($k[1], 0, 3);
        ?>
        </div>
      </div>
    </div>
    <!-- /.event date -->
    <div class="col-md-11 event-content"><!--  event content -->
      <div class="row">
        <div class="col-md-5 events-pic "><!-- event pic -->
          <div class="event_img">
            <a href="<?php the_permalink(); ?>">
            <?php 
                if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class' => 'img-responsive' )); 
                endif;
            ?>
            </a>
          </div>
        </div>
        <!-- event pic -->
        <div class="col-md-6 events-description">
        <!-- event descriptions -->
          <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
          <div class="event-detail"><!-- event details -->
            <div class="event-time"><i class="fa fa-clock-o"></i>
            <?php
              $start_time = get_post_meta( $post->ID, 'start_time', true );
              $end_time = get_post_meta( $post->ID, 'end_time', true );		
              
              if($date_2)     : echo esc_html($date_2).', ';
              endif;
              if($start_time) : echo esc_html($start_time).' - ';
              endif;
              if($end_time)   : echo esc_html($end_time);
              endif;
            ?>
            </div>
            <div class="event-location"><i class="fa fa-map-marker"></i>
            <?php
                $event_place = get_post_meta( $post->ID, 'event_place', true );					  				
                if($event_place):  echo esc_html($event_place);
                endif;
            ?>
            </div>
          </div>
          <!-- event details --> 
          <a href="<?php the_permalink(); ?>" class="btn outline-btn outline-btn-red"> Details<i class="fa fa-angle-right"></i></a> 
         </div>
        <!-- event descriptions --> 
      </div>
    </div>
    <!--  event content -->
	<?php 
}

add_shortcode('church_event','fn_church_church_event');
function fn_church_church_event( $atts, $content ){
    extract(shortcode_atts( array(
	  "pagination" 		=> false,
	  "post_per_page"	=> false,
	  "layout"		    => false,
	), $atts ));
	
	$posts_per_page = ( $atts['post_per_page'] ) ? $atts['post_per_page'] : '10';
	$layout        =   $atts['layout'];
	$pagination    =   $atts['pagination'];
	ob_start(); ?>
	
	<div class="row">
	
	 <?php 

		if($layout == 'std-blog-sidebar'){
			echo '<div class="col-md-8">';
		}
		if($layout == 'std-blog-fullwidth'){
			echo '<div class="col-md-12">';
		}
		if($layout == 'masonry-blog-two-column'){
			echo '<div class="col-md-12">';
			echo '<div id="isotope" class="grid row">';			
		}
		if($layout == 'masonry-blog-three-column'){
			echo '<div class="col-md-12">';
			echo '<div id="isotope" class="grid row">';			
		}		
			
		if ( get_query_var('paged') ) {
			  $paged = get_query_var('paged');
		} elseif ( get_query_var('page') ) {
			  $paged = get_query_var('page');
		} else {
			  $paged = 1;
		}
		$blog_arr = array(
			'posts_per_page' => $posts_per_page,
			'post_type' => 'event',
			'post_status'=> 'publish',
		);
	
		query_posts($blog_arr);
		
		if(have_posts()) : while(have_posts()) : the_post(); 
		
		$date_2 = get_post_meta( $post->ID, 'MyDate2', true );
		if(strtotime($curdate) <= strtotime($date_2)) :
		
		if( $layout == 'std-blog-sidebar' || $layout == 'std-blog-fullwidth' ){
			event_template_part();
		}
		if($layout == 'masonry-blog-two-column' ) { 
			echo '<div class="grid-item col-md-6 blog-post">';
			event_template_part();
			echo '</div>';			
		}
		if($layout == 'masonry-blog-three-column' ) {
			echo '<div class="grid-item col-md-4 blog-post">';
			event_template_part();
			echo '</div>';
		}
		
		endif;
		endwhile; endif;		
		if( $layout == 'std-blog-sidebar' || $layout == 'std-blog-fullwidth' ){
			echo '</div>';
		}
		if($layout == 'masonry-blog-two-column' || $layout == 'masonry-blog-three-column' ){
			echo '</div></div>';
		}
		?>
		<?php  if($layout == 'std-blog-sidebar') { ?>
			<div id="sidebar" class="col-md-4">
				<?php get_sidebar(); ?>
			</div><!-- col-md-4 -->
	   <?php } ?>
	<?php	church_pagination();       ?>
	</div>
    <!-- /row -->
	<?php 
	wp_reset_query();
	$blog_markup = ob_get_contents();
	ob_end_clean();
	return $blog_markup;
}


/**
 *  Social icon
 *  ============
 */
add_shortcode('social_icon','fn_church_social_icon');
function fn_church_social_icon($atts, $content){
    extract(shortcode_atts( array(
	  "facebook" 	=> false,
	  "twitter" 	=> false,
	  "pintrest" 	=> false,
	  "linkedIn" 	=> false,
	  "google" 		=> false,
	  "rss" 		=> false,
	  "tumblr" 		=> false,
	  "instagram" 	=> false,
	  "youtube" 	=> false,
	  "vimeo" 		=> false,
	  "behance" 	=> false,
	  "dribble" 	=> false,
	  "flickr" 		=> false,
	  "git" 		=> false,
	  "skype" 		=> false,
	  "weibo" 		=> false,
	  "foursqure"   => false,
	  "soundcloude" => false,
	), $atts ));

	$output = '';
	if( $atts['facebook']!= '' ):
		$output .= '<a href="'.esc_url($atts['facebook']).'" class="btn btn-social" target="_blank" ><i class="fa fa-facebook mr5"></i>Facebook</a>';	   
	endif;
	if( $atts['twitter']!= '' ):
		$output .= '<a href="'.esc_url($atts['twitter']).'" class="btn btn-social" target="_blank" ><i class="fa fa-twitter mr5"></i>Twitter</a>';
	endif;
	if( $atts['pintrest']!= '' ):
		$output .= '<a href="'.esc_url($atts['pintrest']).'" class="btn btn-social" target="_blank" ><i class="fa fa-pinterest mr5"></i>Pinterest</a>';
	endif;
	if( $atts['linkedIn']!= '' ):
		$output .= '<a href="'.esc_url($atts['linkedIn']).'" class="btn btn-social" target="_blank" ><i class="fa fa-linkedin mr5"></i>LinkedIn</a>';
	endif;
	if( $atts['google']!= '' ):
		$output .= '<a href="'.esc_url($atts['google']).'" class="btn btn-social" target="_blank" ><i class="fa fa-google-plus mr5"></i>Google +</a>';
	endif;
	if( $atts['rss']!= '' ):
		$output .= '<a href="'.esc_url($atts['rss']).'" class="btn btn-social" target="_blank" ><i class="fa fa-rss mr5"></i>RSS</a>';
	endif;
	if( $atts['tumblr']!= '' ):
		$output .= '<a href="'.esc_url($atts['tumblr']).'" class="btn btn-social" target="_blank" ><i class="fa fa-tumblr mr5"></i>Tumblr</a>';
	endif;
	if( $atts['instagram']!= '' ):
		$output .= '<a href="'.esc_url($atts['instagram']).'" class="btn btn-social" target="_blank" ><i class="fa fa-instagram mr5"></i>Instagram</a>';
	endif;
	if( $atts['youtube']!= '' ):
		$output .= '<a href="'.esc_url($atts['youtube']).'" class="btn btn-social" target="_blank" ><i class="fa fa-youtube mr5"></i>Youtube</a>';
	endif;
	if( $atts['vimeo']!= '' ):
		$output .= '<a href="'.esc_url($atts['vimeo']).'" class="btn btn-social" target="_blank" ><i class="fa fa-vimeo-square mr5"></i>Vimeo</a>';
	endif;
	if( $atts['behance']!= '' ):
		$output .= '<a href="'.esc_url($atts['behance']).'" class="btn btn-social" target="_blank" ><i class="fa fa-behance mr5"></i>Behance</a>';
	endif;
	if( $atts['dribble']!= '' ):
		$output .= '<a href="'.esc_url($atts['dribble']).'" class="btn btn-social" target="_blank" ><i class="fa fa-dribbble mr5"></i>Dribble</a>';
	endif;
	if( $atts['flickr']!= '' ):
		$output .= '<a href="'.esc_url($atts['flickr']).'" class="btn btn-social" target="_blank" ><i class="fa fa-flickr mr5"></i>Flickr</a>';
	endif;
	if( $atts['git']!= '' ):
		$output .= '<a href="'.esc_url($atts['git']).'" class="btn btn-social" target="_blank" ><i class="fa fa-git mr5"></i>Git</a>';
	endif;
	if( $atts['skype']!= '' ):
		$output .= '<a href="'.esc_url($atts['skype']).'" class="btn btn-social" target="_blank" ><i class="fa fa-skype mr5"></i>Skype</a>';
	endif;
	if( $atts['weibo']!= '' ):
		$output .= '<a href="'.esc_url($atts['weibo']).'" class="btn btn-social" target="_blank" ><i class="fa fa-weibo mr5"></i>Weibo</a>';
	endif;
	if( $atts['foursqure']!= '' ):
		$output .= '<a href="'.esc_url($atts['foursqure']).'" class="btn btn-social" target="_blank" ><i class="fa fa-foursquare mr5"></i>Foursquare</a>';	   
	endif;
	if( $atts['soundcloude']!= '' ):
   	   $output .= '<a href="'.esc_url($atts['soundcloude']).'" class="btn btn-social" target="_blank" ><i class="fa fa-soundcloud mr5"></i>Soundcloud</a>';
	endif;

	return '<div class="sh_social_btn">'.$output.'</div>';
}

/**
 *  popup
 */
if( !function_exists( 'fn_church_image_popup' ) ) {
	function fn_church_image_popup($atts, $content){
		extract(shortcode_atts( array(
		  "url" 	=> false,	  
		  "title"	=> false,
		  "alt"	=> false,
		), $atts ));	
		
		$url 	= !empty($atts['url']) ? $atts['url'] : '';
		$alt 	= !empty($atts['alt']) ? $atts['alt'] : '';		
		$title  = !empty($atts['title']) ? $atts['title'] : 'Loriem ipsum';
		return  sprintf('<a class="image-popup-vertical-fit" href="%s" title="%s">
				<img src="%s" width="576" height="576" alt="%s" >
			   </a>', esc_url($url), esc_attr($title), esc_url($url), esc_attr($alt) );
	}
	add_shortcode('church_image_popup','fn_church_image_popup');	
}
if( !function_exists( 'fn_church_video_popup' ) ){
	function fn_church_video_popup($atts, $content){
		extract(shortcode_atts( array(
		  "url" 	=> false,	  
		  "title"	=> false,
		), $atts ));	
		
		$url 	= !empty($atts['url']) ? $atts['url'] : '';
		$title  = !empty($atts['title']) ? $atts['title'] : 'Loriem ipsum';
		return  sprintf('<a class="popup-youtube popup-vimeo" href="%s"> %s </a>', esc_url($url), esc_attr($title) );
	}
	add_shortcode('church_video_popup','fn_church_video_popup'); 	
}
if( !function_exists( 'fn_church_audio_popup' ) ){
	function fn_church_audio_popup($atts, $content){
		extract(shortcode_atts( array(
		  "url" 	=> false,	  
		  "title"	=> false,
		), $atts ));	
		
		$url 	= !empty($atts['url']) ? $atts['url'] : '';
		$title  = !empty($atts['title']) ? $atts['title'] : 'Loriem ipsum';
		return  sprintf('<a class="popup-youtube popup-vimeo" href="%s"> %s </a>', esc_url($url), esc_attr($title) );
	}
	add_shortcode('church_audio_popup','fn_church_audio_popup'); 	
}
if( !function_exists( 'fn_church_map_popup' )) {
	function fn_church_map_popup($atts, $content){
		extract(shortcode_atts( array(
		  "url" 	=> false,	  
		  "title"	=> false,
		), $atts ));	
		
		$url 	= !empty($atts['url']) ? $atts['url'] : 		
		'https://maps.google.com/maps?q=221B+Baker+Street,+London,+United+Kingdom&amp;hl=en&amp;t=v&amp;hnear=221B+Baker+St,+London+NW1+6XE,+United+Kingdom"';
		$title  = !empty($atts['title']) ? $atts['title'] : 'Google Map';
		return  sprintf('<a class="popup-gmaps" href="%s"> %s </a>', esc_url($url), esc_attr($title) );
	}
	add_shortcode('church_map_popup','fn_church_map_popup'); 
}
/**
 *  Quote
 */
if( !function_exists( 'fn_church_quote' ) ){
	function fn_church_quote( $atts, $content ){
		extract(shortcode_atts( array(
		  "author"	=> false,
		  "desc"	=> false,
		  "align"	=> false,
		), $atts ));		
		
		$author = $atts['$author'] ? $atts['$author'] : 'Jhon Soe';
		
		$align = $atts['align'] ? $atts['align'] : 'left';
		if( $align == 'right' ){
			$style =  'border-right: 5px solid #ab4f42; border-left: none; text-align: right;';
		}
		if( $align == 'center' ){
			$style =  'text-align: center;';
		}
		if( $align == 'left' ){
			$style =  '';
		}		
		return sprintf('<blockquote style="%s"><p> %s </p><footer><cite>%s</cite></footer></blockquote>', esc_attr($style),  $content, esc_attr($author));
	}
	add_shortcode('church_quote','fn_church_quote');
}
/**
 *  Pricing Table
 */ 
if( !function_exists( 'fn_church_ul_price' ) ) {
	function fn_church_ul_price( $atts, $content ){
		extract(shortcode_atts( array(
		  "class"	=> false,
		), $atts ));
		$class = $atts['class'] ? $atts['class'] : '';
		return sprintf('<ul class="%1$s" style="margin: 0;padding: 0;text-align: center;">%2$s</ul>',esc_attr($class), do_shortcode($content));
	}
	add_shortcode( 'church_ul_price' , 'fn_church_ul_price' );
}
if( !function_exists( 'fn_church_li_price' ) ) {
	function fn_church_li_price( $atts, $content ){
		return sprintf('<li class="list-group-item"><i class="icon-ok text-danger"></i>%s</li>',$content);
	}
	add_shortcode( 'church_li_price' , 'fn_church_li_price' );
}
if( !function_exists( 'fn_church_price_list_btn_style_1' ) ){
	function fn_church_price_list_btn_style_1( $atts, $content ){
		extract(shortcode_atts( array(
		  "url"	=> false,
		  "interval" => false,
		), $atts ));	
		$url = $atts['url'] ? $atts['url'] : '#';
		$interval = $atts['interval'] ? $atts['interval'] : '#';
		
		return sprintf('<div class="panel-footer"><a class="btn btn-lg btn-block btn-danger" href="%s">%s</a></div>',esc_url($url), esc_attr($interval) );
	}
	add_shortcode('church_price_list_btn_style_1','fn_church_price_list_btn_style_1');
}
if( !function_exists( 'fn_church_pricing_column_style_1' ) ) {
	function fn_church_pricing_column_style_1( $atts, $content ){
		extract(shortcode_atts( array(
		  "title"	=> false,
		  "price"	=> false,
		  "currency_symbol" => false,
		  "interval" => false,
		  "column"   => false,
		), $atts ));

		$column  =  $atts["column"] ? $atts["column"] : '6';
		$title = $atts["title"] ? $atts["title"] : 'Column';	
		$currency_symbol = $atts["currency_symbol"] ? $atts["currency_symbol"] : '$' ;
		$price = $atts["price"] ? $atts["price"] : '100';
		$interval = $atts["interval"] ?  $atts["interval"] : 'Per Month';

		return sprintf('<div class="col-md-%1$s"><div class="panel panel-info"><div class="panel-heading">
					   <h3 class="text-center">%2$s</h3></div><div class="panel-body text-center"><p class="lead" style="font-size:40px">
					   <strong>%3$s%4$s %5$s</strong></p></div>%6$s</div></div>',
					   esc_attr($column), esc_attr($title), esc_attr($currency_symbol), esc_attr($price), esc_attr($interval), do_shortcode($content) );
	}
	add_shortcode('church_pricing_column_style_1','fn_church_pricing_column_style_1');
} 
/**
 *  price-list style-2
 */
if( !function_exists( 'fn_church_pricing_column_style_2' ) ) {
	function fn_church_pricing_column_style_2( $atts, $content ){
		extract(shortcode_atts( array(
		  "title"	=> false,
		  "interval" => false,
		  "column"   => false,
		  "url"		 => false,
		  "lead-text" => false,
		), $atts ));

		$title = $atts["title"] ? $atts["title"] : 'Column';	
		$interval = $atts["lead-text"] ?  $atts["lead-text"] : 'Per Month';
		$column  =  $atts["column"] ? $atts["column"] : '6';
		$url	= $atts["url"] ? $atts["url"] : '#';

		return sprintf('<div class="col-md-%1$s"><div class="list-group text-center"><a href="%2$s" class="list-group-item active">
					   <h4 class="list-group-item-heading">%3$s</h4><h6>%4$s</h6></a> %5$s  </div></div>',
					   esc_attr($column),esc_url($url),esc_attr($title),esc_attr($interval),do_shortcode($content));
	}
	add_shortcode('church_pricing_column_style_2','fn_church_pricing_column_style_2');
} 
if( !function_exists( 'fn_church_price_list_style_2' ) ) {
	function fn_church_price_list_style_2( $atts, $content ){
		extract(shortcode_atts( array(
		  "url"	=> false,
		), $atts ));
		$url = $atts['url'] ? $atts['url'] : '#';
		return sprintf('<a href="%s" class="list-group-item"><p class="list-group-item-text">%2$s</p></a>',esc_url($url), $content);
	}
	add_shortcode('church_price_list_style_2','fn_church_price_list_style_2');
}
if( !function_exists( 'fn_church_price_list_btn_style_2' ) ){
	function fn_church_price_list_btn_style_2( $atts, $content ){
		extract(shortcode_atts( array(
		  "url"	=> false,
		  "price"	=> false,
		  "currency_symbol" => false,
		  "interval" => false,
		), $atts ));		
		$url = $atts['url'] ? $atts['url'] : '#';		
		$currency_symbol = $atts["currency_symbol"] ? $atts["currency_symbol"] : '$' ;
		$price = $atts["price"] ? $atts["price"] : '100';
		$interval = $atts["interval"] ?  $atts["interval"] : 'Per Month';
		
		return sprintf('<a href="%s" class="list-group-item"><button class="btn btn-primary btn-lg btn-block">%s%s %s</button></a>',
					    esc_url($url),esc_attr($currency_symbol),esc_attr($price),esc_attr(strtolower($interval)));
	}
	add_shortcode('church_price_list_btn_style_2','fn_church_price_list_btn_style_2');
}
/**
 *  video / audio - iframe
 */
if( !function_exists('fn_church_video_audio')){
	function fn_church_video_audio( $atts, $content ){
		extract(shortcode_atts( array(
		  "url"	=> false,
		), $atts ));		
		$url = $atts['url'] ? $atts['url'] : '#';
		return sprintf('<div class="videoWrapper"> %s </div>', church_video_embed(wp_oembed_get( esc_url($url)  )));
	}
	add_shortcode('church_video','fn_church_video_audio');
	add_shortcode('church_audio','fn_church_video_audio');
} 
/**
 *  Drop-cap
 */
/*if( !function_exists( 'fn_church_dropcap' ) ) {
	function fn_church_dropcap( $atts, $content ){
		extract(shortcode_atts( array(
		  "color"	=> false,
		  "background-color"	=> false,
		  "font-size" 	=> false,
		  "line-height" 	=> false,
		  "padding-top"	=> false,
		  "padding-right"	=> false,
		  "padding-left" 	=> false,
		  "font-family"	 => false
		), $atts ));			
		$color = $atts['color'] ? $atts['color'] : '';
		$background_color = $atts['background-color'] ? $atts['background-color'] : '';
		$font_size = $atts['font-size'] ? $atts['font-size'] : '';
		$line_height = $atts['line-height'] ? $atts['line-height'] : '';
		$padding_top = $atts['padding-top'] ? $atts['padding-top'] : '';
		$padding_right = $atts['padding-right'] ? $atts['padding-right'] : '';
		$padding_left = $atts['padding-left'] ? $atts['padding-left'] : '';
		$font_family = $atts['font-family'] ? $atts['font-family'] : '';
		
		return sprintf('<p class="Dropcap_class" style="">');
		
	}
	add_shortcode('church_dropcap','fn_church_dropcap');
} */






/** 
 *   Slider Front page
 */ 



if( !function_exists( 'fn_church_slider' ) ){  
	function fn_church_slider( $atts, $content ){  global $wp_query, $post;

 if( church_get_option('front_slider_display') != '' ) : ?>
  <div id="myCarousel" class="carousel slide">
  <?php
  $bs_dots = '';
  $bs_count = 0;
  $bs_dots .= '<ol class="carousel-indicators">';
  $args = array( 'post_type' => 'sliders' , 'posts_per_page' => -1, 'post_status'=> 'publish' );
  $loop = new WP_Query( $args );
  while ( $loop->have_posts() ) : $loop->the_post();
    
    if( $bs_count == 0 ) {
        $bs_dots .= '<li data-target="#myCarousel" data-slide-to="'.$bs_count++.'" class="active"></li>';
    }
    else {
        $bs_dots .= '<li data-target="#myCarousel" data-slide-to="'.$bs_count++.'" class=""></li>'; 
    }
    
  endwhile; 
  wp_reset_postdata();
  $bs_dots .= '</ol>';
  if( church_get_option('controlnav') != '' ) :
    echo $bs_dots;
  endif;
  ?> 
  <div class="carousel-inner">
  <?php
  $bs_slider = 1;
  $args = array( 'post_type' => 'sliders' , 'posts_per_page' => -1, 'post_status'=> 'publish' );
  $loop = new WP_Query( $args );
  while ( $loop->have_posts() ) : $loop->the_post();

    if( $bs_slider == 1 )  { echo '<div class="item active">'; $bs_slider++; }
    else { echo '<div class="item">'; }

      if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class'=>'img-responsive'));
      endif;
      ?>
      <div class="carousel-caption">


        <div class="row">
        <?php 
        $align_check = get_post_meta( $post->ID, 'slider_information_align', true );
        switch( true ) {
          case ( $align_check == 'left' ) :  echo "<div class='col-md-6'>";
          break;
          case ( $align_check == 'right' ) : echo "<div class='col-md-6 col-md-offset-6'>";
          break; 
          case ( $align_check == 'center' ) : echo "<div class='col-md-12'>";
          break;
          default :   echo "<div class='col-md-12'>";
          break;
        }

         the_title( '<h1>', '</h1>' ); 
         echo '<p>'.get_post_meta( $post->ID, 'slider_description', true ).'</p>';
         if(get_post_meta( $post->ID, 'button_show', true ) =='on' ) : ?>
          <a href="<?php echo get_post_meta( $post->ID, 'slider_button_link', true ); ?>" 
          class="btn outline-btn outline-btn-yellow"><?php echo get_post_meta( $post->ID, 'slider_button_text', true ); ?></a>
          <?php endif; 
        ?>

          </div>
        </div>  

      </div>
     </div><!-- item -->
  <?php
  endwhile; 
  wp_reset_postdata();
  ?>

   </div><!-- carousel-inner --> 
  <?php 
  if( church_get_option('directionnav') != '' ) : ?>
    <a class="left carousel-control" href="#myCarousel" role="button" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="right carousel-control" href="#myCarousel" role="button" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
  <?php
  else : ?>
    <a class="left carousel-control" href="#myCarousel" role="button" data-slide="prev">
      <span class="glyphicon" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="right carousel-control" href="#myCarousel" role="button" data-slide="next">
      <span class="glyphicon" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
  <?php
  endif;
  ?>
  </div><!-- #myCarousel -->
<?php endif; // slider show/hide option via theme options.


	}
	add_shortcode('church_slider','fn_church_slider');
}




/** 
 *   Welcome Section
 */ 


if( !function_exists('fn_church_welcome_section')){
	function fn_church_welcome_section( $atts, $content ){    global $wp_query, $post;


	 if( church_get_option('front_welcome_display') != '' ) : ?>
<div class="about-section">
  <!-- about-section -->
  <div class="container">
    <div class="row">
      <div class="col-md-12 section-title">
    <!-- title -->      
      <?php 
    if(church_get_option('welcome_home')!='') :
           echo '<h1>'.esc_html(church_get_option('welcome_home')).'</h1>';
    endif;
        if(church_get_option('welcome_desc')!='') :
           echo '<p>'.esc_textarea(church_get_option('welcome_desc')).'</p>';
    endif;
    ?>
      </div>
      <!--title -->
    </div>
    <div class="about-block">
      <!-- about block -->
      <div class="row">
        <div class="col-md-4 block">
        <!-- block -->
          <?php 
      if(church_get_option('icon_1_logo')!='') {
      echo '<img src="'.esc_url(church_get_option('icon_1_logo')). '" alt="">';
      }else {
      echo '<img src="'.esc_url( get_template_directory_uri() . '/images/icon-1.png' ).'" alt="">';
      }
      if(church_get_option('icon_1_text')!='') :
             echo '<h2>'.esc_html(church_get_option('icon_1_text')).'</h2>';
      endif;
          if(church_get_option('icon_1_desc')!='') :
             echo '<p>'.esc_textarea(church_get_option('icon_1_desc')).'</p>';
      endif;
    ?>
        </div>
        <!-- /.block -->
        <div class="col-md-4 block">
        <!-- block -->
        <?php 
      if(church_get_option('icon_2_logo')!='') {
      echo '<img src="'.esc_url(church_get_option('icon_2_logo')). '" alt="">';
      }else {
      echo '<img src="'.esc_url( get_template_directory_uri() . '/images/icon-2.png' ).'" alt="">';
      }
      if(church_get_option('icon_2_text')!='') :
             echo '<h2>'.esc_html(church_get_option('icon_2_text')).'</h2>';
      endif;
          if(church_get_option('icon_2_desc')!='') :
             echo '<p>'.esc_textarea(church_get_option('icon_2_desc')).'</p>';
      endif;
    ?>
        </div>
        <!-- /.block -->
        <div class="col-md-4 block">
        <!-- block -->
          <?php 
      if(church_get_option('icon_3_logo')!='') {
      echo '<img src="'.esc_url(church_get_option('icon_3_logo')). '" alt="">';
      }else {
      echo '<img src="'.esc_url( get_template_directory_uri() . '/images/icon-3.png' ).'" alt="">';
      }     
      if(church_get_option('icon_3_text')!='') :
             echo '<h2>'.esc_html(church_get_option('icon_3_text')).'</h2>';
      endif;
          if(church_get_option('icon_3_desc')!='') :
             echo '<p>'.esc_textarea(church_get_option('icon_3_desc')).'</p>';
      endif;
    ?>
        </div>
        <!-- /.block -->
      </div>
    </div>
    <!-- /.about block -->
    <div class="row text-center">
      <div class="col-md-12">
      <?php
     if(esc_html(church_get_option('want_pastor_text'))!="" && esc_html(church_get_option('want_pastor_link'))!="") :      
      echo '<a href="'.esc_url(church_get_option('want_pastor_link')).'" class="btn outline-btn outline-btn-red">'.esc_attr(church_get_option('want_pastor_text')).'<i class="fa fa-angle-right"></i></a> ';      
     endif;
     if(esc_html(church_get_option('more_pastor_text'))!="" && esc_url(church_get_option('more_pastor_link'))!="") :
     echo '<a href="'.esc_url(church_get_option('more_pastor_link')).'" class="btn outline-btn outline-btn-grey">'.esc_attr(church_get_option('more_pastor_text')).'<i class="fa fa-angle-right"></i></a> ';                
    endif;
    ?>
      </div>
    </div>
  </div>
</div>
<!-- about-section -->

<?php endif; 

	}
	add_shortcode('welcome_section','fn_church_welcome_section');
} 


/** 
 *    Ministry Front page
 */  
if( !function_exists('fn_church_ministry')){
	function fn_church_ministry( $atts, $content ){   global $wp_query, $post;

	extract(shortcode_atts( array(
	  "show"	=> false,
	), $atts ));		
	$show = $atts['show'] ? $atts['show'] : '6';

		
if( church_get_option('front_ministry_display') != '' ) : ?>



<div class="divider-shape">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <?php church_divider(); ?>
      </div>
    </div>
  </div>
</div>


<div class="ministry-section" id="ministry-section">
  <!-- ministry-section -->
  <div class="container">
    <!-- container -->
    <div class="row">
      <!-- row -->
      <div class="col-md-offset-2 col-md-8 section-title">
      <!-- section title -->
      <?php 
    if(church_get_option('ministry_text')!='') :
         echo '<h1>'.esc_html(church_get_option('ministry_text')).'</h1>';
    endif;
      if(church_get_option('minisry_desc')!='') :
         echo '<p>'.esc_textarea(church_get_option('minisry_desc')).'</p>';
    endif;
    ?>
      <!-- selection -->
      </div>
      <!-- /.section title -->
    </div>
    <div class="row">
    <div class="ministry-carousel">
    <?php

    if( church_get_option('ministry_post_array') != '' && is_array( church_get_option('ministry_post_array') ) ) {
    	$ministry_post_count = count( church_get_option('ministry_post_array') );
    	$ministry_post__in = church_get_option('ministry_post_array');

    	$args = array( 'post_type' => 'ministry', 'posts_per_page' => $ministry_post_count, 'post__in' => $ministry_post__in, 'post_status'=> 'publish' );

    }else {
    	$args = array( 'post_type' => 'ministry', 'posts_per_page' => $show, 'post_status'=> 'publish' );
    }


  $loop = new WP_Query( $args );
  while ( $loop->have_posts() ) : $loop->the_post();
    ?>
        <div class="item pl15 pr15">
          <!-- Mininstry block -->
          <div class="">
            <div class="ministry-image"> 
            <a href="<?php the_permalink(); ?>">
      <?php
              if ( has_post_thumbnail() ) : the_post_thumbnail('ministry', array('class' => 'img-responcive'));  /* ministry or large */
              endif;
            ?>
            </a> 
            </div>
            <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>              
            <?php
            if(get_the_excerpt()) :
               $mycontent = get_the_excerpt();
               echo '<p>'.church_getCharCut($mycontent, 105).'</p>';
        endif;
        ?>
          </div>
        </div>
        <!-- owl -->
        <?php
    endwhile; 
    wp_reset_postdata();
    ?>
      </div>
      <!-- owl -->
    </div>
    <!-- row -->
  </div>
  <!-- container -->
</div>

<?php endif; 

	}
	add_shortcode('ministry_post','fn_church_ministry');
} 


/** 
 *   Sermon Post
 */ 

if( !function_exists('fn_church_sermon')){
	function fn_church_sermon( $atts, $content ){   global $wp_query, $post;
		
if( church_get_option('front_sermon_display') != '' ) : ?>


<div class="divider-shape">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <?php church_divider(); ?>
      </div>
    </div>
  </div>
</div>

<div class="latest-message" id="latest-message">
  <!-- ministry-section -->
  <div class="container">
    <!-- container -->
    <div class="row">
      <!-- row -->
      <div class="col-md-offset-2 col-md-8 section-title">
      <!-- section title -->
      <?php 
    if(church_get_option('sermon_text')!='') :
         echo '<h1>'.esc_html(church_get_option('sermon_text')).'</h1>';
    endif;
      if(church_get_option('sermon_desc')!='') :
         echo '<p>'.esc_textarea(church_get_option('sermon_desc')).'</p>';
    endif;
    ?>
      <!-- selection -->
      </div>
      <!-- /.section title -->
    </div>
    <?php


  

  if( church_get_option('sermon_post_array') != '' ){
  	$sermon_post__in = church_get_option('sermon_post_array');
	$args = array( 'post_type' => 'sermon' , 'posts_per_page' => 1, 'post__in' => array( $sermon_post__in ),  'post_status'=> 'publish' );
  }else {
    $args = array( 'post_type' => 'sermon' , 'posts_per_page' => 1, 'post_status'=> 'publish' );
  }


  $loop = new WP_Query( $args );
  while ( $loop->have_posts() ) : $loop->the_post();
    ?>
    <div class="message-section">
      <div class="row">
        <div class="col-md-6">
          <!-- sermon series pic -->
           <div class="sermons-series"> 
            <a href="<?php the_permalink(); ?>">
      <?php
              if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class' => 'img-responsive' ));
              endif;
            ?>
            </a> 
           </div>
        </div>
        <!-- /.sermon series pic -->
        <div class="col-md-6">
          <!-- sermon details -->
          <div class="sermon-description">
            <h2><?php the_title(); ?></h2>
            <p>
            	
            <?php 
            //get the saved meta as an arry
            $sermon = get_post_meta($post->ID,'sermon',true);

            $c = 0;     
            if ( count( $sermon ) >= 1 && !empty( $sermon ) ) {
             $j = 1;

              $array_reverce_1 = array_reverse( $sermon );

              foreach( $array_reverce_1 as $check ) {
                if ( isset($check['date']) && $j == 1 ){ 
                ?>
              <small class="sermon-date"><?php echo esc_html($check['date']); ?></small>
              <?php
                $j++;
                }     
                $c = $c +1;             
            }
            }
     

			  $speaker_name = get_post_meta($post->ID,'speaker_name',true);

              if( $speaker_name ) { 

              	print '<small class="sermon-speaker"> Speaker : ';

					global $terms;

					$speckers = get_terms( 'sermon_speckers' );
					 
					foreach ( $speckers as $term ) {
					 
					    // The $term is an object, so we don't need to specify the $taxonomy.
					    $term_link = get_term_link( $term );
					    
					    // If there was an error, continue to the next term.
					    if ( is_wp_error( $term_link ) ) {
					        continue;
					    }

					    if( $speaker_name == $term->name ){
					        print '<a href="' . esc_url( $term_link ) . '">' . $term->name . '</a>';
					    }
					 
					}

         		print  '</small>';

               } 
            ?>

            </p>
            <div class="message-action">
              <!-- message action -->
              <?php 
    //get the saved meta as an arry
    $sermon = get_post_meta($post->ID,'sermon',true);
    $c = 0;     
  if ( count( $sermon ) >= 1 && !empty( $sermon ) ) {
  $k = 1;

  $array_reverce_2 = array_reverse( $sermon );

  foreach( $array_reverce_2 as $check ) {   
  if( $k == 1 ) {
    if ( isset($check['pdf']) || isset($check['download']) || isset($check['listen']) || isset($check['watch'])  ){ 
    ?>
            <div class="message-action"> 
            <?php
              if( $check['pdf'] != '' ) :  
                echo '<a href="'.esc_url( $check['pdf'] ).'"  class="btn outline-small">View <i class="fa fa-file-pdf-o"></i></a>';
        endif;
              if( $check['download'] != '' ) :
                echo '<a href="'.esc_url( $check['download'] ).'" class="btn outline-small">Download <i class="fa fa-download"></i></a>';
        endif;
              if( $check['listen'] != '' ) :
                echo '<a href="'.esc_url( $check['listen'] ).'" class="open sermon-video btn outline-small">Listen <i class="fa fa-volume-up"></i></a>';
        endif;
              if( $check['watch'] != '' ) :
                echo '<a href="'.esc_url( $check['watch'] ).'" class="open btn sermon-video outline-small">Watch <i class="fa fa-video-camera"></i></a> ';
        endif;        
        ?>
            </div>
            <?php 
    }       
    $k++;   
    }
    $c = $c +1;                 
    }     
  }
  ?>
            </div>
            <!-- message-action -->
          </div>
          <!-- /.message action -->
        </div>
        <!-- /.sermon details -->
      </div>
    </div>
    <div class="row">
      <div class="col-md-12 text-center"> <a href="<?php the_permalink(); ?>" class="btn outline-btn outline-btn-red">
      <?php esc_html_e('View all sermons series', 'praise_church');?>
        <i class="fa fa-angle-right"></i> </a>
      </div>
    </div>
    <?php
    endwhile; 
    wp_reset_postdata();
    ?>
  </div>
  <!-- container -->
</div>


<?php endif; 		

	}
	add_shortcode('sermon_post','fn_church_sermon');
} 



/** 
 *   Blog Post
 */ 


if( !function_exists( 'fn_church_blog_post' ) ){
	function fn_church_blog_post( $atts, $content ){      global $wp_query, $post;
		
if( church_get_option('front_blog_display') != '' ) : ?>


<div class="divider-shape">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <?php church_divider(); ?>
      </div>
    </div>
  </div>
</div>

<div class="blog-section" id="blog-section">
  <!-- ministry-section -->
  <div class="container">
    <!-- container -->
    <div class="row">
      <!-- row -->
      <div class="col-md-offset-2 col-md-8 section-title">
      <!-- section title -->
      <?php 
    if(church_get_option('blog_text')!='') :
        echo '<h1>'.esc_html(church_get_option('blog_text')).'</h1>';
    endif;
    if( church_get_option('blog_desc') != '' ):
    	 echo '<p>'.esc_textarea(church_get_option('blog_desc')).'</p>';
    endif;
    ?>
      </div>
    </div>
    <!-- row -->
    <div class="blog-post">
      <!-- blog post -->
      <div class="row">
      <!-- row -->
      <?php

	if( church_get_option('blog_post_array') != '' && is_array( church_get_option('blog_post_array') ) ){
		$blog_post__in = church_get_option('blog_post_array');
		$args = array( 'post_type' => 'post', 'posts_per_page' => 3, 'post__in' => $blog_post__in, 'post_status'=> 'publish', 'post__not_in' => get_option("sticky_posts"),);
	}else {
		$args = array( 'post_type' => 'post', 'posts_per_page' => 3, 'post_status'=> 'publish', 'post__not_in' => get_option("sticky_posts"),);
	}

    $loop = new WP_Query( $args );
      while ( $loop->have_posts() ) : $loop->the_post();
     
        print '<div class="col-md-4 blog-content blog-block">';
         	
         		get_template_part( 'template-parts/content', 'front' );

        print '</div>';
       
    endwhile; 
    wp_reset_postdata();
    ?>
      </div>
      <!-- blog-post -->
    </div>
    <!-- row -->
  </div>
  <!-- container -->
</div>

<?php endif; 

	}
	add_shortcode('blog_post','fn_church_blog_post');
}




/** 
 *   Event Post
 */ 


if( !function_exists( 'fn_church_event_post' ) ){

	function fn_church_event_post( $atts, $content ){   global $wp_query, $post;
		
	if( church_get_option('front_event_display') != '' ) : ?>


		<div class="divider-shape">
		  <div class="container">
		    <div class="row">
		      <div class="col-md-12">
		        <?php church_divider(); ?>
		      </div>
		    </div>
		  </div>
		</div>


<div class="events" id="events">
<!-- event -->
<div class="container">
  <!-- container -->
  <div class="row">
  <!-- row -->

  <div class="col-md-offset-2 col-md-8 section-title">
	<?php 
	if(church_get_option('event_text')!='') :
		print '<h1>'.esc_html(church_get_option('event_text')).'</h1>';
	endif;
	if( church_get_option('event_desc') != ''):
		print '<p>'.esc_textarea(church_get_option('event_desc')).'</p>';
	endif;
	?>  	
  </div>

<?php 

	if( church_get_option('event_post_array') != '' && is_array( church_get_option('event_post_array') ) ){
		$event_post__in = church_get_option('event_post_array');
		$args = array( 'post_type' => 'event', 'posts_per_page' => 2, 'post__in' => $event_post__in , 'post_status'=> 'publish', );
	}else {
		$args = array( 'post_type' => 'event', 'posts_per_page' => 2, 'post_status'=> 'publish', );
	}

	$curdate= date('d-M-Y');
	$query = new WP_Query( $args );
	while ( $query->have_posts() ) : $query->the_post();
	$date_2 = get_post_meta( $post->ID, 'MyDate2', true );
	if(strtotime($curdate) <= strtotime($date_2)) :
  ?>

  <div class="col-md-6">
    <div class="row">


    <div class="col-md-2"><!-- event date -->
      <div class="date-box-red">
        <div class="box-white">
        <?php
         $date_2 = get_post_meta( $post->ID, 'MyDate2', true );
         $k = explode(" ",$date_2 );
         echo '<h3>'.substr($k[2], 0, 2).'</h3>'.substr($k[1], 0, 3);
        ?>
        </div>
      </div>
    </div>


    <!-- /.event date -->
    <div class="col-md-10 event-content"><!--  event content -->
      <div class="row">

        <div class="col-md-12 events-pic "><!-- event pic -->
          <div class="">
            <a href="<?php the_permalink(); ?>">
            <?php 
                if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class' => 'img-responsive' )); 
                endif;
            ?>
            </a>
          </div>
        </div>
        <!-- event pic -->


    <div class="col-md-12">
      <div class="events-description">
      <!-- event descriptions -->
        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
        <div class="event-detail"><!-- event details -->
          <div class="event-time"><i class="fa fa-clock-o"></i>
          <?php
            $start_time = get_post_meta( $post->ID, 'start_time', true );
            $end_time = get_post_meta( $post->ID, 'end_time', true );   
            
            if($date_2)     : echo esc_html($date_2).', ';
            endif;
            if($start_time) : echo esc_html($start_time).' - ';
            endif;
            if($end_time)   : echo esc_html($end_time);
            endif;
          ?>
          </div>
          <div class="event-location"><i class="fa fa-map-marker"></i>
          <?php
              $event_place = get_post_meta( $post->ID, 'event_place', true );                   
              if($event_place):  echo esc_html($event_place);
              endif;
          ?>
          </div>
        </div>
        <!-- event details --> 
        <a href="<?php the_permalink(); ?>" class="btn outline-btn outline-btn-red"> Details<i class="fa fa-angle-right"></i></a> 
       </div>
      <!-- event descriptions -->       
    </div>        

      </div>
    </div>
    <!--  event content -->




  </div>
</div>


	<?php 
    endif;
    endwhile; 		
    wp_reset_postdata();
    ?>

</div></div></div>

	<?php endif;  // theme options to check post display yes/no 

	}
	add_shortcode('event_post','fn_church_event_post');
}



?>
