<?php
/**
* The template for displaying Comments.
*
* The area of the page that contains both current comments
* and the comment form. The actual display of comments is
* handled by a callback to church_comment() which is
* located in the inc/template-tags.php file.
*
* @package Church
* @since Church
*/
?>

<?php
/*
* If the current post is protected by a password and
* the visitor has not yet entered the password we will
* return early without loading the comments.
*/
	if ( post_password_required() )
	return;
?>

<div class="col-md-12 leave-comments">
<!-- row -->

    <div id="comments" class="comments-area blog-comments">
    <!-- commetns -->
    <?php // You can start editing here -- including this comment! ?>
    
    <?php if ( have_comments() ) : ?>
    
	    <h2 class="comments-title blog-comments">
		<?php
            printf( _n( 'One thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', get_comments_number(), 'praise_church' ),
                number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
        ?>
        </h2>

        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :   ?>

        <nav role="navigation" id="comment-nav-above" class="site-navigation comment-navigation">
            <h1 class="assistive-text"><?php _e( 'Comment navigation', 'praise_church' ); ?></h1>
            <div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'praise_church' ) ); ?></div>
            <div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'praise_church' ) ); ?></div>
        </nav><!-- #comment-nav-before .site-navigation .comment-navigation -->

        <?php endif; // check for comment navigation ?>

        <div class="commentlist comments">
            <?php
                /* Loop through and list the comments. Tell wp_list_comments()
                 * to use church_comment() to format the comments.
                 * If you want to overload this in a child theme then you can
                 * define church_comment() and that will be used instead.
                 * See church_comment() in inc/template-tags.php for more.
                 */
                wp_list_comments( array( 'callback' => 'church_comment', 'style' => 'ol', ) );
            ?>
        </div><!-- .commentlist -->

        <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>

        <nav role="navigation" id="comment-nav-below" class="site-navigation comment-navigation">
            <h1 class="assistive-text"><?php _e( 'Comment navigation', 'praise_church' ); ?></h1>
            <div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'praise_church' ) ); ?></div>
            <div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'praise_church' ) ); ?></div>
        </nav><!-- #comment-nav-below .site-navigation .comment-navigation -->

        <?php endif; // check for comment navigation ?>

    <?php endif; // have_comments() ?>
    <?php

        // If comments are closed and there are comments, let's leave a little note, shall we?
        if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :  ?>        
        
	        <p class="nocomments"><?php _e( 'Comments are closed.', 'praise_church' ); ?></p>
            
    <?php endif; ?>
	<?php
	/**
	 *	Comment form.
	 */
	$comment_form = array(
   		 'title_reply' => __('Leave Comments', 'praise_church'),
   		 'title_reply_to' => __('Leave a Reply to %s', 'praise_church'),
   		 'comment_notes_before' => '',
			    'fields' => array(
				        'author' => ''.
						'<label class="" for="author">Name</label>'.
				        '<div class="form-group">' .
				        '<input id="author" name="author" type="text" 
						value="' . esc_attr($commenter['comment_author']) . '" size="30" aria-required="true"  
						class="form-control" placeholder="' . __('Name: ', 'praise_church') . '" />
						</div>',
						
				        'email' => ''.
						'<label class="" for="email">Email address</label>'.
				        '<div class="form-group">
			            <input placeholder = "' . __('E-mail: ', 'praise_church') . '" class = "form-control" id = "email" 
						name = "email" type = "text" value = "' . esc_attr($commenter['comment_author_email']) . '" 
						size = "30" aria-required = "true" />
						</div>',

				        'url' => ''.
						'<label class="" for="url">Subject</label>'.
						'<div class="form-group"><input placeholder = "' . __('Website: ', 'praise_church') . '" 
						class = "form-control" id = "url" name = "url" type = "text" 
						value = "' . esc_attr($commenter['comment_author_url']) .'" size = "30" aria-required = "true" />
						</div>',
		      ),

	    'label_submit' => __('Submit', 'praise_church'),
	    'logged_in_as' => '',
	    'comment_field' => '',
		'class_submit'  => 'btn outline-btn outline-btn-red',
	    'comment_notes_after' => '',
		'comment_field' => ''.
			'<label class="" for="comment">Comments</label>'.
			'<div class="form-group">
				<textarea name = "comment" rows="8" id = "comment" 
				placeholder = "'.__('Comment:', 'praise_church').'" class = "textarea form-control"></textarea>
			</div>',
        );
	ob_start();	
	comment_form($comment_form);
    echo preg_replace('/<h3 id="reply-title"(.*)>(.*)<\/h3>/','<h2 id="reply-title"\1>\2</h2>',ob_get_clean());
	?>
    
    </div>
    <!-- #comments .comments-area -->
</div>
<!-- row -->