<?php
/**
* The template for displaying the footer.
*
* Contains the closing of the #content div and all content after
*
* @package Church
*/
?>
</div>
<!-- main-container -->

<div class="footer" id="footer">
  <div class="container">
    <div class="row">
      <div class="col-md-6 ft-about"><!-- footer about church -->
	  <?php 
	  if(church_get_option('praise_church_title')!=''):
		 echo '<h2>'.esc_html(church_get_option('praise_church_title')).'</h2>';
	  endif;
	  if(church_get_option('praise_church_description')!=''):
		 echo '<p>'.__(church_get_option('praise_church_description')).'</p>';
	  endif;
	  if(church_get_option('service_time_title')!=''):
		 echo '<h2>'.esc_html(church_get_option('service_time_title')).'</h2>';
	  endif;
	  if(church_get_option('footer_services_time')!='') :
		 echo '<p>'.__(church_get_option('footer_services_time')).'</p>';
	  endif;
	  if(church_get_option('campus_location')!=''):
 	     echo '<h2>'.esc_html(church_get_option('campus_location')).'</h2>';
	  endif;
	  if(church_get_option('campus_description')!='') :
		 echo '<p>'.__(church_get_option('campus_description')).'</p>';
	  endif;
	  if(church_get_option('location_link')!='') :
		 echo '<p><a href="'.esc_url(church_get_option('location_link')).'" class="btn outline-btn outline-btn-red" >';
	  endif;        
	  if(church_get_option('location_btn')!=''):
		 echo esc_attr(church_get_option('location_btn')).'</a></p>';
	  endif;
	  ?>
      </div>
      <!-- /.footer about church -->
      
      <div class="col-md-6">
        <div class="row">
        
		  <div class="col-md-6"><!-- useful link -->
		  <?php 
		  if(church_get_option('useful_link')!=''):
		     echo '<h2>'.esc_html(church_get_option('useful_link')).'</h2>';
		  endif;
		  ?>
          <div class="useful-link">
          <?php     
            if ( has_nav_menu('user_link') ){
                 wp_nav_menu( array( 
                   'theme_location' => 'user_link', 
                   'menu_class' => 'useful-link',  
                   'fallback_cb' => false,
                   'before' => '<i class="fa fa-angle-right"></i>',	
               )); 
            }                
          ?>
          </div>
	      </div>  
    	  <!-- /.useful link -->
          <div class="col-md-6">
          <?php
              dynamic_sidebar( 'secoundary_sidebar' );
	 	  ?>
          </div>
        </div>
        
        <div class="newsletter-box">
          <div class="row">
            <div class="col-md-12">
			<?php 
			if(church_get_option('footer_newsletter')!=''):
               echo '<h2>'.esc_html(church_get_option('footer_newsletter')).'</h2>';
			endif;
			if(church_get_option('footer_newsletter_desc')!=''):
               echo '<p>'.__(church_get_option('footer_newsletter_desc')).'</p>';
			endif;
			if(church_get_option('footer_newsletter_shortcode')!='') :
               echo do_shortcode(esc_html(church_get_option('footer_newsletter_shortcode')));
			endif;
			?>
            </div>
          </div>
        </div>

        <div class="social-button">
          <div class="row">
            <div class="col-md-12">
			<?php 
			if(church_get_option('icon_title')!=''):
               echo '<h2>'.esc_html(church_get_option('icon_title')).'</h2>';
			endif;
			if(church_get_option('social_facebook')!=''):
           	   echo '<a href="'.esc_url(church_get_option('social_facebook')).'" class="btn btn-social"> 
			   <i class="fa fa-facebook"></i>Facebook</a>';
			endif;
			if(church_get_option('social_twitter')!=''):
           	   echo '<a href="'.esc_url(church_get_option('social_twitter')).'" class="btn btn-social"> 
			   <i class="fa fa-twitter"></i>Twitter</a>';
			endif;
			if(church_get_option('social_pintrest')!=''):
           	   echo '<a href="'.esc_url(church_get_option('social_pintrest')).'" class="btn btn-social"> 
			   <i class="fa fa-pinterest"></i>Pinterest</a>';
			endif;
			if(church_get_option('social_linkedin')!=''):
           	   echo '<a href="'.esc_url(church_get_option('social_linkedin')).'" class="btn btn-social"> 
			   <i class="fa fa-linkedin"></i>LinkedIn</a>';
			endif;
			if(church_get_option('social_google')!=''):
           	   echo '<a href="'.esc_url(church_get_option('social_google')).'" class="btn btn-social"> 
			   <i class="fa fa-google-plus"></i>Google +</a>';
			endif;
			if(church_get_option('social_rss')!=''):
           	   echo '<a href="'.esc_url(church_get_option('social_rss')).'" class="btn btn-social"> 
			   <i class="fa fa-rss"></i>RSS</a>';
			endif;
			if(church_get_option('social_tumblr')!=''):
           	   echo '<a href="'.esc_url(church_get_option('social_tumblr')).'" class="btn btn-social"> 
			   <i class="fa fa-tumblr"></i>Tumblr</a>';
			endif;
			if(church_get_option('social_instagram')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_instagram')).'" class="btn btn-social"> 
			   <i class="fa fa-instagram"></i>Instagram</a>';
			endif;
			if(church_get_option('social_youtube')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_youtube')).'" class="btn btn-social"> 
			   <i class="fa fa-youtube"></i>Youtube</a>';
			endif;
			if(church_get_option('social_vimeo')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_vimeo')).'" class="btn btn-social"> 
			   <i class="fa fa-vimeo-square"></i>Vimeo</a>';
			endif;
			if(church_get_option('social_behance')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_behance')).'" class="btn btn-social"> 
			   <i class="fa fa-behance"></i>Behance</a>';
			endif;
			if(church_get_option('social_dribble')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_dribble')).'" class="btn btn-social"> 
			   <i class="fa fa-dribbble"></i>Dribble</a>';
			endif;
			if(church_get_option('social_flickr')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_flickr')).'" class="btn btn-social"> 
			   <i class="fa fa-flickr"></i>Flickr</a>';
			endif;
			if(church_get_option('social_git')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_git')).'" class="btn btn-social"> 
			   <i class="fa fa-git"></i>Git</a>';
			endif;
			if(church_get_option('social_skype')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_skype')).'" class="btn btn-social"> 
			   <i class="fa fa-skype"></i>Skype</a>';
			endif;
			if(church_get_option('social_weibo')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_weibo')).'" class="btn btn-social"> 
			   <i class="fa fa-weibo"></i>Weibo</a>';
			endif;
			if(church_get_option('social_foursqure')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_foursqure')).'" class="btn btn-social"> 
			   <i class="fa fa-foursquare"></i>Foursquare</a>';
			endif;
			if(church_get_option('social_soundcloude')!=''):
        	   echo '<a href="'.esc_url(church_get_option('social_soundcloude')).'" class="btn btn-social"> 
			   <i class="fa fa-soundcloud"></i>Soundcloud</a>';
			endif;						
			?>
            </div>              
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="tiny-footer">
  <div class="container">
    <div class="col-md-12">
		<?php 
		if(church_get_option('copyright')!=''):
           echo '<p>'.__(church_get_option('copyright')).'</p>';
		endif;
		?>
    </div>
  </div>
</div>

</div>
<!-- page -->

<?php wp_footer(); ?>

</body>
</html>