<?php
add_action( 'customize_register', 'praise_church_customization' ); 
function praise_church_customization( $wp_customize ) { 

	class Customizer_typography extends WP_Customize_Control {  /*  Typography Extent Customization  */
		public $fieldwidth = 'text';
		public $type = 'number';
	
		protected function render() {
			$id = 'customize-control-' . str_replace( '[', '-', str_replace( ']', '', $this->id ) );
			$class = 'customize-control customize-control-' . $this->type; ?>
			<li id="<?php echo esc_attr( $id ); ?>" class="<?php echo esc_attr( $class ); ?>" 
			style="clear:none;display:inline-block;max-width:<?php echo $this->fieldwidth . "%"; ?>">
				<?php $this->render_content(); ?>
			</li>
		<?php }
	
		public function render_content() { ?>
			<label class="inline">
				<span class="customize-control-title" style="font-size:10px;line-height:10px;height:20px;"><?php echo esc_html( $this->label ); ?></span>
				<input type="number" <?php $this->link(); ?> value="<?php echo intval( $this->value() ); ?>" />
			</label>
		<?php }
	}
	class Customizer_wp_editor extends WP_Customize_Control {  /* Wp editor code extent Customization.  */
		public function render_content() { ?>	
		<label>
		  <span class="customize-text_editor"><?php echo esc_html( $this->label ); ?></span>
		  <?php	  
			$settings = array(
				'textarea_name' => $this->id,
				'textarea_rows' => 5,
			  );
			wp_editor( $this->value(), $this->id, $settings );
		  ?>
		</label>
		<?php	
		}
	}
	class Customizer_radio_options extends WP_Customize_Control {  /*  Radio button code extent Customization. */
	   public function render_content()  {
		if ( empty( $this->choices ) )
			return;
		$name = '_customize-radio-' . $this->id;
		if ( ! empty( $this->label ) ) : ?>
			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
		<?php endif;
		if ( ! empty( $this->description ) ) : ?>
			<span class="description customize-control-description"><?php echo $this->description ; ?></span>
		<?php endif;
		foreach ( $this->choices as $value => $label ) : ?>
			<label>
				<input style="vertical-align:top;" type="radio" value="<?php echo esc_attr( $value ); ?>" 
				name="<?php echo esc_attr( $name ); ?>" <?php $this->link(); checked( $this->value(), $value ); ?> />
				<?php echo _e( $label, 'praise_church' ); ?>
			</label>
			<?php
		endforeach;
		}
	} //	 Radio code extent customization end.


	/*
	class Customizer_Checkbox_Multiple extends WP_Customize_Control {

	public $type = 'multicheckbox';

	public function render_content() {

	    if ( empty( $this->choices ) )
	        return; ?>

	    <?php if ( !empty( $this->label ) ) : ?>
	        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	    <?php endif; ?>

	    <?php if ( !empty( $this->description ) ) : ?>
	        <span class="description customize-control-description"><?php echo $this->description; ?></span>
	    <?php endif; ?>

	    <?php $multi_values = !is_array( $this->value() ) ? explode( ',', $this->value() ) : $this->value();  ?>

	    <ul class="multiple_checkbox">
	        <?php foreach ( $this->choices as $value => $label ) : ?>

	            <li>
	                <label>
	                	<?php if( in_array( $value, $multi_values ) && is_array( $multi_values ) ) { ?>
	                    <input class="select-all" type="checkbox" value="<?php echo esc_attr( $value ); ?>" <?php $this->link();  echo "checked=checked"; ?> /> 
	                    <?php }else { ?>
						<input class="select-all" type="checkbox" value="<?php echo esc_attr( $value ); ?>" <?php $this->link(); ?> /> 
	                	<?php } ?>
	                    <?php echo esc_html( $label ); ?>
	                </label>
	            </li>

	        <?php endforeach; ?>
	    </ul>

	    <input type="hidden" <?php $this->link(); ?> value="<?php echo esc_attr( implode( ',', $multi_values ) ); ?>" />
	<?php }
	}


	
	class Customizer_Checkbox_Switch_Options extends WP_Customize_Control { 

		public $type = 'checkboxswitch';

		public function render_content(){
		    ?>
		      <label>
					<input class="switch_checkbox" type="checkbox" value="<?php echo esc_attr( $this->value() ); ?>" <?php $this->link(); checked( $this->value() ); ?> />
					<?php echo esc_html( $this->label ); ?>
					<?php if ( ! empty( $this->description ) ) : ?>
						<span class="description customize-control-description"><?php echo $this->description; ?></span>
					<?php endif; ?>
				</label>
		    <?php
		}

	} //     Checkbox-switch extend customization end.



	*/

	/**
	 * Multiple select customize control class.
	 */
	class Customize_Control_Multiple_Select extends WP_Customize_Control {

	    public $type = 'multiselect';

	    public function render_content() {

	    if ( empty( $this->choices ) )
	        return;
	    ?>
	        <label>
	            <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
	            <select <?php $this->link(); ?> multiple="multiple" style="height: 100%;">
	                <?php
	                    foreach ( $this->choices as $value => $label ) {
	                        $selected = ( in_array( $value, $this->value() ) ) ? selected( 1, 1, false ) : '';
	                        echo '<option value="' . esc_attr( $value ) . '"' . $selected . '>' . $label . '</option>';
	                    }
	                ?>
	            </select>
	        </label>
	    <?php }
	}


	class Date_Picker_Custom_Control extends WP_Customize_Control{

		public function enqueue(){
		    wp_enqueue_style( 'jquery-ui-datepicker' );
		}
	
		public function render_content(){
		    ?>
		        <label>
		          <span class="customize-date-picker-control"><?php echo esc_html( $this->label ); ?></span>
		          <input type="date" id="<?php echo $this->id; ?>" name="<?php echo $this->id; ?>" value="<?php echo $this->value(); ?>" class="datepicker" />
		        </label>
		    <?php
		}
	}
	class Customizer_import_data extends WP_Customize_Control {  /*  import data code extent Customization. */
	   public function render_content()  {
		if ( ! empty( $this->choices ) ) : 
			echo __( $this->choices, 'praise_church' ); 
		endif;
		}
	} //  import data code extent customization end.
	
	/**
	 *  Theme options + Customization Array pass value.
	 */
	$ease_options = church_theme_options();		
    foreach ( $ease_options as $value ) {
		
		switch( $value['type'] ) {
		case "section" :
			$wp_customize->add_section( $value['name'], array(
				'title' 		=> __( $value['name'], 'praise_church' ),
				// 'description' 	=> $value['description'],
				'priority' 		=> $value['priority'],
			) );
		break;
		case "import_data" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']' );
			$wp_customize->add_control( new Customizer_import_data ($wp_customize, 'ease_options_'.$value['id'], array(
				'label' 		=> __( $value['name'], 'praise_church' ),
				'section' 		=> $value['section'],
				'settings' 		=> 'ease_options['.$value['id'].']',
				'choices'		=> __( $value['description'], 'praise_church' ),
			) ) );
		break;
		case "text" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']', array(
				'default' 		=> $value['default'],
				'type' 			=> 'option'
			) );
			$wp_customize->add_control( 'ease_options_'.$value['id'] , array(
				'label' 		=> __( $value['name'], 'praise_church' ),
				'section' 		=> $value['section'],
				'settings' 		=> 'ease_options['.$value['id'].']',
				'type' 			=> $value['type']
			) );			
		break;
		case "date-picker":
			$wp_customize->add_setting( 'ease_options['.$value['id'].']', array(
				'default' 		=> $value['default'],
				'type' 			=> 'option'
			) );
			$wp_customize->add_control( new Date_Picker_Custom_Control( $wp_customize, 'ease_options_'.$value['id'] , array(
				'label' 		=> __( $value['name'], 'praise_church' ),
				'section' 		=> $value['section'],
				'settings' 		=> 'ease_options['.$value['id'].']',
				'type' 			=> $value['type']
			) ) );
		break;
		case "textarea" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']', array(
				'default' 		=> $value['default'],
				'type' 			=> 'option',
			) );
			$wp_customize->add_control( 'ease_options_'.$value['id'], array(
				'label' 		=> __( $value['name'], 'praise_church' ),
				'section' 		=> $value['section'],
				'settings' 		=> 'ease_options['.$value['id'].']',
				'type' 			=> 'textarea',
			) );	
		break;
		case "radio" :
		$wp_customize->add_setting( 'ease_options['.$value['id'].']', array(
			'default' 			=> $value['default'],
			'capability'     	=> 'edit_theme_options',
			'type'           	=> 'option',
		));
		$wp_customize->add_control( new Customizer_radio_options($wp_customize, 'ease_options_'.$value['id'], array(
			'label'    			=> __( $value['name'], 'praise_church' ),
			'section'    		=> $value['section'],
			'settings'   		=> 'ease_options['.$value['id'].']',
			'type'       		=> 'radio',
			'choices'    		=> $value['options'],
		) ) );		
		break;
		case "checkbox" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']' , array(
				'capability' 	=> 'edit_theme_options',
				'type'       	=> 'option',
			));
			$wp_customize->add_control('ease_options_'.$value['id'], array(
				'label'    		=> __( $value['name'], 'praise_church' ),
				'settings' 		=> 'ease_options['.$value['id'].']',
				'section'  		=> $value['section'],
				'type'    		=> 'checkbox',
			));
		break;
		/*
		case "multicheckbox" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']' , array(
				'capability' 	=> 'edit_theme_options',
				'type'       	=> 'option',
			));
			$wp_customize->add_control( new Customizer_Checkbox_Multiple( $wp_customize, 'ease_options_'.$value['id'], array(
			    'settings' => 'ease_options['.$value['id'].']',
			    'label'    => __( $value['name'], 'praise_church' ),
			    'section'  => $value['section'],
			    'type'     => 'multicheckbox',
			    'choices'    => $value['options'],
			)));			
		break;
		case "checkbox-switch" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']' , array(
				'default' 		=> $value['default'],
				'capability' 	=> 'edit_theme_options',
				'type'       	=> 'option',
			));
			$wp_customize->add_control( new Customizer_Checkbox_Switch_Options($wp_customize, 'ease_options_'.$value['id'], array(
				'label'    		=> __( $value['name'], 'praise_church' ),
				'settings' 		=> 'ease_options['.$value['id'].']',
				'section'  		=> $value['section'],
				'type'    		=> 'checkboxswitch',
			) ) );
		break;
		*/	
		case "select" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']', array(
				'default' 		=> $value['default'],
				'capability'    => 'edit_theme_options',
				'type'          => 'option',
			));	
			$wp_customize->add_control('ease_options_'.$value['id'], array(
				'settings' 		=> 'ease_options['.$value['id'].']',
				'label'    		=> __( $value['name'], 'praise_church' ),
				'section'  		=> $value['section'],
				'type'     		=> 'select',
				'choices'		=> $value['options'],
			));
		break;
		case "multiselect" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']', array(
				'default' 		=> $value['default'],
				'capability'    => 'edit_theme_options',
				'type'          => 'option',
			));	
			$wp_customize->add_control( new Customize_Control_Multiple_Select( $wp_customize, 'ease_options_'.$value['id'], array(
	            'settings' => 'ease_options['.$value['id'].']',
	            'label'    => __( $value['name'], 'praise_church' ),
	            'section'  => $value['section'], // Enter the name of your own section
	            'type'     => 'multiselect', // The $type in our class
	            'choices'  => $value['options'],
			)));
		break;
		case "image" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']', array(
				'default' 		=> $value['default'],
				'capability'    => 'edit_theme_options',
				'type'          => 'option',
			));			
			$wp_customize->add_control( new WP_Customize_Upload_Control($wp_customize, 'ease_options_'.$value['id'] , array(
				'label' 		=> __( $value['name'], 'praise_church' ),
				'section' 		=> $value['section'],
				'settings'		=> 'ease_options['.$value['id'].']',
			)));
		break;
		case "color" :		
		$wp_customize->add_setting('ease_options['.$value['id'].']', array(
			'default' 			=> $value['default'],
			'sanitize_callback' => 'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
			'type'           	=> 'option',
		));
		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'ease_options_'.$value['id'], array(
			'label'    			=> __( $value['name'], 'praise_church' ),
			'section'  			=> $value['section'],
			'settings' 			=> 'ease_options['.$value['id'].']',
		)));		
		break;
		case "color_2":
		$wp_customize->add_setting('ease_options['.$value['id_1'].']', array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
			'type'           	=> 'option',
		));
		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'ease_options_'.$value['id_1'], array(
			'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_1'] ) ), 'praise_church' ),
			'section'  			=> $value['section'],
			'settings' 			=> 'ease_options['.$value['id_1'].']',
		)));
		$wp_customize->add_setting('ease_options['.$value['id_2'].']', array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_hex_color',
			'capability'        => 'edit_theme_options',
			'type'           	=> 'option',
		));
		$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'ease_options_'.$value['id_2'], array(
			'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_2'] ) ), 'praise_church' ),
			'section'  			=> $value['section'],
			'settings' 			=> 'ease_options['.$value['id_2'].']',
		)));		
		break;
		case "spinner" :
			$wp_customize->add_setting( 'ease_options['.$value['id'].']', array(
				'default' 		=> $value['default'],
				'type' 			=> 'option',
			) );
			$wp_customize->add_control( new Customizer_typography( $wp_customize, 'ease_options_'.$value['id'], array (
				'label'    		=> __( $value['name'], 'praise_church' ),
				'section' 		=> $value['section'],
				'settings' 		=> 'ease_options['.$value['id'].']',
				'type'      	=> 'number',			
				'priority'  	=> 1,
				'fieldwidth'	=> $value['default'], //set the field to 50% width so that we can display a second one next to it
			) ) );	
		break;
		case "slider-range-validator":
			$wp_customize->add_setting( 'ease_options['.$value['id'].']', array(
				'default' 		=> $value['default'],
				'type' 			=> 'option',
			) );
			$wp_customize->add_control( 'ease_options['.$value['id'].']', array(
			    'type'        => 'range',
			    'priority'    => 10,
			    'section'     => $value['section'],
			    'label'       => __( $value['name'], 'praise_church' ),
			    'description' => __( $value['description'], 'praise_church' ),
			    'input_attrs' => array(
			        'min'   => 0,
			        'max'   => 100,
			        'step'  => 1,
			        'class' => 'test-class test',
			        'style' => 'color: #0a0',
			    ),
			) );
		break;
		case "typography" :
			$wp_customize->add_setting( 'ease_options['.$value['id_1'].']', array(
				'default' 		=> $value['default_1'],
				'type' 			=> 'option',
			) );
			$wp_customize->add_control( new Customizer_typography( $wp_customize, 'ease_options_'.$value['id_1'], array (
				'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_1'] ) ), 'praise_church' ),
				'section' 		=> $value['section'],
				'settings' 		=> 'ease_options['.$value['id_1'].']',
				'type'      	=> 'number',			
				'priority'  	=> 1,
				'fieldwidth'	=> '50', //set the field to 50% width so that we can display a second one next to it
			) ) );			
			$wp_customize->add_setting( 'ease_options['.$value['id_2'].']', array(
				'default' 		=> $value['default_2'],
				'type' 			=> 'option',
			) );
			$wp_customize->add_control( new Customizer_typography( $wp_customize, 'ease_options_'.$value['id_2'], array (
				'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_2'] ) ), 'praise_church' ),
				'section' 		=> $value['section'],
				'settings' 		=> 'ease_options['.$value['id_2'].']',
				'type'      	=> 'number',			
				'priority'  	=> 1,
				'fieldwidth'	=> '50', //set the field to 50% width so that we can display a second one next to it
			) ) );
			$wp_customize->add_setting( 'ease_options['.$value['id_3'].']', array(
				'default' 		=> $value['default_3'],
				'capability'    => 'edit_theme_options',
				'type'          => 'option',
			));	
			$wp_customize->add_control('ease_options_'.$value['id_3'], array(
				'settings' 		=> 'ease_options['.$value['id_3'].']',
				'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_3'] ) ), 'praise_church' ),
				'section'  		=> $value['section'],
				'type'     		=> 'select',
				'choices'		=> $value['options_3'],
			));
			$wp_customize->add_setting('ease_options['.$value['id_4'].']', array(
				'default'           => '',
				'sanitize_callback' => 'sanitize_hex_color',
				'capability'        => 'edit_theme_options',
				'type'           	=> 'option',
			));
			$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'ease_options_'.$value['id_4'], array(
				'section'  		=> $value['section'],
				'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_4'] ) ), 'praise_church' ),
				'settings' 		=> 'ease_options['.$value['id_4'].']',
			)));
		break;
		case "body_typography" :
			$wp_customize->add_setting( 'ease_options['.$value['id_1'].']', array(
				'default' 		=> $value['default_1'],
				'capability'    => 'edit_theme_options',
				'type'          => 'option',
			));	
			$wp_customize->add_control('ease_options_'.$value['id_1'], array(
				'settings' 		=> 'ease_options['.$value['id_1'].']',
				'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_1'] ) ), 'praise_church' ),
				'section'  		=> $value['section'],
				'type'     		=> 'select',
				'choices'		=> $value['options_1'],
			));
			$wp_customize->add_setting( 'ease_options['.$value['id_2'].']', array(
				'default' 		=> $value['default_2'],
				'capability'    => 'edit_theme_options',
				'type'          => 'option',
			));	
			$wp_customize->add_control('ease_options_'.$value['id_2'], array(
				'settings' 		=> 'ease_options['.$value['id_2'].']',
				'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_2'] ) ), 'praise_church' ),
				'section'  		=> $value['section'],
				'type'     		=> 'select',
				'choices'		=> $value['options_2'],
			));			
			$wp_customize->add_setting( 'ease_options['.$value['id_3'].']', array(
				'default' 		=> $value['default_3'],
				'type' 			=> 'option',
			) );
			$wp_customize->add_control( new Customizer_typography( $wp_customize, 'ease_options_'.$value['id_3'], array (
				'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_3'] ) ), 'praise_church' ),
				'section' 		=> $value['section'],
				'settings' 		=> 'ease_options['.$value['id_3'].']',
				'type'      	=> 'number',			
				'priority'  	=> 1,
				'fieldwidth'	=> '50', //set the field to 50% width so that we can display a second one next to it
			) ) );
			$wp_customize->add_setting( 'ease_options['.$value['id_4'].']', array(
				'default' 		=> $value['default_4'],
				'type' 			=> 'option',
			) );
			$wp_customize->add_control( new Customizer_typography( $wp_customize, 'ease_options_'.$value['id_4'], array (
				'label'    			=> __(  str_replace( "'", '', strtolower( $value['name'] ) ) .' - '.str_replace( "'", '', strtolower( $value['label_4'] ) ), 'praise_church' ),
				'section' 		=> $value['section'],
				'settings' 		=> 'ease_options['.$value['id_4'].']',
				'type'      	=> 'number',			
				'priority'  	=> 1,
				'fieldwidth'	=> '50', //set the field to 50% width so that we can display a second one next to it
			) ) );			
		break;
		/*
		case "editor" :
		$wp_customize->add_setting( 'ease_options['.$value['id'].']' );
		$wp_customize->add_control( new Customizer_wp_editor( $wp_customize, 'ease_options_'.$value['id'], array(
			'label'    			=> __( $value['name'], 'praise_church' ),
			'section' 			=> $value['section'],
			'settings' 			=> 'ease_options['.$value['id'].']',
		) ) );	
		break;
		*/

		default :  break;				
		
		} // switch		
	} // foreach
	



} // end of customization.

?>