<?php
/*-----------------------------------------------------------*
/*		 Theme Options Default Value set in Theme Options.
/*-----------------------------------------------------------*/
if ( ! defined( 'ABSPATH' ) ) exit;
/**
 * Theme Options Value.
 */
if( ! function_exists( 'church_wp_head_script' ) ) {

	function church_wp_head_script() {

	 $style = "";
	 /**
	  * Google font [ Font-family ] 
	  */ 
	 $google_font_family = "";		  
	 $google_font = church_get_option('body-font-family');		 
	 $google_font_family = isset($google_font)?$google_font:'';

	 if( $google_font_family != '') {
		 $style .= '<link href="http://fonts.googleapis.com/css?family='.$google_font_family.'" rel="stylesheet" type="text/css">';
	 }else {
		 $style .= '<link href="http://fonts.googleapis.com/css?family=Abel" rel="stylesheet" type="text/css">';
	 }


	/**
	 * Google Font.
	 */
	$google_font_explode = "";
	$font_family_google = explode( ':', $google_font_family );
	$google_font_explode = isset($font_family_google)?$font_family_google:'';

	$font_family = isset($google_font_explode[0])?$google_font_explode[0]:'';
	$font_weight = isset($google_font_explode[1])?$google_font_explode[1]:'';
	/**
	 * Style Setting
	 */
	 $style .= '<style type="text/css" >';
	 
	 $bk_img   			= '';
	 $background_color  = '';
	 
	 $background_img    = church_get_option('bk_img');
	 $bk_color 			= church_get_option('background_color');
	 $bk_line_height    = church_get_option('body-line-height');
	 $bk_font_size      = church_get_option('body-font-size');
	 $body_font_style   = church_get_option('body-font-style');


	 /**
	  *  Slider button display at small device screen.
	  */
	 if( church_get_option('front_button_display') != '' ){
	 	$style .=  '@media(max-width:767px) { .carousel-caption .outline-btn {
					    padding: 6px 10px!important;
					    font-size: 14px;
					}}';
	 }else {
	 	$style .=  '@media(max-width:767px) { .carousel-caption .outline-btn {  display:none; }}';
	 }


	 
	 if( $background_img != '' ){			 
		 $bk_img = church_get_option('bk_img');
	 }elseif( $background_img == '' && $background_img == null && $bk_color != '' ){			 
		 $bk_color =  church_get_option('background_color');			
	 }else {			 
		 $bk_img = get_template_directory_uri().'/images/ptrn-bg.jpg';	
	 }
	 
	 if( $font_family == '' ):
	   $body_font_family = "'Abel', sans-serif";
	 else : 
	   $body_font_family = $font_family;
	 endif;
	 
	 $style .= 'body{ 
						background-color:'.$bk_color.'; 
						font-family: '.$body_font_family.'; 
						background-image:url('.$bk_img.');
						-webkit-font-smoothing: antialiased;
						line-height: '.$bk_line_height.'px; 
						font-size: '.$bk_font_size.'px; 
						font-style : '.$body_font_style.'; 
				}'."\n";
	
	 $url = church_get_option('header_banner');		  
	 $style .= '.page-header-bg { background-image: url('.$url.');  padding-top: 115px; height: 420px; }';		  
	 $logo_text_current    = church_get_option('logo_text_current');
	 $logo_text_hover	   = church_get_option('logo_text_hover');		 
	 if( $logo_text_current != '' ) :  $style .= 'h1.site-title a { color : '.$logo_text_current.';}';  endif; 
	 if( $logo_text_hover != '' )   :  $style .= 'h1.site-title a:hover { color : '.$logo_text_hover.';}';  endif;		


	 if( church_get_option('give_button_current') != '' )   :  $style .= '.give_button a.tp-red-btn { background : '.church_get_option('give_button_current').'; }';  endif;		
	 if( church_get_option('give_button_hover') != '' )   :  $style .= '.give_button a.tp-red-btn:hover { background : '.church_get_option('give_button_hover').'; }';  endif;		

	 /**
	  *   Page Banner H1 Color.
	  */
	 $style .= '.page-header-bg .page-title h1  { 
	 	             font-size 	    : '.  church_get_option('page-banner-font-size-h1').'px;
					 line-height	: '.  church_get_option('page-banner-line-height-h1').'px;
					 font-weight	: '.  church_get_option('page-banner-font-weight-h1').';
					 color			: '.  church_get_option('page-banner-font-color-h1') .';				 
				}';
	$style .= '.page-header-bg .page-title p  { 
	 	             font-size 	    : '.  church_get_option('page-banner-font-size-p').'px;
					 line-height	: '.  church_get_option('page-banner-line-height-p').'px;
					 font-weight	: '.  church_get_option('page-banner-font-weight-p').';
					 color			: '.  church_get_option('page-banner-font-color-p') .';				 
				}';

	$style .= '@media (max-width: 767px){ .page-header-bg .page-title h1 {    font-size: 35px;  } }';
	

	/**
	 * Font h1, h2, h3, h4, h5, h6 TYPOGRAPHY
	 */ 
	 $style .= 'h1 { font-size 	    : '.  church_get_option('font-size-h1').'px;
					 line-height	: '.  church_get_option('line-height-h1').'px;
					 font-weight	: '.  church_get_option('font-weight-h1').';
					 color			: '.  church_get_option('font-color-h1') .';
					 font-family	: '.  $font_family.';						 
				}';		
	 $style .= 'h2 { font-size 	    : '.  church_get_option('font-size-h2').'px;
					 line-height	: '.  church_get_option('line-height-h2').'px;
					 font-weight	: '.  church_get_option('font-weight-h2').';
					 color			: '.  church_get_option('font-color-h2') .';		
					 font-family	: '.  $font_family.';		 						 
				}';		
	 $style .= 'h3 { font-size 		: '.  church_get_option('font-size-h3').'px;
					 line-height	: '.  church_get_option('line-height-h3').'px;
					 font-weight	: '.  church_get_option('font-weight-h3').';
					 color			: '.  church_get_option('font-color-h3') .';
					 font-family	: '.  $font_family.';		 						 
				}';		
	 $style .= 'p {  font-size	 	: '.  church_get_option('font-size-p')	.'px;
					 line-height	: '.  church_get_option('line-height-p').'px;
					 font-weight	: '.  church_get_option('font-weight-p').';
					 color			: '.  church_get_option('font-color-p') .';
					 font-family	: '.  $font_family.';		 						 
				}';

	/** 
	 * Accent Color
	 */
	 $acc_color 	 = church_get_option('acc_color');
	 $acc_h_color 	 = church_get_option('acc_h_color');		 
	 $style .= 'a { color: '.$acc_color.'; text-decoration: none; } ' . "\n";
	 $style .= 'a:hover { color: '.$acc_h_color.'; text-decoration: none; } ' . "\n";		 
	/**
	 *	Header Background Color
	 */		 
	 $h_bk = church_get_option('header_bk_color');
	 $style .= '.tp-header .navbar-default { background-color:'.$h_bk.'; border: none; } ' . "\n";		 
	/**
	 * Menu Background Color.
	 */		
	 $menu_text_hover = '';
	 $m_bk 			  = church_get_option('menu_bk_color');
	 $m_hover 		  = church_get_option('menu_bk_hover_color');
	 $m_text    	  = church_get_option('menu_text_color');
	 $m_text_hover    = church_get_option('menu_text_hover_color');		 
	 
	 $style .= '.tp-header .navbar-default .navbar-nav>.open>a, .navbar-default .navbar-nav>.open>a:hover,
				.navbar-default .navbar-nav>.open>a:focus, .tp-header .dropdown-menu{ background-color:'.$m_bk.'; } '."\n";		                
	 $style .= '.tp-header .dropdown-menu>li>a:hover, .dropdown-menu>li>a:focus { background-color:'.$m_hover.'; } '."\n";	 		 			
	 $style .= '.tp-header .navbar-default .navbar-nav>li>a { color:'.$m_text.';  }'."\n";		 
	 $style .= '.tp-header .navbar-default .navbar-nav>li>a:hover, 
				.navbar-default .navbar-nav>li>a:focus{ color:'.$m_text_hover.';  }'."\n";	
	/** 
	 * Event icon color.
	 */
	$event_icon_color = church_get_option('event_icon_color');
	$event_datebox_color = church_get_option('event_datebox_color');
	if( $event_icon_color != '' ){
		$style .= '.events .events-description .event-time i, .event-location i, .event-contact i { color : '.$event_icon_color.';}';
	}
	if( $event_datebox_color != '' ){
		$style .= '.events .date-box-red { background-color: '.$event_datebox_color.';}';
	}
	/** 
	 * Slider Button.
	 */
	$slider_btn_txtcolor= ''; $slider_btn_txtcolor_hover = ''; $slider_btn_txtcolor =''; $slider_btn_txtcolor_hover = '';
	$slider_btn_bkcolor = church_get_option('slider_btn_bkcolor');
	$slider_btn_bkcolor_hover = church_get_option('slider_btn_bkcolor_hover');
	$slider_btn_txtcolor = church_get_option('slider_btn_txtcolor');
	$slider_btn_txtcolor_hover = church_get_option('slider_btn_txtcolor_hover');
	$slider_font_selected = church_get_option('slider_font');
	$slider_title_color = church_get_option('slider_title_color');
	$slider_desc_font  = church_get_option('slider_desc_font');
	$slider_desc_color = church_get_option('slider_desc_color');
	if( $slider_desc_font != '' ){	$style .= '.carousel-caption p { font-family : '.$slider_desc_font.'!important; }'; }
	if( $slider_desc_color != '' ){	$style .= '.carousel-caption p { color: '.$slider_desc_color .'!important; }'; 	}
	if( $slider_font_selected != '' ){ $style .= '.carousel-caption h1 { font-family : '.$slider_font_selected.'!important; }';	}
	if( $slider_title_color != '' ){ $style .= '.carousel-caption h1 { color: '.$slider_title_color.'!important; }'; }		
	if( $slider_btn_txtcolor!='' && $slider_btn_txtcolor_hover != '' && $slider_btn_txtcolor != '' && $slider_btn_txtcolor_hover != '' ):
	$style .= '.outline-btn-yellow {
				border: 2px solid '.$slider_btn_txtcolor.'!important;
				padding-left: 30px!important;
				color: #fff;
				font-size: 21px;
				padding-right: 30px!important;
				padding-top: 10px!important;
				padding-bottom: 10px!important;
				background: '.$slider_btn_bkcolor.'!important;
			}
			.outline-btn-yellow:hover {
				border: 2px solid '.$slider_btn_txtcolor_hover.'!important;
				background: '.$slider_btn_bkcolor_hover.'!important;
				color: #fff;
			}';
	else :
	$style .= '.outline-btn-yellow {
				border: 2px solid #ecb91d!important;
				padding-left: 30px!important;
				color: #fff;
				font-size: 21px;
				padding-right: 30px!important;
				padding-top: 10px!important;
				padding-bottom: 10px!important;
				background: rgba(236, 185, 29, .2)!important;
			}
			.outline-btn-yellow:hover {
				border: 2px solid #ecb91d!important;
				background: rgba(236, 185, 29, 1)!important;
				color: #fff;
			}';
	endif;
	/**
	 * Footer Background Color
	 */

	 $footer_bk  	   = ''; 
	 $footer_bk_color  = church_get_option('footer_bk_color');
	 $f_heading_color  = church_get_option('footer_heading_color');
	 $f_text_color	   = church_get_option('footer_text_color');
	 $fo_acc_color     = church_get_option('fo_acc_color');
	 $fo_acc_h_color   = church_get_option('fo_acc_h_color');
	 $style .= '.footer{ background-color:'.$footer_bk_color.' }'."\n";
	 $style .= '.footer h1, .footer h2, .footer h3 { color : '.$f_heading_color.'; }'."\n";
	 $style .= '.footer .useful-link li a { color : '.$fo_acc_color.'; }'."\n";
	 $style .= '.footer .useful-link li a:hover { color : '.$fo_acc_h_color.'; }'."\n";
	 $style .= '.footer p { color : '.$f_text_color.'; }'."\n";		 
	/**
	 * Button Color 
	 */
	 $btn_color     = church_get_option('btn_color');
	 $btn_h_color   = church_get_option('btn_h_color');
	 $style .= 'a.btn.outline-btn.outline-btn-red { border: 2px solid '.$btn_color.'; color:'.$btn_color.'; margin-right: 10px; }';
	 $style .= 'a.btn.outline-btn.outline-btn-red:hover { border: 2px solid '.$btn_h_color.'; color:#fff; margin-right: 10px; }';
	/**
	 * Tiny Footer
	 */
	 $tiny_bk_color   = church_get_option('tiny_footer_bk_color');
	 $tiny_text_color = church_get_option('tiny_footer_text_color');		 
	 $style .= '.tiny-footer { background-color:'.$tiny_bk_color .'; padding-top: 40px; }'."\n";		 
	 $style .= '.tiny-footer p{ color:'.$tiny_text_color.'; }'."\n";
	/**
	 * Custom CSS.
	 */
	 $custome_css = church_get_option('custome_css');
	 $style .= $custome_css ."\n";		 
	 $style .= '</style>';		 
	 echo $style;
	}
	add_action( 'wp_head', 'church_wp_head_script' );
}
/**
 * Theme Option value function get method.
 */
if( ! function_exists( 'church_get_option' ) ){ 

	function church_get_option($key){
		
		$arr = get_option( 'ease_options' );
		if( isset( $arr[$key])) {
			return $arr[$key];
		}
	}
}
/**
 *  WP Script Flexslider
 */
if( ! function_exists( 'church_fn_slider' ) ){
	
	function church_fn_slider(){
		$speed =  church_get_option('animatespeed');
		if( $speed!='' ) :
				echo "<script type=\"text/javascript\">
						(function( $ ) { 
						    // Add Color Picker to all inputs that have 'color-field' class
						    $(function() {
							   'use strict';
								if( $('div').hasClass('carousel') ){			
									$(window).load(function() { 
										$('.carousel').carousel({  
											interval: ".esc_js($speed).", 
										}); 
									}); 
								}
						    });
						})( jQuery );

			</script>\n";	
		endif;
	}
	add_action( 'wp_footer', 'church_fn_slider' );	
}

/**
 * Admin Footer Script.
 */
if( ! function_exists( 'church_admin_footer_all_script' ) ){ 

	function church_admin_footer_all_script(){
		wp_enqueue_script('thickbox' );
		wp_enqueue_script('media-upload' );
		wp_enqueue_script('jquery-ui-datepicker');		
		wp_enqueue_script('admin-church-img-upload-js', THEME_FRAMEWORK_JS_URI . 'ease-upload.js', array('jquery','thickbox','media-upload' ) );
		wp_enqueue_script('admin-church-datepicker-js', THEME_FRAMEWORK_JS_URI . 'date-picker.js' );
		wp_enqueue_script('admin-church-bootstrap-js',  THEME_FRAMEWORK_JS_URI . 'bootstrap.min.js', array('jquery'), true );
	}	
	add_action( 'admin_footer', 'church_admin_footer_all_script' );	 
}
if( ! function_exists( 'church_admin_header_all_style' ) ){ 
	
	function church_admin_header_all_style(){
		wp_enqueue_style('thickbox' ); // Stylesheet used by Thickbox		
		wp_enqueue_style('wp-color-picker');
		wp_enqueue_style('admin-church-datepicker-css', THEME_FRAMEWORK_CSS_URI . 'date-picker.css', array() );	
	}
	add_action( 'admin_head', 'church_admin_header_all_style' );
}

?>