<?php
/*-----------------------------------------------------------*
/* 			THEME OPTION ADMIN-INIT.
/*-----------------------------------------------------------*/

if( !defined( 'ABSPATH' ) ) exit;
if( !class_exists( 'CHURCH_THEME_INIT' ) ) :

class CHURCH_THEME_INIT {
    /**
	 * Protected variable.
	 */
    protected $church_options_page = "";
	/**
	 * Construct.
	 */
	public function __construct(){
		add_action( 'admin_init', array( $this ,'church_register_setting' ) );
		add_action( 'admin_menu', array( $this ,'church_option_page' ) );
		add_action( 'wp_ajax_church_admin_theme_options_reset', array( $this, 'church_admin_theme_options_reset' ) ); 
	}	
	/** 
	 * Register Setting.
	 */
	public function church_register_setting(){
		register_setting( 'ease_options_group', 'ease_options' );
	}
	/**
	 * Add Theme Page Or Menu.
	 */
	public function church_option_page(){
	$this->ease_options_page  = add_menu_page( THEME_NAME, THEME_NAME, 'manage_options', THEME_TEXT_DOMAIN, array( $this,'church_options_page') );
	$this->ease_options_page  = add_submenu_page( THEME_TEXT_DOMAIN, ADMIN_THEME_OPTION_TITLE , ADMIN_THEME_OPTION_TITLE, 'manage_options', THEME_TEXT_DOMAIN, array( $this,'church_options_page') );
		
		add_action( 'admin_print_scripts-' .$this->ease_options_page, array( $this ,'church_ease_print_scripts' ) );
		add_action( 'admin_print_styles-' .$this->ease_options_page, array( $this ,'church_ease_print_styles' ) );		
	}
	/** 
	 * Admin Page Script.
	 */
	public function church_ease_print_styles() {
		wp_enqueue_style( 'admin-church-bt-css'		 , THEME_FRAMEWORK_CSS_URI.'bootstrap.css');
		wp_enqueue_style( 'admin-church-bt-tabs-css' , THEME_FRAMEWORK_CSS_URI.'bootstrap.vertical-tabs.css');
	}
	public function church_ease_print_scripts() {
		wp_enqueue_script('admin-church-bt-js'	     , THEME_FRAMEWORK_JS_URI.'bootstrap.js');
		wp_enqueue_script('admin-church-script-js'   , THEME_FRAMEWORK_JS_URI.'color-picker.js',array('wp-color-picker'),'',true);
	}
	/**
	 * Main Admin page.
	 */
	public function church_options_page(){
	?>
  	<div class="theme_wrapper">
    <?php  settings_errors();  /* settings_errors( 'ease_framework' ); */  ?>
    <div id="savemessage"></div>
	</div>
	<div class="theme_wrapper">
	  <div class="container-fluid">	   
	    <div class="page-header">
	      <h1><?php echo THEME_NAME; ?><small><?php echo '&nbsp;&nbsp;v'.THEME_FRAMEWORK_VERSION; ?></small></h1>
	    </div>
	    <div class="row to-wrapper">
	      <div id="to-wrapper">
	        <div class="col-md-2">
	          <!-- required for floating -->
	          <!-- Nav tabs -->
	          <ul class="nav nav-tabs tabs-left">
	            <?php echo church_theme_tab_menu(); ?>
	          </ul>
	        </div>
	        <div class="col-md-10 border_style">
	          <div class="to-content">
	            <!-- Tab panes --> 
	            <form action='options.php' method='post' class="form-horizontal" id="praise-church-form">
	              <?php settings_fields( 'ease_options_group' ); ?>
	              <?php do_settings_sections( 'ease_options_group' ); ?>
	              <div class="tab-content">
	                <?php echo church_theme_tab_page(); ?>
	              </div>
	              <!-- tab-content -->                  
                  <div class="clear_fix"></div>
                  <div class="submit_div">                  
	              <p class="submit">
	                <input name="ease_options[submit]" type="submit" class="pull-right submit_bk_color ease_button" value="<?php esc_attr_e('Save Settings', 'praise_church'); ?>" />
	                <input name="ease_options[reset]"  type="button" class="reset_bk_color ease_button" value="<?php esc_attr_e('Reset Defaults', 'praise_church'); ?>" id="reset-button" />
	              </p>
                  </div>
                  <!-- submit_div -->
	            </form>
	          </div>
	        </div>
	      </div>
	    </div>
	  </div>
	</div>
    <?php
	}
	
	/**
	 * Reset admin options
	 */
	public function church_admin_theme_options_reset(){
	
	   $ease_options = church_theme_options();
	   $valid_input = array();
	   foreach ( $ease_options as $value ) :				
	   switch ( true ):				
			case ( $value['type'] == "text" ||  $value['type'] == "textarea" ||  $value['type'] == "checkbox" || 
				   $value['type'] == "radio" || $value['type'] == "select" || $value['type'] == "image" || 
				   $value['type'] == "color" || $value['type'] == "editor" || $value['type'] == "multiselect" ) :				
				   $valid_input[ $value['id'] ] = empty( $value['default'] )  ? '' : $value['default'];
			break;
			case ( $value['type'] ==  "typography" ||  $value['type'] == "body_typography" ) :		
				   $valid_input[ $value['id_1'] ] = empty( $value['default_1'] )  ? '' : $value['default_1'];
				   $valid_input[ $value['id_2'] ] = empty( $value['default_2'] )  ? '' : $value['default_2'];
				   $valid_input[ $value['id_3'] ] = empty( $value['default_3'] )  ? '' : $value['default_3'];
				   $valid_input[ $value['id_4'] ] = empty( $value['default_4'] )  ? '' : $value['default_4'];		
			break;
			case ( $value['type'] == "color_2" ) :
				   $valid_input[ $value['id_1'] ] = empty( $value['default_1'] )  ? '' : $value['default_1'];
				   $valid_input[ $value['id_2'] ] = empty( $value['default_2'] )  ? '' : $value['default_2'];
			break;			
			default :  	break;			
		endswitch;
		endforeach;
		update_option( 'ease_options', $valid_input );	
	}
	
	
}
endif;
/** 
 * $obj using class contstruct.
 */
$obj = new CHURCH_THEME_INIT;

?>