<?php
/*-----------------------------------------------------------*
/* 			THEME OPTION INTERFACE.
/*-----------------------------------------------------------*/

if ( ! defined( 'ABSPATH' ) ) exit;
/** 
 * Theme-option Menubar.
 */
function church_theme_tab_menu() {
	$ease_options = church_theme_options();
	
		 $counter=0;
		 $menu = "";
		 foreach ( $ease_options as $value ) {
			if ( $value['type'] == "section" ) {
				$counter++;
				if( $counter == 1 ) {
				$menu .= '<li class="active"> <a data-toggle="tab" data-toggle="tab"  
				href="'. esc_attr( '#'.THEME_TEXT_DOMAIN.'_'.$counter, 'praise_church' ) .'">' . esc_html( $value['name'], 'praise_church' ) . '</a> </li>';
				}else {
				$menu .= '<li> <a data-toggle="tab" data-toggle="tab" 
				href="'. esc_attr( '#'.THEME_TEXT_DOMAIN.'_'.$counter, 'praise_church' ) .'">' . esc_html( $value['name'], 'praise_church' ) . '</a> </li>';
				}
			}
		 } // END foreach 
	return $menu;	
}
/**
 * Theme-option Field.
 */	
function church_theme_tab_page() {
	$ease_options = church_theme_options();
	$output = $val = $id = $val_1 = $val_2 = $val_3 = $no_display = '';
	$counter=0;
	$options = get_option( 'ease_options' );
	foreach ( $ease_options as $value ) {				        
	 
		if( $value['type'] != "section" && $value['type'] != "typography" && $value['type'] != "body_typography" && $value['type'] != 'color_2' ) {
				$value['id'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower($value['id']) );
				if ( isset(   $options[ ( $value['id']  ) ]   ) ) {
					$val = $options[( $value['id']  )];
					// $val = stripslashes($val);
				}							
		} // != "section" if loop		
		if( $value['type'] == "typography" ||  $value['type'] == "body_typography" ) {									
				$value['id_1'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['id_1'])) );
				$value['id_2'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['id_2'])) );
				$value['id_3'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['id_3'])) );
				$value['id_4'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['id_4'])) );
				if( isset( $options[esc_html( $value['id_1'] )] ) ||
					isset( $options[esc_html( $value['id_2'] )] ) ||
					isset( $options[esc_html( $value['id_3'] )] ) ||
					isset( $options[esc_html( $value['id_4'] )] ) ){		
						$val_1 = $options[esc_html( $value['id_1'] )];
						$val_2 = $options[esc_html( $value['id_2'] )];
						$val_3 = $options[esc_html( $value['id_3'] )];
						$val_4 = $options[esc_html( $value['id_4'] )];
				}
		} // != "section" if loop
		if( $value['type'] == 'color_2' ) {									
				$value['id_1'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['id_1'])) );
				$value['id_2'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['id_2'])) );
				if( isset( $options[esc_html( $value['id_1'] )] ) ||
					isset( $options[esc_html( $value['id_2'] )] ) ){		
						$val_1 = $options[esc_html( $value['id_1'] )];
						$val_2 = $options[esc_html( $value['id_2'] )];
				}
		} // != "section" if loop

		switch ( $value['type'] )  {
		case "section" :
		
			if ( $value['type'] == "section" ) {
					if( $counter >=1 ) { 
						$output .= '<br />';					
						$output .= '</div>';
					}								
					$counter++;
					if( $counter == 1) {
						$output .= '<div id="'.esc_attr( THEME_TEXT_DOMAIN.'_'.$counter, 'praise_church' ).'" class="tab-pane fade in active">';
					} else {
						$output .= '<div id="'.esc_attr( THEME_TEXT_DOMAIN.'_'.$counter, 'praise_church' ).'" class="tab-pane fade">';										
					}
					$output .= '<div class="row">';
					$output .= '<div class="col-md-12 to-section">' ;
					$output .= '<h1>'. esc_html ( $value['name'], 'praise_church' ).' </h1>';
					$output .= '<p>'. esc_html( $value['description'], 'praise_church' ).' </p>';
					$output .= '</div>'; 
					$output .= '</div>';
			}
			
		break;
		case "import_data" :
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-12">';
				$output .= __( $value['description'], 'praise_church' );
				$output .= '</div>';			
				$output .= '</div>';
				
		break;
		case "text" :	
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4>'.esc_html ( $value['name'], 'praise_church' ).'</h4><p> '.esc_html ( $value['description'], 'praise_church' ).' </p>';
				$output .= '</div>';
				$output .= '<div class="col-md-7">';
				$output .= '<input class="form-control input-lg '.$value['class'].'" type="text" 
							name=" ease_options'.esc_attr('['.$value['id'].']', 'praise_church' ).'" 
							value = "'.esc_attr( $val , 'praise_church' ).'" /> ';
				$output .= '</div>';			
				$output .= '</div>';
				
		break;
		case "textarea" :
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4>'. esc_html( $value['name'], 'praise_church' ).'</h4><p>'. esc_html( $value['description'], 'praise_church' ).' </p>';
				$output .= '</div>';
				$output .= '<div class="col-md-7 textarea_control">';
				$output .= '<textarea class="form-control input-lg '.$value['class'].'" 
							name="ease_options'.esc_attr('['.$value['id'].']' ).'"/>'.esc_attr($val).'</textarea>';
				$output .= '</div>';			
				$output .= '</div>';
				
		break;
		case "checkbox":
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
				$output .= '</div> ';
				$output .= '<div class="col-md-7">';
				foreach ($value['options'] as $key => $option) {
				
				$key = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['name'])) );
										
					if( isset($val) && !empty($val) && checked( esc_attr($val) == $options[ $value['id'] ], true, false ) ){
						$output .= '<input type="checkbox" class="'.$value['class'].'" 
						name="ease_options['.esc_attr( $value['id'] ).']"  
						id="'.$value['id'].'" value="'.esc_attr( $val ). '" checked=checked />';
						$no_display .='<label for="'.esc_attr( $id ).'">'.esc_html( $option ).'</label>';
					} else {
						$output .= '<input type="checkbox" name="ease_options['.esc_attr( $value['id'] ).']"  
						value="'. esc_attr( $key ) . '" class="'.$value['class'].'"  id="'.$value['id'].'"  />';
						$no_display .='<label for="'.esc_attr( $id ).'">'.esc_html( $option ).'</label>';
					}									
				}							
				$output .= '</div>';
				$output .= '</div>';
				
		break;
		case "select" :
		
			$output .= '<div class="row to-section" id="'.$value['id'].'">';
			$output .= '<div class="col-md-5">';
			$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
			$output .= '</div> ';
			$output .= '<div class="col-md-7">';
		
			$output .= '<select class="form-control '.$value['class'].'" name="ease_options'.esc_attr('['.$value['id'].']').'" >';
			foreach ($value['options'] as $key => $option ) {
				if( $key == $val ) {
				$output .= '<option selected=selected value="' .htmlentities(esc_attr( $key )) . '">' .(esc_html( $option )). '</option>';
				} else {
				$output .= '<option value="' .htmlentities(esc_attr( $key )). '">' .(esc_html( $option )). '</option>';					
				}
			}
			$output .= '</select>';
			
			$output .= '</div>';
			$output .= '</div>';
		
		break;
		case "multiselect" :
		
			$output .= '<div class="row to-section" id="'.$value['id'].'">';
			$output .= '<div class="col-md-5">';
			$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
			$output .= '</div> ';
			$output .= '<div class="col-md-7">';
		
			$output .= '<select class="form-control '.$value['class'].'" multiple name="ease_options'.esc_attr('['.$value['id'].']').'[]" >';

			foreach ($value['options'] as $key => $option ) {
				
				if ( is_array($val) && in_array($key, $val)){

					$output .= '<option selected="selected" value="'.htmlentities(esc_attr( $key )).'">'.(esc_html( $option )).'</option>';
				} else {

					$output .= '<option value="'.htmlentities(esc_attr( $key )).'">'.(esc_html( $option )).'</option>';					
				}
			}
			
			$output .= '</select>';
			$output .= '</div>';
			$output .= '</div>';
			
		break;
		case "radio" :
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
				$output .= '</div> ';
				$output .= '<div class="col-md-7">';
				$name = '['. $value['id'] .']';
				$for_call = $value['id'];
				foreach ($value['options'] as $key => $option) {
					$key_call=$key.'-'.$for_call;
					if( $val == $key ) {
					
						$output .= '<div class="radio_layout '.$value['class'].'"><input type="radio" name="ease_options' . esc_attr( $name ) . '"  
						value="'. esc_attr( $key ) . '" checked = checked id="'. esc_attr( $key_call ) . '"  />
						<label for="' . esc_attr( $key_call ) . '">' . $option  . '</label></div>';
					} else {
						$output .= '<div class="radio_layout '.$value['class'].'"><input type="radio" name="ease_options' . esc_attr( $name ) . '"  
						value="'. esc_attr( $key ) . '" id="'. esc_attr( $key_call ) . '" />
						<label for="' . esc_attr( $key_call ) . '">' .  $option  . '</label></div>';
					}									
				}		
				$output .= '</div>';
				$output .= '</div>';
				
		break;
		case "image" :
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
				$output .= '</div>';
				$output .= '<div class="col-md-7">';								
				$output .= '<span class="upload">';
				$output .= '<input type="hidden" id="'.esc_attr( $value['id'] ).'" class="regular-text form-control text-upload '.$value['class'].'" 
				name="ease_options'.esc_attr('['.$value['id'].']' ).'"  value = "'.esc_attr( $val ).'"  /><br />';
				if( esc_url( $val ) != '' ) {
					$output .='<img style="border:1px solid #ddd;max-width:200px;display:block;" src= "'.esc_url( $val ).'"
					class="preview-upload" />';
					$output .= '<input type="button" class="button button-upload" id="logo_upload" value="Upload an image"/></br>';
					$output .= '<input type="button" class="button-remove" id="remove" value="Remove" /> ';
				}else {
					$output .='<img style="display:none; " src="'.esc_url( $val ).'" class="preview-upload" />';
					$output .= '<input type="button" class="button button-upload" id="logo_upload" value="Upload an image"/></br>';		
					$output .= '<input type="button" style="display:none;" id="remove" class="button-remove" value="" /> ';
				}
				$output .= '</span>';		
				$output .= '</div>';
				$output .= '</div>';
				
		break;
		case "color" :
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
				$output .= '</div>';
				$output .= '<div class="col-md-7"> ';
				$output .= '<input class="color-field '.$value['class'].'" type="text" name="ease_options'.esc_attr('['.$value['id'].']').'" 
							value = "'.esc_attr( $val ).'" /> ';
				$output .= '</div>';
				$output .= '</div>';
				
		break;
		case "color_2" :
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
				$output .= '</div>';
				
				$output .= '<div class="col-md-7">';
				$output .= '<div class="row">';
				
				$output .= '<div class="col-md-6">';
				$output .= '<p> '.esc_html($value['label_1']).' </p>';
				$output .= '<input class="color-field '.$value['class'].'" type="text" name="ease_options' . esc_attr('['.$value['id_1'].']').' " 
							value = "'. esc_attr( $val_1 ) .'" /> ';
				$output .= '</div>'; 						
				
				$output .= '<div class="col-md-6">';
				$output .= '<p> '.esc_html($value['label_2']).' </p>';
				$output .= '<input class="color-field '.$value['class'].'" type="text" name="ease_options' . esc_attr('['.$value['id_2'].']').' " 
							value = "'. esc_attr( $val_2 ) .'" /> ';
				$output .= '</div>'; 						
							
				$output .= '</div>';
				$output .= '</div>';
				
				$output .= '</div>';
				
		break;
		case "editor" :
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
				$output .= '</div>';								
				$output .= '<div class="col-md-7"> ';								
				echo $output;
					$textarea_name = 'ease_options'.esc_attr('['.$value['id'].']').'';
					$default_editor_settings = array(
						'textarea_name' => $textarea_name,																	 
						'media_buttons' => false,
						'quicktags' => false,
						'textarea_rows' => 5,
						'tinymce' => array( 'plugins' => 'wordpress' )
					);
					$editor_settings = array();
					if ( isset( $value['settings'] ) ) {
						$editor_settings = $value['settings'];
					}
					$editor_settings = array_merge( $default_editor_settings, $editor_settings );
					wp_editor( $val , $value['id'] , $editor_settings );
					$output = '';
				$output .= '</div>';
				$output .= '</div>';
				
		break;
		case "typography" :
		
			$output .= '<div class="row to-section">';
			$output .= '<div class="col-md-5">';
			
			$output .= '<h4> '.esc_html($value['name']).' </h4>';					
			$output .= '<p> '.esc_html($value['description']).' </p>';
			$output .= '</div> ';
			$output .= '<div class="col-md-7">';
			
			/* row start  */
			$output .= '<div class="row">';
			$output .= '<div class="col-md-4"> ';
			$output .= '<p> '.$value['label_1'].' </p>';
			$output .= '<div class="input-group custom-search-form">';
			$output .= '<input class="form-control" type="text" name="ease_options' . esc_attr( '[' . $value['id_1'] . ']' ) . ' " 
						value = "'. $val_1 .'" /> 
						<span class="input-group-btn"> 
						<button class="btn btn-default" type="button" disabled="disabled"> px </button> 
						</span> 
						</div>';
			$output .= '</div>';
			
			$output .= '<div class="col-md-4">';
			$output .= '<p> '.esc_html($value['label_2']).' </p>';
			$output .= '<div class="input-group custom-search-form">';
			$output .= '<input class="form-control" type="text" name="ease_options' . esc_attr( '[' . $value['id_2'] . ']' ) . ' " 
						value = "'. esc_attr(  $val_2 ) .'" /> 
						<span class="input-group-btn"> 
						<button class="btn btn-default" type="button" disabled="disabled"> px </button> 
						</span> 
						</div>';
			$output .= '</div>';			
			

			$output .= '<div class="col-md-4"> ';
			$output .= '<p> '.$value['label_3'].' </p>';
			$output .= '<select class="form-control" name="ease_options'.esc_attr('['.$value['id_3'].']').'" >';
			foreach ($value['options_3'] as $key => $option ) {
				if( $key == $val_3 ) {
				$output .= '<option selected=selected value="' .htmlentities(esc_attr( $key )) . '">' .(esc_html( $option )). '</option>';
				} else {
				$output .= '<option value="' .htmlentities(esc_attr( $key )). '">' .(esc_html( $option )). '</option>';					
				}
			}
			$output .= '</select>';
			$output .= '</div>';
			$output .= '</div> <hr>';      					

			/* row started */
			$output .= '<div class="row">';
			$output .= '<div class="col-md-4">';
			$output .= '<p> '.esc_html($value['label_4']).' </p>';
			$output .= '<input class="color-field" type="text" name="ease_options' . esc_attr('['.$value['id_4'].']').' " 
						value = "'. esc_attr( $val_4 ) .'" /> ';
			$output .= '</div>'; 						
			$output .= '</div>';
			$output .= '</div>';
			$output .= '</div>';
			
		break;
		case "body_typography" :
		
			$output .= '<div class="row to-section">';
			$output .= '<div class="col-md-5">';
			
			$output .= '<h4> '.esc_html($value['name']).' </h4>';					
			$output .= '<p> '.esc_html($value['description']).' </p>';
			$output .= '</div> ';
			$output .= '<div class="col-md-7">';
			
			/* row start  */
			$output .= '<div class="row">';

			$output .= '<div class="col-md-8"> ';			
			$output .= '<p> '.$value['label_1'].' </p>';
			$output .= '<select class="form-control" name="ease_options'.esc_attr('['.$value['id_1'].']').'" >';
			foreach ($value['options_1'] as $key => $option ) {
				if( $key == $val_1 ) {
				$output .= '<option selected=selected value="' .htmlentities(esc_attr( $key )) . '">' .(esc_html( $option )). '</option>';
				} else {
				$output .= '<option value="' .htmlentities(esc_attr( $key )). '">' .(esc_html( $option )). '</option>';					
				}
			}
			$output .= '</select>';
			$output .= '</div>';
			
			$output .= '<div class="col-md-4"> ';
			$output .= '<p> '.$value['label_2'].' </p>';
			$output .= '<select class="form-control" name="ease_options'.esc_attr('['.$value['id_2'].']').'" >';
			foreach ($value['options_2'] as $key => $option ) {
				if( $key == $val_2 ) {
				$output .= '<option selected=selected value="' .htmlentities(esc_attr( $key )) . '">' .(esc_html( $option )). '</option>';
				} else {
				$output .= '<option value="' .htmlentities(esc_attr( $key )). '">' .(esc_html( $option )). '</option>';					
				}
			}
			$output .= '</select>';
			$output .= '</div>';
			$output .= '</div> <hr> <!-- row/ending -->';


			$output .= '<div class="row">';			

			$output .= '<div class="col-md-4"> ';
			$output .= '<p> '.$value['label_3'].' </p>';
			$output .= '<div class="input-group custom-search-form">';
			$output .= '<input class="form-control" type="text" name="ease_options' . esc_attr( '[' . $value['id_3'] . ']' ) . ' " 
						value = "'. $val_3 .'" /> 
						<span class="input-group-btn"> 
						<button class="btn btn-default" type="button" disabled="disabled"> px </button> 
						</span> 
						</div>';
			$output .= '</div>';
			
			$output .= '<div class="col-md-4">';
			$output .= '<p> '.esc_html($value['label_4']).' </p>';
			$output .= '<div class="input-group custom-search-form">';
			$output .= '<input class="form-control" type="text" name="ease_options' . esc_attr( '[' . $value['id_4'] . ']' ) . ' " 
						value = "'. esc_attr(  $val_4 ) .'" /> 
						<span class="input-group-btn"> 
						<button class="btn btn-default" type="button" disabled="disabled"> px </button> 
						</span> 
						</div>';
			$output .= '</div>';			
			
			$output .= '</div>';
			

			$output .= '</div>';
			$output .= '</div>';		
		
		break;
/*		case "spinner" :	
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4>'.esc_html ( $value['name'], 'praise_church' ).'</h4><p> '.esc_html ( $value['description'], 'praise_church' ).' </p>';
				$output .= '</div>';
				$output .= '<div class="col-md-7">';
				$output .= '<input class="spinner_id '.$value['class'].'"  id="'.esc_attr( $value['id'] ).'"
							name=" ease_options'.esc_attr('['.$value['id'].']', 'praise_church' ).'" 
							value = "'.esc_attr( $val , 'praise_church' ).'" type="number" /> ';
				$output .= '</div>';			
				$output .= '</div>';
				
		break;
		case "date-picker" :	
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4>'.esc_html ( $value['name'], 'praise_church' ).'</h4><p> '.esc_html ( $value['description'], 'praise_church' ).' </p>';
				$output .= '</div>';
				$output .= '<div class="col-md-7">';
				$output .= '<input class="fulldate form-control input-lg '.$value['class'].'" type="text" 
							name=" ease_options'.esc_attr('['.$value['id'].']', 'praise_church' ).'" 
							value = "'.esc_attr( $val , 'praise_church' ).'" /> ';
				$output .= '</div>';			
				$output .= '</div>';
				
		break;
		case "slider-range-validator" :	
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
				$output .= '</div>';
				$output .= '<div class="col-md-7">';								
				$output .= '<span class="slider-range-validator-class">';

				$output .= '<div class="slider-range-min" style="margin-left: 20px;margin-top: 7px;width: 70%;" ></div>';
				$output .= '<input type="number" id="'.esc_attr( $value['id'] ).'" class="amount '.$value['class'].'" 
				name="ease_options'.esc_attr('['.$value['id'].']' ).'"  value = "'.esc_attr( $val , 'praise_church' ).'" readonly style="float: left;width:20%;"  /><br />';

				$output .= '</span>';		
				$output .= '</div>';
				$output .= '</div>';

		break;
		case "multicheckbox" :

			$output .= '<div class="row to-section" id="'.$value['id'].'">';
			$output .= '<div class="col-md-5">';
			$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
			$output .= '</div> ';
			$output .= '<div class="col-md-7"><div class="row">';
					
			foreach ($value['options'] as $key => $option ) {
				
				if ( is_array($val) && in_array($key, $val) ){

					$output .= '<div class="col-md-6"><input type="checkbox" class="'.$value['class'].'"  name="ease_options['.esc_attr( $value['id'] ).'][]"  
							id="'.$value['id'].'" value="'.esc_attr( $key ). '" checked=checked />';
					$output .='<label for="'.esc_attr( $id ).'">&nbsp;'.esc_html( $option ).'</label></div>';

				}else {

					$output .= '<div class="col-md-6"><input type="checkbox" class="'.$value['class'].'"  name="ease_options['.esc_attr( $value['id'] ).'][]"  
							id="'.$value['id'].'" value="'.esc_attr( $key ). '"  />';
					$output .='<label for="'.esc_attr( $id ).'">&nbsp;'.esc_html( $option ).'</label></div>';
				}
			}
			
			$output .= '</div><!-- row -->  </div>';
			$output .= '</div>';

		break;
		case "checkbox-switch":
		
				$output .= '<div class="row to-section">';
				$output .= '<div class="col-md-5">';
				$output .= '<h4> '.esc_html($value['name']).' </h4> <p> '.esc_html($value['description']).' </p>';
				$output .= '</div> ';
				$output .= '<div class="col-md-7">';
				foreach ($value['options'] as $key => $option) {
				
				$key = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['name'])) );
										
					if( isset($val) && !empty($val) ){
						$output .= '<input type="checkbox" class="switch_checkbox '.$value['class'].'" 
						name="ease_options['.esc_attr( $value['id'] ).']"  
						id="'.$value['id'].'" value="'.esc_attr( $val ). '" checked=checked />';
						$no_display .='<label for="'.esc_attr( $id ).'">'.esc_html( $option ).'</label>';
					} else {
						$output .= '<input type="checkbox" name="ease_options['.esc_attr( $value['id'] ).']"  
						value="'. esc_attr( $key ) . '" class="switch_checkbox '.$value['class'].'"  id="'.$value['id'].'"  />';
						$no_display .='<label for="'.esc_attr( $id ).'">'.esc_html( $option ).'</label>';
					}									
				}							
				$output .= '</div>';
				$output .= '</div>';
				
		break;
*/
		default :  	break;	

		} // switch					
	 } // foreach 
	 return $output;			 
     }  
?>