<?php
/*-----------------------------------------------------------*
/* 			THEME OPTION VALIDATION ON FIELD TO SAVE
/*-----------------------------------------------------------*/

if ( ! defined( 'ABSPATH' ) ) exit;

if( !function_exists('church_options_validate') ):

function church_options_validate( $input ) {	
	
	$ease_options = church_theme_options();
	$valid_input = array();
	$default_options = theme_option_default_setting();	
	$submit = ! empty($input['submit']) ? true : false;
	$reset = ! empty($input['reset']) ? true : false; 
	
	$options = get_option( 'ease_options' );
 
	if ( $submit ){
       foreach ( $ease_options as $value ) {
	   if( $value['type'] != "section" && $value['type'] != 'typography' && $value['type'] != 'color_2' ) {
					$value['id'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower($value['id']) );
					if ( isset(   $options[ ( $value['id']  ) ]   ) ) {
						$val = $options[ ( $value['id']  ) ];
					}												
			} // != "section" if loop		   				
			if ( $value['type'] == 'typography' ) {
				if(isset($value['id_1'])){
					$value['id_1'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower( esc_html($value['id_1']) ));
				}
				if(isset($value['id_2'])){
					$value['id_2'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower( esc_html($value['id_2']) ));
				}
				if(isset($value['id_3'])){
					$value['id_3'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower( esc_html($value['id_3']) ));
				}
			}		
			
		if( $value['type'] == 'color_2' ) {									
				$value['id_1'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['id_1'])) );
				$value['id_2'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower(esc_html($value['id_2'])) );
				if( isset( $options[esc_html( $value['id_1'] )] ) ||
					isset( $options[esc_html( $value['id_2'] )] ) ){		
						$val_1 = $options[esc_html( $value['id_1'] )];
						$val_2 = $options[esc_html( $value['id_2'] )];
				}
		} // != "section" if loop
			
			
		switch ( $value['type'] ) {
			case "text"      	  :		
			  $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )];  
			break;
			case "hidetext"       :		
			  $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )];  
			break;
			case "hidetextarea"   :		
			  $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )];
			break;
			case "textarea"  	  :	
			  $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )]; 
			break;
			case "radio"    	  :		
			  $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )]; 
			break;
			case "checkbox"  	  :     
			 $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )];	
			break;
			case "select"    	  :  	
			  $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )]; 
			break;
			case "multiselect" 	  :  	
			  $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : implode(",", $input[( esc_html($value['id']) )]); 
			break;
			case "logo" 	 	  :  	
			 $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )]; 
			break;
			case "color" 	 	  :  	
			 $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )]; 
			break;
			case "editor"    	  : 	
			  $valid_input[(  esc_html($value['id'])  )] = empty($input[( esc_html($value['id']) )]) ? '' : $input[( esc_html($value['id']) )]; 
			break;
			case "typography" 	  :		
			  $valid_input[(  esc_html($value['id_1'])  )] = $input[(  esc_html($value['id_1'])  )];
			  $valid_input[(  esc_html($value['id_2'])  )] = $input[(  esc_html($value['id_2'])  )];
			  $valid_input[(  esc_html($value['id_3'])  )] = $input[(  esc_html($value['id_3']) )];		
			break;
			case "color_2"    :
			  $valid_input[(  esc_html($value['id_1'])  )] = $input[(  esc_html($value['id_1'])  )];
			  $valid_input[(  esc_html($value['id_2'])  )] = $input[(  esc_html($value['id_2'])  )];
			break;
			
			default 	  		  :  	break;
		
		} // switch case ending				
	   } // foreach ending	   
	   add_settings_error( 'ease_framework', 'settings_updated' ,__( 'Successfully saved', 'praise_church' ), 'updated' );	   
	} // submit 
	
	elseif ( $reset ){

	   foreach ( $ease_options as $value ) {		   
	  if( $value['type'] != "section" && $value['type'] != 'typography' && $value['type'] != 'color_2' ) {
					$value['id'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower($value['id']) );
					if ( isset(   $options[ ( $value['id']  ) ]   ) ) {
						$val = $options[ ( $value['id']  ) ];
					}							
			} // != "section" if loop		   				
			if ( $value['type'] == 'typography' ) {
				if(isset($value['id_1'])){
					$value['id_1'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower( esc_html($value['id_1']) ));
				}
				if(isset($value['id_2'])){
					$value['id_2'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower( esc_html($value['id_2']) ));
				}
				if(isset($value['id_3'])){
					$value['id_3'] = preg_replace('/[^a-zA-Z0-9._\-]/', '', strtolower( esc_html($value['id_3']) ));
				}
			}		
			
		switch ( $value['type'] ) {
		
			case "text"      	  :		
			  $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )];	
			break;
			case "hidetext"    	  :		
			 $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )];	
			break;
			case "hidetextarea"	  :		
			  $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )];	
			break;
			case "textarea"  	  :		
			  $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )];	
			break;
			case "radio"    	  :		
			  $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )]; 
			break;
			case "checkbox"  	  :  	
			  $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )]; 
			break;
			case "select"    	  :  	
			 $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )];	
			break;
			case "multiselect"    :  	
			  $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : implode(",", $default_options[( esc_html($value['id']) )]); 
			break;
			case "logo" 	 	  :  	
			  $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )]; 
			break;
			case "color" 	 	  :  	
			  $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )]; 
			break;
			case "editor"    	  : 	
			  $valid_input[(  esc_html($value['id'])  )] = empty($default_options[( esc_html($value['id']) )]) ? '' : $default_options[( esc_html($value['id']) )]; 
			break;
			case "typography" 	  :		
			 $valid_input[(  esc_html($value['id_1'])  )] = $default_options[(  esc_html($value['id_1'])  )];
			 $valid_input[(  esc_html($value['id_2'])  )] = $default_options[(  esc_html($value['id_2'])  )];
			 $valid_input[(  esc_html($value['id_3'])  )] = $default_options[(  esc_html($value['id_3'])  )];	
			break;
			case "color_2"    :
			  $valid_input[(  esc_html($value['id_1'])  )] = $default_options[(  esc_html($value['id_1'])  )];
			  $valid_input[(  esc_html($value['id_2'])  )] = $default_options[(  esc_html($value['id_2'])  )];
			break;
			default 	  		  :	  break;
		
		} // switch case ending					
	   } // foreach ending
		
	   add_settings_error( 'ease_framework',  'settings_updated' , __( 'Default options restored.', 'praise_church' ), 'error' );
	} // else if

   return $valid_input;	
   }
   
endif;

?>