<?php
/**
 *  Theme options define value, scripts, styles.
 */ 
 
if( function_exists('wp_get_theme') ){
	
  if(is_child_theme()){
	$temp_obj = wp_get_theme();
	$theme_obj = wp_get_theme( $temp_obj->get('Template') );
  }else{
	$theme_obj = wp_get_theme();
  }
  $theme_version = $theme_obj->get('Version');
  $theme_name = $theme_obj->get('Name');
  $theme_uri = $theme_obj->get('ThemeURI');
  $theme_author = $theme_obj->get('Author');
  $theme_author_uri = $theme_obj->get('AuthorURI');
}
 define( 'THEME_NAME' 			    , $theme_name );
 define( 'THEME_URI'				, $theme_uri ); 
 define( 'THEME_AUTHOR'				, $theme_author );
 define( 'THEME_AUTHOR_URI'			, $theme_author_uri );
 define( 'THEME_TEXT_DOMAIN'	    , str_replace(' ', '_', strtolower( wp_get_theme()) ) );
 define( 'THEME_FRAMEWORK_VERSION'  , $theme_version );
 define( 'THEME_FRAMEWORK_URI'	    , get_template_directory().'/framework/' );
 define( 'THEME_FRAMEWORK_JS_URI'   , get_template_directory_uri().'/framework/js/' );
 define( 'THEME_FRAMEWORK_CSS_URI'  , get_template_directory_uri().'/framework/css/' );
 define( 'ADMIN_THEME_OPTION_TITLE' , 'Theme Options' );
 define( 'ADMIN_THEME_OPTION_BACKUP_TITLE' , 'Settings Backup' ); 


 $files = array(
	//  Theme options.
	"includes/class-theme-options",
	// Theme style, js, etc..
	"includes/class-theme-default-option",
	// Theme interface
	"includes/class-theme-interface",
	// Theme init
	"includes/class-theme-init",
	// Theme Backup
	"includes/class-theme-backup-option",
	// Theme Customization
	"includes/class-theme-customization",
	// Metabox - Array.
	"meta-box/meta-box",
	// Metabox - Blog Post meta Gallery
	"meta-box/post-media-meta-gallery",
	// Metabox - Sermon List.
	"meta-box/sermon-list",
	// Metabox - Gallery.
	"meta-box/gallery-metabox",
 );
 foreach ( $files as $file ) {
	if ( file_exists( get_template_directory() . '/framework/'. $file .'.php' ) )
	get_template_part( "framework/{$file}" );
 }
 
/** 
 *  Theme Active to redirect THEME OPTIONS.
 */
if( !function_exists( 'is_theme_activated' ) ){
	
	 function is_theme_activated(){
		global $pagenow;
		if ( is_admin() && isset($_GET['activated'] ) && $pagenow == "themes.php" )
			return true;
		return false;
	 }
}
/**
 *  Flush_rewrite_rules to Theme option redirect page.
 */
if( is_theme_activated() ){
	/**
	 *   1. wp_redirect( admin_url( 'admin.php?page='.THEME_TEXT_DOMAIN.'&activated=true' ) ); exit; 
	 *   2. wp_safe_redirect( admin_url( 'admin.php?page='.THEME_TEXT_DOMAIN ) ); exit;
	 * 	 3. flush_rewrite_rules();
	 *   	header( 'Location: ' . admin_url( 'admin.php?page='.THEME_TEXT_DOMAIN.'&activated=true' ) );
	 */
	wp_safe_redirect( admin_url( 'admin.php?page='.THEME_TEXT_DOMAIN ) ); exit;
}
?>