<?php
/**
* The header for our theme.
*
* Displays all of the <head> section and everything up till <div id="content">
*
* @package Church
*/

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="hfeed site">

	<?php if ( get_header_image() ) : ?>
	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
		<img src="<?php header_image(); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="">
	</a>
	<?php endif; // End header image check. ?>

    <!-- search -->
    <div class="search-open" style="display:none;">
      <div class="container">
        <form method="get" action="<?php echo esc_url(home_url( '/' )); ?>">
            <div class="col-md-offset-2 col-md-8">
              <div class="input-group">
                <input type="text" class="form-control" value="<?php echo esc_attr(get_search_query()); ?>"  name="s">        
                <span class="input-group-btn">
                <button class="btn btn-search" type="submit">Search</button>
                </span> </div>
              <!-- /input-group --> 
            </div>
        </form>          
	</div>
    </div>
	<!-- search -->

    <!-- tp-header -->
    <div id="tp-header" class="tp-header">
    <nav class="navbar navbar-default">      
        <div class="container-fluid">           
          <!-- Brand and toggle get grouped for better mobile display -->
          <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1"> 
                <span class="sr-only">Toggle navigation</span> 
                <span class="icon-bar"></span> 
                <span class="icon-bar"></span> 
                <span class="icon-bar"></span> 
            </button>
		    <?php 
			if( church_get_option('checker')!= "" ){
			?>    
		      <h1 class="site-title">
              <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
              </h1>
             <!--  <h2 class="site-description"><?php // bloginfo( 'description' ); ?></h2> -->

		    <?php 
			} elseif( church_get_option('checker') == "" && church_get_option('logo') != "" ) {
		    ?>      
            
              <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
				<img class="header_img_logo" src="<?php echo esc_url(church_get_option('logo')); ?>" alt="<?php bloginfo( 'name' ); ?>">
			  </a>      
		    <?php	
			} else {
	   	    ?>	  
              <a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
				<img class="header_img_logo" src="<?php echo esc_url( get_template_directory_uri() . '/images/logo.png' ); ?>" alt="<?php bloginfo( 'name' ); ?>">
			  </a>      
	        <?php }		  
 	  ?>      		
      </div>      
      <?php
  	  if(esc_html(church_get_option('give_text'))!="" && esc_html(church_get_option('give_link'))!=""): 		 
	 		echo '<div class="give_button"><a href="'.esc_url(church_get_option('give_link')).'" 
			class="btn tp-btn tp-red-btn pull-right">'.esc_html(church_get_option('give_text')).'</a></div>';			
	  endif;
	  global $yith_wcwl, $woocommerce;
	?>
    <?php if (class_exists('YITH_WCWL')) : ?>        
    <?php if ( church_get_option('wishlist_icon') != '' ) : ?>
        <div class="wishlist-button">
            <a href="<?php echo esc_url($yith_wcwl->get_wishlist_url()); ?>" class="tools_button pull-right mt20">
                <span class="tools_button_icon">
                    <i class="fa fa-heart"></i>
                </span>
                <span class="wishlist_items_number"><?php echo yith_wcwl_count_products(); ?></span>
            </a>                                
        </div>							
	<?php endif; ?>
    <?php endif; ?>
      
	<?php if (class_exists('WooCommerce')) : ?>
    <?php if ( church_get_option('cart_icon') != '' ) : ?>
        <div class="shopping-bag-button">
        <a href="<?php echo esc_url($woocommerce->cart->get_cart_url()); ?>" class="tools_button pull-right mt20">
        <span class="tools_button_icon">
            <i class="fa fa-shopping-cart"></i>
        </span>
        <span class="shopping_bag_items_number">
			<?php echo esc_html($woocommerce->cart->cart_contents_count); ?>
        </span>
        </a>
        </div>
	<?php endif; ?>
    <?php endif; ?>
    
      <!-- Collect the nav links, forms, and other content for toggling -->
      <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
 	  <?php
	  if ( has_nav_menu( 'primary' ) ) :
    		   wp_nav_menu( array( 
    			  'theme_location' => 'primary',
    			  'walker'=>new ease_menu(),
    			  'menu_class'=>'nav navbar-nav navbar-right',
    			) 
		  );
	  endif;
	  ?>
      </div>
      <!-- /.navbar-collapse -->           
    </div>
  </nav>
</div>