<?php
// Custom slider post
add_action('init', 'slider_register');
function slider_register() {
    register_post_type('sliders', array(
        'label' => 'Sliders',
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => false,
        'rewrite' => array('slug' => 'sliders', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '1',
        'menu_icon'   => 'dashicons-images-alt2',       
        'supports' => array('title','thumbnail','post-thumbnails', 'page-attributes'),
        'labels' => array(
            'name' => 'Sliders',
            'singular_name' => 'Slider',
            'menu_name' => 'Sliders',
            'add_new' => 'Add Slider',
            'add_new_item' => 'Add New Slider',
            'edit' => 'Edit',
            'edit_item' => 'Edit Slider',
            'new_item' => 'New Slider',
            'view' => 'View Slider',
            'view_item' => 'View Slider',
            'search_items' => 'Search Sliders',
            'not_found' => 'No Sliders Found',
            'not_found_in_trash' => 'No Slider Found in Trash',
            'parent' => 'Parent Slider',
        )
    ));
}
// Custom ministry post
add_action('init', 'Ministry_register');
function Ministry_register() {
    register_post_type('ministry', array(
        'label' => 'Ministry',
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => false,
        'rewrite' => array('slug' => 'ministry', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '500',        
        'menu_icon'   => 'dashicons-admin-home',
        'supports' => array('title', 'editor', 'excerpt', 'custom-fields', 'thumbnail',  'page-attributes'),
        'labels' => array(
            'name' => 'Ministry',
            'singular_name' => 'Ministry',
            'menu_name' => 'Ministry',
            'add_new' => 'Add Ministry',
            'add_new_item' => 'Add New Ministry',
            'edit' => 'Edit Ministry',
            'edit_item' => 'Edit Ministry',
            'new_item' => 'New Ministry',
            'view' => 'View Ministry',
            'view_item' => 'View Ministry',
            'search_items' => 'Search Ministry',
            'not_found' => 'No Ministry Found',
            'not_found_in_trash' => 'No Ministry Found in Trash',
            'parent' => 'Parent Ministry',
        )
    ));
}
// Custom event post
add_action('init', 'Event_register');
function Event_register() {
    register_post_type('event', array(
        'label' => 'Event',
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => false,
        'rewrite' => array('slug' => 'event', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '500',        
        'menu_icon'   => 'dashicons-calendar-alt',
        'supports' => array('title', 'editor', 'excerpt', 'custom-fields', 'thumbnail',  'page-attributes'),
        'labels' => array(
            'name' => 'Event',
            'singular_name' => 'Event',
            'menu_name' => 'Event',
            'add_new' => 'Add Event',
            'add_new_item' => 'Add New Event',
            'edit' => 'Edit Event',
            'edit_item' => 'Edit Event',
            'new_item' => 'New Event',
            'view' => 'View Event',
            'view_item' => 'View Event',
            'search_items' => 'Search Event',
            'not_found' => 'No Event Found',
            'not_found_in_trash' => 'No Event Found in Trash',
            'parent' => 'Parent Event',
        )
    ));
}
// Custom pastor post
add_action('init', 'Pastor_register');
function Pastor_register() {
    register_post_type('pastor', array(
        'label' => 'Pastor',
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => false,
        'rewrite' => array('slug' => 'pastor', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '500',        
        'menu_icon'   => 'dashicons-businessman',
        'supports' => array('title', 'editor', 'excerpt', 'custom-fields', 'thumbnail',  'page-attributes'),
        'labels' => array(
            'name' => 'Pastor',
            'singular_name' => 'Pastor',
            'menu_name' => 'Pastor',
            'add_new' => 'Add Pastor',
            'add_new_item' => 'Add New Pastor',
            'edit' => 'Edit Pastor',
            'edit_item' => 'Edit Pastor',
            'new_item' => 'New Pastor',
            'view' => 'View Pastor',
            'view_item' => 'View Pastor',
            'search_items' => 'Search Pastor',
            'not_found' => 'No Pastor Found',
            'not_found_in_trash' => 'No Pastor Found in Trash',
            'parent' => 'Parent Pastor',
        )
    ));
}
// Custom sermon post
add_action('init', 'Sermon_register');
function Sermon_register() {

    register_post_type('sermon', array(
        'label' => 'Sermon',
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => false,
        'rewrite' => array('slug' => 'sermon', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '500',        
        'menu_icon'   => 'dashicons-groups',
        'supports' => array('title', 'editor', 'excerpt', 'custom-fields', 'thumbnail' ),
        'labels' => array(
            'name' => 'Sermon',
            'singular_name' => 'Sermon',
            'menu_name' => 'Sermon',
            'add_new' => 'Add Sermon',
            'add_new_item' => 'Add New Sermon',
            'edit' => 'Edit Sermon',
            'edit_item' => 'Edit Sermon',
            'new_item' => 'New Sermon',
            'view' => 'View Sermon',
            'view_item' => 'View Sermon',
            'search_items' => 'Search Sermon',
            'not_found' => 'No Sermon Found',
            'not_found_in_trash' => 'No Sermon Found in Trash',
            'parent' => 'Parent Sermon',
        ),
        
        
    register_taxonomy( 'sermon_tags', 'sermon', array( 'label' => 'Sermon Tags', 'hierarchical' => false, ) ),


    $sermon_series = array(
        'name' => _x( 'Sermon Series', 'taxonomy general name' ),
        'singular_name' => _x( 'Sermon Series', 'taxonomy singular name' ),
        'search_items' =>  __( 'Search Sermon Series' ),
        'all_items' => __( 'All Sermon Series' ),
        'parent_item' => __( 'Parent Sermon Series' ),
        'parent_item_colon' => __( 'Parent Sermon Series:' ),
        'edit_item' => __( 'Edit Sermon Series' ), 
        'update_item' => __( 'Update Sermon Series' ),
        'add_new_item' => __( 'Add New Sermon Series' ),
        'new_item_name' => __( 'New Sermon Series' ),
    ),  
    register_taxonomy('sermon_series',array('sermon'), array(
        'hierarchical' => true,
        'labels' => $sermon_series,
        'show_ui' => true,
        'query_var' => true,
        'show_in_nav_menus' => true,
         'rewrite' => array('slug' => 'sermon-series', 'with_front' => false),
    )),

    $sermon_series = array(
        'name' => _x( 'Sermon Speakers', 'taxonomy general name' ),
        'singular_name' => _x( 'Sermon Speakers', 'taxonomy singular name' ),
        'search_items' =>  __( 'Search Sermon Speakers' ),
        'all_items' => __( 'All Sermon Speakers' ),
        'parent_item' => __( 'Parent Sermon Speakers' ),
        'parent_item_colon' => __( 'Parent Sermon Speakers:' ),
        'edit_item' => __( 'Edit Sermon Speakers' ), 
        'update_item' => __( 'Update Sermon Speakers' ),
        'add_new_item' => __( 'Add New Sermon Speakers' ),
        'new_item_name' => __( 'New Sermon Speakers' ),
    ),  
    register_taxonomy('sermon_speckers',array('sermon'), array(
        'hierarchical' => true,
        'labels' => $sermon_series,
        'show_ui' => true,
        'query_var' => true,
        'show_in_nav_menus' => true,
         'rewrite' => array('slug' => 'sermon-speckers', 'with_front' => false),
    )),




    ));
}
// Custom FAQ post
add_action('init', 'Faq_Register');
function Faq_Register() {
    register_post_type('faq', array(
        'label' => 'FAQ',
        'description' => '',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'show_in_nav_menus' => false,         
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => false,
        'rewrite' => array('slug' => 'faq', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '5',
        'menu_icon'   => 'dashicons-editor-help',
        'supports' => array('title', 'page-attributes'),
        'labels' => array(
            'name' => 'FAQ',
            'singular_name' => 'FAQ',
            'menu_name' => 'FAQ',
            'add_new' => 'Add FAQ',
            'add_new_item' => 'Add New FAQ',
            'edit' => 'Edit',
            'edit_item' => 'Edit FAQ',
            'new_item' => 'New FAQ',
            'view' => 'View FAQ',
            'view_item' => 'View FAQ',
            'search_items' => 'Search FAQ',
            'not_found' => 'No FAQ Found',
            'not_found_in_trash' => 'No FAQ Found in Trash',
            'parent' => 'Parent FAQ',
        )
    ));
}
// gallery post
add_action('init', 'church_gallery');
function church_gallery() {
    register_post_type('gallery', array(
        'label' => 'Gallery',
        'description' => 'Gallery',
        'public' => true,
        'show_ui' => true,
        'show_in_menu' => true,
        'capability_type' => 'post',
        'map_meta_cap' => true,
        'hierarchical' => true,
        'show_in_nav_menus' => true,         
        'rewrite' => array('slug' => 'gallery', 'with_front' => true),
        'query_var' => true,
        'menu_position' => '5',
        'menu_icon'   => 'dashicons-format-gallery',
        'supports' => array('title'),
        'labels' => array(
            'name' => 'Gallery',
            'singular_name' => 'Gallery',
            'menu_name' => 'Gallery',
            'add_new' => 'Add Gallery',
            'add_new_item' => 'Add New Gallery',
            'edit' => 'Edit Gallery',
            'edit_item' => 'Edit Gallery',
            'new_item' => 'New Gallery',
            'view' => 'View Gallery',
            'view_item' => 'View Gallery',
            'search_items' => 'Search Gallery',
            'not_found' => 'No Gallery Found',
            'not_found_in_trash' => 'No Gallery Found in Trash',
            'parent' => 'Parent Gallery',
        )
    ));
}
?>