<?php
/**
 * Custom template tags for this theme.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
* @package Church
*/

/** 
* Single Next, Previouse Link.
*/
if( !function_exists('church_single_post_link') ){	 

	 function church_single_post_link() {
		 $p = get_adjacent_post(false, '', true); 
		 $n = get_adjacent_post(false, '', false);
		 if(!empty($p) || !empty($n)) {

			echo '<div class="col-md-12"><div class="pre-next-post"><div class="row">';

    	    // previous post title with link 
	        if(!empty($p)) 

			printf('<div class="col-md-6 blog-prv-link"><a href="%s" title="%s"><i class="fa fa-long-arrow-left"></i>&nbsp;PREVIOUS POST</a><h3><a href="%s">%s</a></h3></div>', get_permalink($p->ID) , $p->post_title , get_permalink($p->ID), $p->post_title  );

			// next post title with link 			
			if(!empty($n)) 

			printf('<div class="col-md-6 blog-nxt-link"><a href="%s" title="%s">NEXT POST&nbsp;<i class="fa fa-long-arrow-right"></i></a><h3><a href="%s">%s</a></h3></div>', get_permalink($n->ID) , $n->post_title , get_permalink($n->ID), $n->post_title ); 

			echo '</div></div></div>';
		 }		
	} 
}
/**
 * Content Blog Meta. 
 */
if( !function_exists('church_blog_meta') ) {

	 function church_blog_meta(){
		 
		echo '<span class="meta-date"><i class="fa fa-clock-o"></i>'; 
			the_time('d, F, Y');
		echo '</span>';	

		echo '<span class="meta-author"><i class="fa fa-user"></i>Posted by :<a href="'.get_author_posts_url(get_the_author_meta('ID')).'">'.get_the_author().'</a></span>';

		if (comments_open()):		
		$comments= (get_comments_number()==1?(get_comments_number()):(get_comments_number()));
		echo '<span class="meta-comments"><i class="fa fa-comments"></i>('.$comments.')<a href="' . get_comments_link() .'" class="comments" ><i class="mdi-communication-forum"></i>Comments</a></span>';
		endif;	
	}
}
if( !function_exists('church_blog_meta_front') ) {

	 function church_blog_meta_front(){
		 
		echo '<span class="meta-date"><i class="fa fa-clock-o"></i>'; 
			the_time('d, F, Y');
		echo '</span>';	

		if (comments_open()):		
		$comments= (get_comments_number()==1?(get_comments_number()):(get_comments_number()));
		echo '<span class="meta-comments"><i class="fa fa-comments"></i>('.$comments.')<a href="' . get_comments_link() .'" class="comments" ><i class="mdi-communication-forum"></i>Comments</a></span>';
		endif;	
	}
}
if( !function_exists('church_blog_meta_tag') ){
	 
     function church_blog_meta_tag(){
		if( is_single() ) {			    
			if( has_tag() ) :
				echo '<p class="blog-meta blog_meta_the_tag">';
				echo '<span class="meta-tags"><i class="fa fa-tags"></i>';
				the_tags();
				echo '</span>';
				echo '</p>';
			endif;		
		}
	 }
}
/** 
 *  Divider.
 */
if( !function_exists('church_divider') ){

	 function church_divider() {
		 
	   $url = "";
	  
	   if( church_get_option('front_page_divider') != '' ){
	   	  $url = church_get_option('front_page_divider');
	   }else {
	   	  $url = get_template_directory_uri() . '/images/custom-divider.png';
	   }
       echo '<img src="'.esc_url( $url ).'" alt="divider" class="img-responsive" >';
       
	 }	
}
/**
 * 	Pagination Blog Post.
 */
if( !function_exists('church_pagination') ){

	 function church_pagination() {
		 
	 global $wp_query;
	 $big = 999999999; // need an unlikely integer
	
 	 $pages = paginate_links( array(
        'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
        'format' => '?paged=%#%',
        'current' => max( 1, get_query_var('paged') ),
        'total' => $wp_query->max_num_pages,
        'type'  => 'array',
     ));
     if( is_array( $pages ) ) {
        $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
        echo '<div class="row"><div class="col-md-12 blog-pagination"><ul class="pagination">';
        foreach ( $pages as $page ) {
                echo "<li>$page</li>";
        }
       echo '</ul></div></div>';
     }

	}
}

if(!function_exists( 'praise_church_pagination' ) ){

	function praise_church_pagination($numpages = '', $pagerange = '', $paged='') {

	  if (empty($pagerange)) {
	    $pagerange = 2;
	  }

	  global $paged;
	  if (empty($paged)) {
	    $paged = 1;
	  }
	  if ($numpages == '') {
	    global $wp_query;
	    $numpages = $wp_query->max_num_pages;
	    if(!$numpages) {
	        $numpages = 1;
	    }
	  }

	  $pagination_args = array(
	    'base'            => get_pagenum_link(1) . '%_%',
	    'format'          => '?paged=%#%',
	    'total'           => $numpages,
	    'current'         => $paged,
	    'show_all'        => false,
	    'end_size'        => 1,
	    'mid_size'        => $pagerange,
	    'prev_next'       => true,
	    'type'            => 'array',
	    'add_args'        => false,
	    'add_fragment'    => ''
	  );

	  $pages = paginate_links($pagination_args);

	  if( is_array( $pages ) ) {
        $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
        echo '<div class="row"><div class="col-md-12 blog-pagination"><ul class="pagination">';
        foreach ( $pages as $page ) {
                echo "<li>$page</li>";
        }
       echo '</ul></div></div>';
     }


	}
}

/**
 * 	Related Post.
 */
if( !function_exists('church_related_post') ){

	 function church_related_post() {

		global $post;
		$original_post ="";
		$categories = get_the_category($post->ID);
		
		if ($categories) {
			
			$category_ids = array();		
			foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;						

				$args=array(
					'category__in' => $category_ids,
					'post__not_in' => array($post->ID),
					'posts_per_page'=> 2, // Number of related posts that will be shown.
					'ignore_sticky_posts'=>1
				);				

				$medi_temp_query = new wp_query( $args );
				if( $medi_temp_query->have_posts() ) {	
				
					echo __('<div class="col-md-12"><div class="related-post"><h2>Related Post</h2></div><div class="row">','praise_church');	
					while( $medi_temp_query->have_posts() ) {
						
						$medi_temp_query->the_post(); 
						echo __('<div class="col-md-6 blog-post"><div class="blog-pic">','praise_church');
                        if (wp_get_attachment_url(get_post_thumbnail_id($post->ID))) :
                            $thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
						?>  <a href="<?php the_permalink()?>">
                            <img alt="blog-img" title="blog-img" class="img-responsive" src="<?php echo esc_url($thumbnail_url); ?>"/>
                            </a>
	                        <p> <a href="<?php the_permalink()?>"><?php the_title(); ?></a> </p>                            
                        <?php
                        endif;
                        echo __('</div></div>','praise_church');
				} // while
				echo __('</div></div>','praise_church');								
			} // foreach			
	} // if			

	$post = $original_post;
	wp_reset_postdata();	   
	}
}
/**
 * Widget Date.
 */
if( !function_exists('church_widget_date') ){

	 function church_widget_date() { 

		if ( in_array( get_post_type(), array( 'post', 'attachment' ) ) ) {

			$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
			if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
				$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time>';
			}

			$time_string = sprintf( $time_string,
				esc_attr( get_the_date( 'c' ) ),
				get_the_date()
			);

			printf( '<span class="meta-date"><i class="fa fa-clock-o"></i> %1$s <a href="%2$s" rel="bookmark">%3$s</a></span>',
				_x( '', 'Used before publish date.', 'praise_church' ),
				esc_url( get_permalink() ),
				$time_string
			);
		}
	}
}
/**
 * Archive Title.
 */
if( !function_exists('church_the_archive_description') ){
	
	 function church_the_archive_description( $before = '', $after = '' ) {

		$description = apply_filters( 'get_the_archive_description', term_description() );
		if ( ! empty( $description ) ) {
			/**
			 * Filter the archive description.
			 *
			 * @see term_description()
			 *
			 * @param string $description Archive description to be displayed.
			 */
			 echo $before . $description . $after;  // WPCS: XSS OK.
		}
	}
}
/**
 * the_achive description.
 */
if( !function_exists('church_the_archive_title') ){

	 function church_the_archive_title( $before = '', $after = '' ) {

		if ( is_category() ) {
			$title = sprintf( esc_html__( 'Category: %s', 'praise_church' ), single_cat_title( '', false ) );
		} elseif ( is_tag() ) {
			$title = sprintf( esc_html__( 'Tag: %s', 'praise_church' ), single_tag_title( '', false ) );
		} elseif ( is_author() ) {
			$title = sprintf( esc_html__( 'Author: %s', 'praise_church' ), '<span class="vcard">' . get_the_author() . '</span>' );
		} elseif ( is_year() ) {
			$title = sprintf( esc_html__( 'Year: %s', 'praise_church' ), get_the_date( esc_html_x( 'Y', 'yearly archives date format', 'praise_church' ) ) );
		} elseif ( is_month() ) {
			$title = sprintf( esc_html__( 'Month: %s', 'praise_church' ), get_the_date( esc_html_x( 'F Y', 'monthly archives date format', 'praise_church' ) ) );
		} elseif ( is_day() ) {
			$title = sprintf( esc_html__( 'Day: %s', 'praise_church' ), get_the_date( esc_html_x( 'F j, Y', 'daily archives date format', 'praise_church' ) ) );
		} elseif ( is_tax( 'post_format' ) ) {
			if ( is_tax( 'post_format', 'post-format-aside' ) ) {
				$title = esc_html_x( 'Asides', 'post format archive title', 'praise_church' );
			} elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) {
				$title = esc_html_x( 'Galleries', 'post format archive title', 'praise_church' );
			} elseif ( is_tax( 'post_format', 'post-format-image' ) ) {
				$title = esc_html_x( 'Images', 'post format archive title', 'praise_church' );
			} elseif ( is_tax( 'post_format', 'post-format-video' ) ) {
				$title = esc_html_x( 'Videos', 'post format archive title', 'praise_church' );
			} elseif ( is_tax( 'post_format', 'post-format-quote' ) ) {
				$title = esc_html_x( 'Quotes', 'post format archive title', 'praise_church' );
			} elseif ( is_tax( 'post_format', 'post-format-link' ) ) {
				$title = esc_html_x( 'Links', 'post format archive title', 'praise_church' );
			} elseif ( is_tax( 'post_format', 'post-format-status' ) ) {
				$title = esc_html_x( 'Statuses', 'post format archive title', 'praise_church' );
			} elseif ( is_tax( 'post_format', 'post-format-audio' ) ) {
				$title = esc_html_x( 'Audio', 'post format archive title', 'praise_church' );
			} elseif ( is_tax( 'post_format', 'post-format-chat' ) ) {
				$title = esc_html_x( 'Chats', 'post format archive title', 'praise_church' );
			}
		} elseif ( is_post_type_archive() ) {
			$title = sprintf( esc_html__( 'Archives: %s', 'praise_church' ), post_type_archive_title( '', false ) );
		} elseif ( is_tax() ) {
			$tax = get_taxonomy( get_queried_object()->taxonomy );
			/* translators: 1: Taxonomy singular name, 2: Current taxonomy term */
			$title = sprintf( esc_html__( '%1$s: %2$s', 'praise_church' ), $tax->labels->singular_name, single_term_title( '', false ) );
		} else {
			$title = esc_html__( 'Archives', 'praise_church' );
		}
	
		/**
		 * the_archive title.
		 */
		$title = apply_filters( 'get_the_archive_title', $title );
		if ( ! empty( $title ) ) {
			echo $before . $title . $after;  // WPCS: XSS OK.
		}
	}
}
/**
*  The Blog post video iframe support browser.
*/
if( !function_exists('church_video_embed') ){
	
	 function church_video_embed($embed_code){

		$embed_code=str_replace('webkitallowfullscreen','',$embed_code);
		$embed_code=str_replace('mozallowfullscreen','',$embed_code);
		$embed_code=str_replace('frameborder="0"','',$embed_code);
		$embed_code=str_replace('frameborder="no"','',$embed_code);
		$embed_code=str_replace('scrolling="no"','',$embed_code);
		$embed_code=str_replace('&','&amp;',$embed_code);
		return $embed_code;
	}
}
/**
 *  The content filter
 */ 
add_filter('the_content', 'church_the_content');
if( !function_exists('church_the_content') ) {
	
	 function church_the_content($content){   
		$array = array (
			'<p>[' => '[', 
			']</p>' => ']', 
			']<br />' => ']',
			']<br>' => ']',
		);
	
		$content = strtr($content, $array);
		return $content;
	 }
}
/** 
 * 	The Excerpt for word counting in the_content.
 */
if( !function_exists('church_getWords') ){
	
	 function church_getWords($text, $limit) {
		 
		$array = explode(" ", $text, $limit+1);
		if (count($array) > $limit) : unset($array[$limit]);
		endif;		
		return esc_html(implode(" ", $array));
	 } 	 
}
/** 
 * 	The Excerpt for Character counting in the_content.
 */
if( !function_exists('church_getCharCut') ){

	 function church_getCharCut($text, $limit){
		 
		$char_cut=substr(strip_tags(stripslashes($text)),0,$limit);
		if(strlen($text)<=$limit) : return  $char_cut; 
		else : return esc_html($char_cut." [...]");	
		endif;
	 } 	 
}
?>