<?php

if( !function_exists('custom_widget') ){
	function custom_widget() {
		register_widget( 'recent_post_widget' );
	}
	add_action( 'widgets_init', 'custom_widget' );
}
class recent_post_widget extends WP_Widget {
	function __construct() {
		// Instantiate the parent object
		parent::__construct( false, 'Recent Post' );
	}
	function widget( $args, $instance ) {
		// Widget output
    	extract($args);
        $title = ($instance['title']) ? $instance['title'] : __('Popular Recent Posts', 'praise_church');
        $limit = ($instance['limit']) ? $instance['limit'] : 5;
		echo $before_widget;
		echo $before_title;
		echo $title;
		echo $after_title;
		
		
		  $featured_args = array(
		     'posts_per_page' => $limit,
   		  );      
	      $featured_query = new WP_Query($featured_args);
      
		  if($featured_query->have_posts()) : 
		  	 echo '<ul>';
			 while($featured_query->have_posts()) : $featured_query->the_post();         
			 
	      	if ( has_post_thumbnail() ) : ?>
            <li class="">
		  	     <div class="small-tumbnail">
                     <a href="<?php the_permalink(); ?>">
                     <?php				     
                         the_post_thumbnail( 'thumbnail' , array( 'class' => 'thumbnail_post img-responsive' ));     
                     ?>
                     </a>
			     </div>
				 <h3 class="recent-title">
                     <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                 </h3>
			     <?php                        
					if(  $instance['selected'] ) :  church_widget_date();
					endif;
				 ?>
            </li>
      <?php endif;  ?>
      <?php endwhile;  ?>
	  <?php echo '</ul>'; ?>
	  <?php endif; ?>
      <?php wp_reset_postdata(); ?>
      <?php echo $after_widget; ?> 
  	  <?php
	  
	}
	function update( $new_instance, $old_instance ) {
		// Save widget options
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['limit'] = $new_instance['limit'];
		$instance['selected'] = $new_instance['selected'];
		return $instance;
	}
	function form( $instance ) {		
		// Output admin widget options form
      if(!isset($instance['title'])) $instance['title'] = __('Recent post', 'praise_church');
      if(!isset($instance['limit'])) $instance['limit'] = 3;  
      if(!isset($instance['selected'])) $instance['selected'] = 'on';  ?>
    <p>
    <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', 'praise_church') ?></label>
    <input  type="text" value="<?php echo esc_attr($instance['title']); ?>" name="<?php echo $this->get_field_name('title'); ?>"     
    id="<?php echo $this->get_field_id('title'); ?>" class="widefat" />
    </p>
    <p>
    <label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('Limit Posts Number', 'praise_church') ?></label>
    <input  type="text" value="<?php echo esc_attr($instance['limit']); ?>" name="<?php echo $this->get_field_name('limit'); ?>"
    id="<?php echo $this->get_field_id('limit'); ?>" class="widefat" />
    </p>
    <p>
    <input class="checkbox" type="checkbox" <?php checked($instance['selected'], 'on'); ?> id="<?php echo $this->get_field_id('selected'); ?>" 
    name="<?php echo $this->get_field_name('selected'); ?>" />
    <label for="<?php echo $this->get_field_id('selected'); ?>"> Display post date? </label>
    </p>
<?php
	}
}
?>