<?php
/**
 *  Checkout page Field add 
 *  Our hooked in function - $fields is passed via the filter!
 */	
if( !function_exists( 'fn_church_woo_checkout_fields' ) ) {
	function fn_church_woo_checkout_fields( $fields ) {
		 $fields['billing']['billing_first_name'] = array(
			'label'     => __('First Name', 'praise_church'),
			'required'  => true,
			'class'     => array('col-md-6'),
			'clear'     => false
		 );
		 $fields['billing']['billing_last_name'] = array(
			'label'     => __('Last Name', 'praise_church'),
			'required'  => true,
			'class'     => array('col-md-6'),
			'clear'     => true
		 );
		 $fields['billing']['billing_state'] = array(
			'label'     => __('Contry', 'praise_church'),
			'required'  => true,
			'class'     => array('col-md-6'),
			'clear'     => false
		 );
		 $fields['billing']['billing_postcode'] = array(
			'label'     => __('Postcode', 'praise_church'),
			'required'  => true,
			'class'     => array('col-md-6'),
			'clear'     => true
		 );	 	 
		 return $fields;
	}
	add_filter( 'woocommerce_checkout_fields' , 'fn_church_woo_checkout_fields' );
}

/**
 *  Remove Image in before title
 */
remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10 );
	
/**
*  Product page in image display filter
*/ 
if(!function_exists('fn_church_woo_before_shop_loop_item')){
	function fn_church_woo_before_shop_loop_item(){
		$image_id=get_post_thumbnail_id();
		$image_obj=wp_get_attachment_image_src($image_id,'full');
		?>
			<div class="product_box">
			<div class="product-thumb">
				<div class="hover-thumb">
					<a class="permalink" href="<?php the_permalink(); ?>">
						<?php echo woocommerce_get_product_thumbnail(array(263,282,'bfi_thumb'=>true)); ?>
					</a>
				</div>
			</div>			
		<?php
	}
	add_action('woocommerce_before_shop_loop_item','fn_church_woo_before_shop_loop_item');	
}
if(!function_exists('fn_church_woo_after_shop_loop_item')){
	function fn_church_woo_after_shop_loop_item(){
		echo '</div><!--End Product-->';
		if (class_exists('YITH_WCWL')) : 
			if (shortcode_exists('yith_wcwl_add_to_wishlist')) :
				echo do_shortcode('[yith_wcwl_add_to_wishlist]'); 
			endif;
		endif; 	
	}
	add_action('woocommerce_after_shop_loop_item','fn_church_woo_after_shop_loop_item');	
}

/*
 *    Remove each style one by one
 *    Stylesheet add woocommerce
 */
if (!function_exists('fn_church_jk_dequeue_styles')) {
	function fn_church_jk_dequeue_styles( $enqueue_styles ) {
		unset( $enqueue_styles['woocommerce-layout'] );
		return $enqueue_styles;
	}
	add_filter( 'woocommerce_enqueue_styles', 'fn_church_jk_dequeue_styles' );	
}   
if (!function_exists('fn_church_woo_styles')) {
	function fn_church_woo_styles( ) {
	    if( is_rtl() ) {
		  	wp_enqueue_style( 'fn_church_woocommerce_css_rtl', get_template_directory_uri() . '/css/woocommerce/woocommerce_rtl.css' ); 
		}else {
			wp_enqueue_style( 'fn_church_woocommerce_css', get_template_directory_uri() . '/css/woocommerce/woocommerce.css' ); 
		}
	}
	add_action( 'wp_enqueue_scripts', 'fn_church_woo_styles' );	
}
/**
 *   Search Widget 
 */	 
if( !function_exists( 'fn_church_woo_product_searchform' ) ){
	function fn_church_woo_product_searchform( $form ) {
		
		$form = '<form role="search" method="get" class="" action="'.esc_url( home_url( '/' ) ).'">
		<div class="input-group search-widget">
			<input class="form-control" type="text" value="'.esc_attr(get_search_query()).'"  name="s" placeholder="Search Product">
			<span class="input-group-btn">
				<button class="btn btn-search" type="submit"><i class=" fa fa-search "></i></button>
			</span>
			<input type="hidden" name="post_type" value="product" />
		</div>    
		</form>
		';	
		return $form;	
	}	
	add_filter( 'get_product_search_form' , 'fn_church_woo_product_searchform' );
}	
/**
 *   Product Post Per Page
 */
if(!function_exists('fn_church_woo_loop_shop_per_page')){
	function fn_church_woo_loop_shop_per_page($a){            
		if(church_get_option('product_per_page') != '')
			$product_posts_per_page_shop = church_get_option('product_per_page');
		else
			$product_posts_per_page_shop = 9;
		return $product_posts_per_page_shop;
	}
	add_filter( 'loop_shop_per_page', 'fn_church_woo_loop_shop_per_page', 20 );	
}
	
/**
 *  Related Product in single.php 
 */
if( !function_exists( 'fn_church_woo_related_products_args' ) ){
	function fn_church_woo_related_products_args( $args ) {
		if(church_get_option('related_product') != '')
			$args['posts_per_page'] = church_get_option('related_product');
		else
			$args['posts_per_page'] = 3; // 4 related products
		return $args;
	}
	add_filter( 'woocommerce_output_related_products_args', 'fn_church_woo_related_products_args' );
}
/**
 *  Shop.php Rating.
 */
 
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
add_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 15 );

/**
 *  Single.php price.
 */
 
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 5 );
	
/**
 *  price.
 */
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10 );
add_action( 'woocommerce_after_shop_loop_item_title_loop_price', 'woocommerce_template_loop_price', 5 );
?>