<?php
/**
 * Template Name: Ministry Template
 *
 * @package Church
 */
global $wp_query, $post;
get_header(); 
get_template_part('page_banner'); 
get_template_part('inc/start','sidebar'); ?>

<div class="ministries">
  
        <?php 
        $paged = get_query_var('paged') ? get_query_var('paged') : 1;
        $args = array( 'post_type' => 'ministry', 'posts_per_page' => get_option('posts_per_page'), 'paged' => $paged );
        $query = new WP_Query( $args );
        while ( $query->have_posts() ) : $query->the_post();
        ?>
        <div class="col-md-4 ministry-block">
        	<div class="ministry-image">
               <a href="<?php the_permalink(); ?>">
                <?php 
                    if ( has_post_thumbnail() ) : the_post_thumbnail('ministry', array('class' => 'img-responsive')); 
                    endif;
                ?>
               </a> 
            </div>
            
            <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>            
            <?php
			  if(get_the_excerpt()) :
				$mycontent = get_the_excerpt();
				echo '<p>'.church_getCharCut($mycontent, 105).'</p>';
			  endif;
				
			  $meta_ministry = get_post_meta( $post->ID, 'pastor_name', true );
			  if($meta_ministry != '') : ?>
				 <p> Lead Pastor : <span><a href="<?php the_permalink(); ?>"><?php echo esc_html($meta_ministry) ?></a></span> </p>
              <?php
			  endif;
			  ?>
              <a href="<?php the_permalink();?>" class="btn outline-btn outline-btn-red">
				<?php esc_html_e('Read More', 'praise_church');?>
                <i class="fa fa-angle-right"></i> 
              </a>     
              
        </div>
        <!-- /.doctor block -->
        <?php 
			endwhile; 		
      praise_church_pagination($query->max_num_pages,"",$paged);
			wp_reset_postdata();
        ?>

</div><!-- ministry_div -->

<?php 
    get_template_part('inc/end','sidebar');
    get_footer(); 
?>