<?php
/**
 * Template Name: Sermon Template
 *
 * @package Church
 */
global $wp_query, $post;

get_header(); 
get_template_part('page_banner'); ?>

<div class="sermon" id="sermon">
<!-- Sermon -->
<div class="container">
<!-- container -->
    <div class="row">
    <!-- row -->
    <?php
    $paged = get_query_var('paged') ? get_query_var('paged') : 1;
    $args = array( 'post_type' => 'sermon', 'posts_per_page' => get_option('posts_per_page'), 'paged' => $paged );
    $loop = new WP_Query( $args );

    while ( $loop->have_posts() ): $loop->the_post(); ?>
        
	<div class="col-md-6 sermons-series"><!-- sermon series pic -->
        <div class="series-pic"> 
            <div class="sermon_img">
                <a href="<?php the_permalink(); ?>">
				<?php 
				if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class' => 'img-responsive' ));
                endif;
                ?>
                </a>
            </div>
            </div>
	            <div class="series-description">
    		      <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            	    <div class="sermon-meta">
                    <!-- sermon-list meta using meta -->
                    <?php

				     $speaker_name = get_post_meta( $post->ID, 'speaker_name', true );
				     if($speaker_name != '') :

				        print '<span class="speaker-meta">Speaker : ';
	
                        global $terms;

                        $speckers = get_terms( 'sermon_speckers' );
             
                        foreach ( $speckers as $term ) {
                         
                            // The $term is an object, so we don't need to specify the $taxonomy.
                            $term_link = get_term_link( $term );
                            
                            // If there was an error, continue to the next term.
                            if ( is_wp_error( $term_link ) ) {
                                continue;
                            }

                            if( $speaker_name == $term->name ){
                                print '<a href="' . esc_url( $term_link ) . '">' . $term->name . '</a>';
                            }
                         
                        }

				        print '</span>';
				  
				     endif;

				    $series_name = get_post_meta( $post->ID, 'sermon_series', true );

				    if($series_name != ''):

					    print '<span class="series-name">Series : ';

                        global $terms;

                        $series = get_terms( 'sermon_series' );

                        foreach ( $series as $term ) {
                         
                            // The $term is an object, so we don't need to specify the $taxonomy.
                            $term_link = get_term_link( $term );
                            
                            // If there was an error, continue to the next term.
                            if ( is_wp_error( $term_link ) ) {
                                continue;
                            }

                            if( $series_name == $term->name ){
                                print '<a href="' . esc_url( $term_link ) . '">' . $term->name . '</a>';
                            }
                         
                        }  


                      print '</span>';
				  endif;
				  ?>
                </div>
                <p>
    				<?php
    				if(get_the_excerpt()) :
    					$mycontent = get_the_excerpt();
    					echo church_getCharCut($mycontent, 174);
    				endif;
                    ?>
                </p>
                <a href="<?php the_permalink(); ?>" class="btn outline-btn outline-btn-red">
                <?php esc_html_e(' View Series', 'praise_church');?>
                   <i class="fa fa-angle-right"></i> 
                </a>     
          </div>
        </div>       
        <?php endwhile; 	

        praise_church_pagination($loop->max_num_pages,"",$paged);

		wp_reset_postdata();

        ?>
  </div>
  <!-- /row -->
</div>
<!-- /container -->
</div>
<!-- event-single -->
<?php get_footer(); ?>