<?php
/**
 * @package Church
 */
if( is_front_page() ) :
else :

global $post, $woocommerce;
$header_img_url = $default_header_img = '';

if(church_get_option('header_banner')!='') :
	$default_header_img = church_get_option('header_banner');
endif;

if( is_page() || is_singular() && !is_woocommerce() ) {
	$header_img_url_first = get_post_meta( $post->ID, 'header_img', true );
	if( $header_img_url_first != '' ){
		$header_img_url = get_post_meta( $post->ID, 'header_img', true );
	}else {
		$header_img_url = $default_header_img;
	}
}elseif( is_home() ) {
	$header_img_url_sec = get_post_meta( get_option( 'page_for_posts' ), 'header_img', true );	
	if( $header_img_url_sec != '' ){
		$header_img_url = get_post_meta( $post->ID, 'header_img', true );
	}else {
		$header_img_url = $default_header_img;
	}
}elseif( class_exists('WooCommerce') && is_woocommerce()  ) {
	$header_img_url_third = get_post_meta( get_option('woocommerce_shop_page_id'), 'header_img', true );
	if( $header_img_url_third != '' ){
		$header_img_url = get_post_meta( get_option('woocommerce_shop_page_id'), 'header_img', true );
	}else {
		$header_img_url = $default_header_img;
	}		
}else {
			$header_img_url = $default_header_img;
}
?>

<?php if( church_get_option('page_banner_display') != '' ): ?>
<!-- tp-header-bg -->
<div class="page-header-bg" style="background-image:url(<?php echo esc_url($header_img_url); ?>);">
  <div class="container">
    <div class="row">
      <div class="col-md-offset-1 col-md-10 page-title">	        
	  <?php 
		  global $post, $woocommerce;
          if( is_home() ){
              echo '<h1>'.apply_filters( 'the_title', get_post_field( 'post_title', get_option( 'page_for_posts' ) ) ).'</h1>'; 
              echo '<p>'.get_post_meta( get_option( 'page_for_posts' ), 'header_description', true ).'</p>';
          }elseif( class_exists('WooCommerce') && is_woocommerce() ) { 
              echo '<h1>'.apply_filters( 'the_title', get_post_field( 'post_title', get_option('woocommerce_shop_page_id') ) ).'</h1>'; 
              echo '<p>'.get_post_meta( get_option('woocommerce_shop_page_id') , 'header_description', true ).'</p>';			  
          }elseif( is_singular() || is_page() ) { 
               the_title( '<h1 class="tp-blog-title">', '</h1>' );
			   $p = get_post_meta( $post->ID, 'header_description', true );
			   if( $p != '' ) :
	               echo '<p>'.esc_attr($p).'</p>';
			   endif;
		  }elseif( is_search() ) { 
		      echo '<h1> Search :'.get_search_query().'</h1>'; 
		  }elseif( is_archive() ) { 
		      church_the_archive_title( '<h1 class="page-title">', '</h1>' );
		  }else { 
               the_title( '<h1 class="tp-blog-title">', '</h1>' );
			   $p = get_post_meta( $post->ID, 'header_description', true );
			   if( $p != '' ) :
	               echo '<p>'.esc_attr($p).'</p>';
			   endif;
		  }
      ?>          
      </div>
    </div>
  </div>
</div>
<!-- tp-header-bg -->
<?php endif; // page banner show/hide options via theme options 


if( !is_404() && !is_front_page() ){
?>
<div class="tp-breadcrumb">
  <div class="container">
    <div class="row">
      <div class="col-md-6">
        <div class="breadcrumb">
          <?php get_template_part('inc/breadcrumbs'); ?>
 		</div>
      </div>
      <div class="col-md-6 text-right church_time">
		  <?php 
		  if(church_get_option('prayer_time_breadcums')!='') :
		    echo esc_html(church_get_option('prayer_time_breadcums'));
		  endif; 
		  ?>
      </div>
    </div>
  </div>
</div>
<?php 
} //  Breadcums


echo '<div id="main-container" class="main-container">';
endif;
if( is_front_page() && is_home() ) :
	echo '<div id="main-container" class="main-container">';
endif;
?>