<?php
/**
 * The Template for displaying all single sermon posts.
 *
 * @package Church
 */
 
get_header(); 
get_template_part('page_banner'); 
get_template_part('inc/start','sidebar'); ?>

<div class="sermon-single" id="sermon-single">
<!-- sermon-single -->


  <?php if ( have_posts() ) : ?>
  <?php /* Start the Loop */ ?>
  <?php while ( have_posts() ) : the_post(); ?>

  <div class="col-md-12 sermons-series">

    <div class="series-pic">
      <?php  if ( has_post_thumbnail() ) : the_post_thumbnail('full', array('class' => 'img-responsive' )); endif; ?>
    </div>

    <div class="series-description">
      <div class="sermon-meta">
        <?php
          $speaker_name = get_post_meta( $post->ID, 'speaker_name', true );
          if($speaker_name) :  ?>
              <span class="speaker-meta">Speaker : <?php echo esc_html($speaker_name) ?></span>
          <?php
          endif;
          $series_name = get_post_meta( $post->ID, 'sermon_series', true );					  
          if($series_name) :
            echo '<span class="series-name">Series : '.esc_html($series_name).'</span>';
          endif;
        ?>

      </div>      <?php the_content(); ?>      
    </div><!-- sermon description -->
          


    <div class="row">
      <div class="col-md-12">
        
        <?php
        $sermon_heading_text = get_post_meta($post->ID,'series_heading_text',true);
          if( $sermon_heading_text ) : echo '<h3>'.$sermon_heading_text.'</h3>'; endif;
        

        $sermon = get_post_meta($post->ID,'sermon',true);
        $c = 1;     

	      if ( count( $sermon ) >= 1 && !empty( $sermon ) ) :

            $array_reverce =  array_reverse( $sermon );

          	foreach( $array_reverce as $check ) :

          		if ( isset($check['title']) || isset($check['date']) || isset($check['pdf']) || isset($check['download']) || isset($check['listen']) || isset($check['watch']) ) : ?>

          		  <div class="sermon-list-odd">

                      <div class="sermom-name col-md-6">
                        <h3><?php echo esc_html($check['title']); ?></h3>
                          <div class="sermon-meta">

          	                 <span class="sermon-date"><?php echo esc_attr($check['date']); ?></span>
                             <?php

          					         $speaker_name = get_post_meta( $post->ID, 'speaker_name', true );
          					         if($speaker_name): ?>
          						            <span class="speaker-meta">Speaker:<?php echo esc_html($speaker_name) ?></span>
                              <?php  endif;

                  					  $series_name = get_post_meta( $post->ID, 'sermon_series', true );
                  					  if($series_name):
                  						 echo '<span class="series-name">Series: '.esc_html($series_name).'</span>';
                  					  endif;
          				          ?>

                          </div>
                      </div>


                      <div class="message-action col-md-6">


                      <?php
                        if( $check['pdf'] != '' ) :  
          		            echo '<a href="'.esc_url( $check['pdf'] ).'"  class="btn outline-small">View <i class="fa fa-file-pdf-o"></i></a>';
          			         endif;
                        if( $check['download'] != '' ) :
          		            echo '<a href="'.esc_url( $check['download'] ).'" class="btn outline-small">Download <i class="fa fa-download"></i></a>';
          			         endif;
                        if( $check['listen'] != '' ) :
          		            echo '<a href="'.esc_url( $check['listen'] ).'" class="open sermon-video btn outline-small">Listen <i class="fa fa-volume-up"></i></a>';
          			         endif;
                        if( $check['watch'] != '' ) :
          		            echo '<a href="'.esc_url( $check['watch'] ).'" class="open btn sermon-video outline-small">Watch <i class="fa fa-video-camera"></i></a> ';
          			         endif;			  
          		        ?>


                      </div>
                </div>

                  <?php		
          		$c = $c +1;             
          	  endif;
            endforeach;

	     endif;
	?>



        </div>
        <!-- col-md-12 -->
    </div>
    <!-- row -->
  </div>
  <!-- col-md-12 -->
    
  <?php endwhile; ?>      
  <?php endif; ?>
    

</div>
<!-- sermon-single -->
<?php 
    get_template_part('inc/end','sidebar');
    get_footer(); 
?>