<?php
/*
 * @package Church
 */
$post_format = get_post_format();
if ($post_format === false) {
	$post_format = 'image';
}
$data = '';
switch ($post_format) {
	case 'standard':
		$style = 0;
		$data = '';
	break;
	case 'image':
		if (wp_get_attachment_url(get_post_thumbnail_id($post->ID))) {
			$thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
			$data .= '<img alt="blog-img" title="blog-img" class="img-responsive" src="' . $thumbnail_url . '"/>';
		}
	break;
	case 'gallery':
		$values = get_post_custom();
		if(isset($values['product_gallery'])) {
			// The json decode return an array of image ids
			$ids = json_decode($values['product_gallery'][0]);								
		}
		else {
			$ids = array();								
		}												
		if (get_post_meta(get_the_ID(), 'product_gallery', true)) {
			$st_gallery_blog = get_post_meta(get_the_ID(), 'product_gallery', true);
		}					

		$data .= '<div class="owl-carousel-gallery">';  // owl-corsol
		foreach ($ids as $item) {
			$thumbnail_url = wp_get_attachment_url($item);
			$data .= '<div class="item">';
			$data .= '<img src="' . $thumbnail_url . '" alt="" />';
			$data .= '</div>';
		}
		$data .= '</div>';							
	break;
	case 'video':			    	
		if (get_post_meta(get_the_ID(), 'show_video', true)) {
			$media_url = get_post_meta(get_the_ID(), 'show_video', true);			            
			$data .= '<div class="videoWrapper">';
			$data .= church_video_embed(wp_oembed_get( $media_url ));
			$data .= '</div>';
		}
	break;
	case 'audio':
		if (get_post_meta(get_the_ID(), 'show_audio', true)) {
			$media_url = get_post_meta(get_the_ID(), 'show_audio', true);
			$data .= '<div class="videoWrapper">';
			$data .= church_video_embed(wp_oembed_get( $media_url ));
			$data .= '</div>';
		}
	break;
	default:
		if (wp_get_attachment_url(get_post_thumbnail_id($post->ID))) {
			$thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
			$data .= '<img alt="blog-img" title="blog-img" class="img-responsive" src="' . $thumbnail_url . '"/>';
		}
	break;
}
?>
<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<div class="row">
<div class="col-md-12">
  <?php
		if ( is_single() ) :
			the_title( '<h1 class="tp-blog-title">', '</h1>' );
		else :
			the_title( sprintf( '<h1 class="tp-blog-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' );
		endif;
  ?>
  <p class="blog-meta">
		<?php  church_blog_meta(); ?>
  </p>
  <div class="blog-pic"> <?php echo $data; ?> </div>  
  <?php			
	/* translators: %s: Name of current post */		
	the_excerpt(); 
	
	wp_link_pages( array(
		'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'praise_church' ) . '</span>',
		'after'       => '</div>',
		'link_before' => '<span>',
		'link_after'  => '</span>',
		'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'praise_church' ) . ' </span>%',
		'separator'   => '<span class="screen-reader-text">, </span>',
	) );
  ?>
  <a href="<?php the_permalink();?>" class="btn outline-btn outline-btn-red">
  <?php esc_html_e('Keep Reading ', 'praise_church');?>
    <i class="fa fa-angle-right"></i> 
  </a>     
		</div><!-- col-md-12 -->
	</div> <!-- row -->  
</div><!-- post#id -->