<?php
/*
 * @package Church
 */
$post_format = get_post_format();
if ($post_format === false) {
	$post_format = 'image';
}
$data = '';
switch ($post_format) {
	case 'standard':
		$style = 0;
		$data = '';
	break;
	case 'image':
		if (wp_get_attachment_url(get_post_thumbnail_id($post->ID))) {
			$thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
			$data .= '<img alt="blog-img" title="blog-img" class="img-responsive" src="' . $thumbnail_url . '"/>';
		}
	break;
	case 'gallery':
		$values = get_post_custom();
		if(isset($values['product_gallery'])) {
			$ids = json_decode($values['product_gallery'][0]);								
		}
		else {
			$ids = array();								
		}												
		if (get_post_meta(get_the_ID(), 'product_gallery', true)) {
			$st_gallery_blog = get_post_meta(get_the_ID(), 'product_gallery', true);
		}					

		$data .= '<div class="owl-carousel-gallery">';  // owl-corsol
		foreach ($ids as $item) {
			$thumbnail_url = wp_get_attachment_url($item);
			$data .= '<div class="item">';
			$data .= '<img src="' . $thumbnail_url . '" alt="" />';
			$data .= '</div>';
		}
		$data .= '</div>';							
	break;
	case 'video':			    	
		if (get_post_meta(get_the_ID(), 'show_video', true)) {
			$media_url = get_post_meta(get_the_ID(), 'show_video', true);			            
			$data .= '<div class="videoWrapper">';
			$data .= church_video_embed(wp_oembed_get( $media_url ));
			$data .= '</div>';
		}
	break;
	case 'audio':
		if (get_post_meta(get_the_ID(), 'show_audio', true)) {
			$media_url = get_post_meta(get_the_ID(), 'show_audio', true);
			$data .= '<div class="videoWrapper">';
			$data .= church_video_embed(wp_oembed_get( $media_url ));
			$data .= '</div>';
		}
	break;
	default:
		if (wp_get_attachment_url(get_post_thumbnail_id($post->ID))) {
			$thumbnail_url = wp_get_attachment_url(get_post_thumbnail_id($post->ID));
			$data .= '<img alt="blog-img" title="blog-img" class="img-responsive" src="' . $thumbnail_url . '"/>';
		}
	break;
}
?>
<div class="col-md-12 blog-post">
<!-- col-md-12 -->

<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>  
  <?php	if( $data != '' ) : ?>
	  <div class="blog-pic"> <?php echo $data; ?> </div>  
  <?php endif; ?>
  <p class="blog-meta">
		<?php  church_blog_meta(); ?>
  </p>
  <?php			
		/* translators: %s: Name of current post */
		the_content(); 
		
		wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'praise_church' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'praise_church' ) . ' </span>%',
			'separator'   => '<span class="screen-reader-text">, </span>',
		) );
		
		/*  Blog meta the_tag */
		church_blog_meta_tag();
  ?>  
</div>
<!-- post#id -->
</div>
<!-- col-md-12 -->