<?php 
/**
* The template for displaying all Woocommerce Pages.
*
* @package Church
*
*/
get_header(); 
get_template_part('page_banner'); 
?>
<div class="container">
    <div class="row">    
	<?php
	
	$main_shop_layout = $single_product_layout = '';

	/**
	 *   Main shop ( Producyt Layouyt )
	 */

	if( church_get_option('main_shop_page_layout') != '' ){
		$main_shop_layout  =  church_get_option('main_shop_page_layout') ; 
	}else{
		$main_shop_layout  =  'no-sidebar';
	}

	/**
	 *   Single Product layout
	 */

	if( church_get_option('single_shop_page_layout') != '' ){
		$single_product_layout  =  church_get_option('single_shop_page_layout') ; 
	}else{
		$single_product_layout  =  'no-sidebar';
	}

	
	//single product layout
	if(is_product()){
		
		switch($single_product_layout) {
			case 'no-sidebar':
				echo '<div id="post-area" class="col-md-12 shop-listing">';
					woocommerce_content(); 
				echo '</div>';
			break; 
			case 'right-sidebar':

				echo '<div id="post-area" class="col-md-9 shop-listing">';
					woocommerce_content(); 
				echo '</div><!--/span_9-->';
				
				echo '<div id="sidebar" class="col-md-3 shop-sidebar">';
					if ( is_active_sidebar( 'woocommerce_sidebar' ) ) {
						dynamic_sidebar( 'woocommerce_sidebar' );
					}
				echo '</div><!--/span_9-->';

			break; 				
			case 'left-sidebar':
				echo '<div id="sidebar" class="col-md-3 shop-sidebar">';
					if ( is_active_sidebar( 'woocommerce_sidebar' ) ) {
						dynamic_sidebar( 'woocommerce_sidebar' );
					}
				echo '</div><!--/span_9-->';
				
				echo '<div id="post-area" class="col-md-9 shop-listing">';
					woocommerce_content(); 
				echo '</div><!--/span_9-->';
				
				break; 
				default: 
				echo '<div id="post-area" class="col-md-12 shop-listing">';						
					woocommerce_content(); 
				echo '</div>';
				break; 
		}
	}
			
	//Main Shop page layout 
	elseif(is_shop() || is_product_category() || is_product_tag()) {
		
		switch($main_shop_layout) {
			case 'no-sidebar':
				echo '<div id="post-area" class="col-md-12 shop-listing">';					
					woocommerce_content(); 
				echo '</div>';
			break; 
			case 'right-sidebar':

				echo '<div id="post-area" class="col-md-9 shop-listing">';
					woocommerce_content(); 
				echo '</div><!--/span_9-->';
				
				echo '<div id="sidebar" class="col-md-3 shop-sidebar">';
					if ( is_active_sidebar( 'woocommerce_sidebar' ) ) {
						dynamic_sidebar( 'woocommerce_sidebar' );
					}
				echo '</div><!--/span_9-->';
				
			break; 			
			case 'left-sidebar':
				echo '<div id="sidebar" class="col-md-3 shop-sidebar">';
					if ( is_active_sidebar( 'woocommerce_sidebar' ) ) {
						dynamic_sidebar( 'woocommerce_sidebar' );
					}
				echo '</div><!--/span_9-->';
				
				echo '<div id="post-area" class="col-md-9 shop-listing">';
					woocommerce_content(); 
				echo '</div><!--/span_9-->';
			break;
			case 'fullwidth':
				echo '<div class="full-width-content">';
					woocommerce_content();
				echo '</div>';
			break; 
			default: 
				echo '<div id="post-area" class="col-md-12 shop-listing">';					
					woocommerce_content(); 
				echo '</div>';
			break; 			
		}
	}
	//regular WooCommerce page layout 
	else {
		echo '<div id="post-area" class="col-md-12 shop-listing">';				
			woocommerce_content(); 
		echo '</div>';
	}	
	?>
		</div><!--/row-->		
	</div><!--/container-->    
<?php get_footer(); ?>