<?php
/**
 * Cross-sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce, $woocommerce_loop;

$crosssells = WC()->cart->get_cross_sells();

if ( sizeof( $crosssells ) == 0 ) return;

$meta_query = WC()->query->get_meta_query();

$args = array(
	'post_type'           => 'product',
	'ignore_sticky_posts' => 1,
	'no_found_rows'       => 1,
	'posts_per_page'      => apply_filters( 'woocommerce_cross_sells_total', $posts_per_page ),
	'orderby'             => $orderby,
	'post__in'            => $crosssells,
	'meta_query'          => $meta_query
);

$products = new WP_Query( $args );

$woocommerce_loop['columns'] = apply_filters( 'woocommerce_cross_sells_columns', $columns );

if ( $products->have_posts() ) : ?>

	<div class="cross-sells">
        <div class="large-12 columns">
            <h2 class="cross-sells-title"><?php _e( 'You may be interested in&hellip;', 'praise_church' ) ?></h2>
        </div><!-- .columns -->

        <div id="cross-sell-products-carousel" class="related-item related products">

            <?php while ( $products->have_posts() ) : $products->the_post(); ?>
                <?php wc_get_template_part( 'content', 'product' ); ?>
            <?php endwhile; // end of the loop. ?>      
    
        </div>            
	</div>

<?php endif;

if( is_rtl() ) {
    $check_rtl = "true";
}else {
    $check_rtl = "false";
}

echo '<scr' . 'ipt>
	
		(function( $ ) { 
		    $(function() {
				"use strict";

				  $(".related-item").owlCarousel({
				  	rtl:'.$check_rtl.',
				    loop:true,
				    margin:10,
				    autoplay:true,
				    autoplayTimeout:10000,
				    nav:false,
					dots:true,

				    navText:[  "<i class=\"dashicons dashicons-arrow-left-alt2\"></i>",
							   "<i class=\"dashicons dashicons-arrow-right-alt2\"></i>"  ],
				    responsive:{
				        0:{
				            items:1
				        },
				        600:{
				            items:2
				        },
				        1000:{
				            items:4
				        }
				    }
					})
		    });
		})( jQuery );

	</scr' . 'ipt>';
wp_reset_query();