<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) )
	$woocommerce_loop['loop'] = 0;

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) )
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
	
if( !empty(church_get_option('product_layout'))  ){
    switch( church_get_option('product_layout') ){
		case 'col-md-6' :
				$woocommerce_loop['columns'] = 2;
		break;
		case 'col-md-3' :
				$woocommerce_loop['columns'] = 4;
		break;
		case 'col-md-3' : 	
				$woocommerce_loop['columns'] = 4;
		break;
		default : 			
				$woocommerce_loop['columns'] = 3;
		break;
	}
}
else{
	$woocommerce_loop['columns'] = 3;
}
	

// Ensure visibility
if ( ! $product || ! $product->is_visible() )
	return;

// Increase loop count
$woocommerce_loop['loop']++;

// Extra post classes
$classes = array();
if ( 0 == ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] || 1 == $woocommerce_loop['columns'] )
	$classes[] = 'first clearboth';
if ( 0 == $woocommerce_loop['loop'] % $woocommerce_loop['columns'] )
	$classes[] = 'last';
	
$product_style = (!empty(church_get_option('product_layout'))) ? church_get_option('product_layout') : 'col-md-4' ;

if(is_shop() || is_product_category() || is_product_tag()) {
	switch ($product_style) {
		case 'col-md-6':
			$classes[] = 'col-md-6 product-box';
			break;
	
		case 'col-md-4':
			$classes[] = 'col-md-4 product-box';
			break;		
			
		case 'col-md-3':
			$classes[] = 'col-md-3 product-box';
			break;		
	
		default:
			$classes[] = 'col-md-3 product-box';
			break;
	}
}elseif( is_product() ) {	
	$classes[] = 'col-md-12 product-box';
}
elseif( is_cart() ) {
	$classes[] = 'col-md-12 product-box';
}
else {
	$classes[] = 'col-md-12 product-box';		
}

?>
<li <?php post_class( $classes ); ?>>

	<?php do_action( 'woocommerce_before_shop_loop_item' ); ?>
    
    <a href="<?php the_permalink(); ?>">
    <?php
        /**
         * woocommerce_before_shop_loop_item_title hook
         *
         * @hooked woocommerce_show_product_loop_sale_flash - 10
         * @hooked woocommerce_template_loop_product_thumbnail - 10
         */
        do_action( 'woocommerce_before_shop_loop_item_title' ); 
    ?>            
    </a>
        <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
        <?php do_action( 'woocommerce_after_shop_loop_item_title_loop_price' ); ?>                    
        <p>
            <?php
                if ( ! apply_filters( 'woocommerce_short_description', $post->post_excerpt ) ) {
                    $content = $post->post_content;
                    echo  wp_trim_words( wpautop( $content ), 9 );
                } else {
                    echo wp_trim_words( apply_filters( 'woocommerce_short_description', $post->post_excerpt ), 9 );
                }
            ?>
        </p>

    <?php  do_action( 'woocommerce_after_shop_loop_item_title' ); ?>
    
	<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
    
</li>