<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you (the theme developer)
 * will need to copy the new files to your theme to maintain compatibility. We try to do this
 * as little as possible, but it does happen. When this occurs the version of the template file will
 * be bumped and the readme will list any important changes.
 *
 * @see 	    http://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

if ( empty( $product ) || ! $product->exists() ) {
	return;
}

$related = $product->get_related( $posts_per_page );

if ( sizeof( $related ) == 0 ) return;

$args = apply_filters( 'woocommerce_related_products_args', array(
	'post_type'            => 'product',
	'ignore_sticky_posts'  => 1,
	'no_found_rows'        => 1,
	'posts_per_page'       => $posts_per_page,
	'orderby'              => $orderby,
	'post__in'             => $related,
	'post__not_in'         => array( $product->id )
) );

$products = new WP_Query( $args );

$woocommerce_loop['columns'] = $columns;

if ( $products->have_posts() ) :
	while ( $products->have_posts() ) : $products->the_post();
		global $post;
		$related_products[] = $post;
	endwhile;
endif;

?>

<div class="related products">
	<h2 class="related_title"><?php _e( 'Products Related', 'praise_church' ); ?></h2>		
		<div class="products row">
			<div class="related-item">
				<?php foreach ( $related_products as $post ) : setup_postdata( $post ); ?>
					  <div class="item">
					  <?php wc_get_template_part( 'content', 'product' ); ?>
					 </div>
				<?php endforeach; // end of the loop. ?>
			</div>
		</div>
</div>
<?php  

if( is_rtl() ) {
	$check_rtl = "true";
}else {
	$check_rtl = "false";
}

echo '<scr' . 'ipt>
	
		(function( $ ) { 
		    $(function() {
				"use strict";

				  $(".related-item").owlCarousel({
				  	rtl:'.$check_rtl.',
				    loop:true,
				    margin:10,
				    autoplay:true,
				    autoplayTimeout:10000,
				    nav:false,
					dots:true,

				    navText:[  "<i class=\"dashicons dashicons-arrow-left-alt2\"></i>",
							   "<i class=\"dashicons dashicons-arrow-right-alt2\"></i>"  ],
				    responsive:{
				        0:{
				            items:1
				        },
				        600:{
				            items:2
				        },
				        1000:{
				            items:3
				        }
				    }
					})
		    });
		})( jQuery );

	</scr' . 'ipt>';

wp_reset_postdata();